%global SLOF_gittagdate 20170724
%global SLOF_gittagcommit 89f519f

%global have_usbredir 1
%global have_spice    1
%global have_opengl   1
%global have_fdt      0
%global have_gluster  1
%global have_kvm_setup 0
%global have_memlock_limits 0

%ifnarch %{ix86} x86_64
    %global have_usbredir 0
%endif

%ifnarch s390x
    %global have_librdma 1
%else
    %global have_librdma 0
%endif

%ifarch %{ix86}
    %global kvm_target    i386
%endif
%ifarch x86_64
    %global kvm_target    x86_64
%else
    %global have_spice   0
    %global have_opengl  0
    %global have_gluster 0
%endif
%ifarch %{power64}
    %global kvm_target    ppc64
    %global have_fdt     1
    %global have_kvm_setup 1
    %global have_memlock_limits 1
%endif
%ifarch s390x
    %global kvm_target    s390x
    %global have_kvm_setup 1
%endif
%ifarch ppc
    %global kvm_target    ppc
    %global have_fdt     1
%endif
%ifarch aarch64
    %global kvm_target    aarch64
    %global have_fdt     1
%endif

#Versions of various parts:

%global requires_all_modules                                     \
Requires: %{name}-block-curl = %{epoch}:%{version}-%{release}    \
%if %{have_gluster}                                              \
Requires: %{name}-block-gluster = %{epoch}:%{version}-%{release} \
%endif                                                           \
Requires: %{name}-block-iscsi = %{epoch}:%{version}-%{release}   \
Requires: %{name}-block-rbd = %{epoch}:%{version}-%{release}     \
Requires: %{name}-block-ssh = %{epoch}:%{version}-%{release}

# Macro to properly setup RHEL/RHEV conflict handling
%define rhev_ma_conflicts()                                      \
Obsoletes: %1-ma                                                 \
Obsoletes: %1-rhev

Summary: QEMU is a machine emulator and virtualizer
Name: qemu-kvm
Version: 2.12.0
Release: 99%{?dist}
# Epoch because we pushed a qemu-1.0 package. AIUI this can't ever be dropped
Epoch: 15
License: GPLv2 and GPLv2+ and CC-BY
Group: Development/Tools
URL: http://www.qemu.org/
ExclusiveArch: x86_64 %{power64} aarch64 s390x


Source0: http://wiki.qemu.org/download/qemu-2.12.0.tar.xz

# KSM control scripts
Source4: ksm.service
Source5: ksm.sysconfig
Source6: ksmctl.c
Source7: ksmtuned.service
Source8: ksmtuned
Source9: ksmtuned.conf
Source10: qemu-guest-agent.service
Source11: 99-qemu-guest-agent.rules
Source12: bridge.conf
Source13: qemu-ga.sysconfig
Source21: kvm-setup
Source22: kvm-setup.service
Source23: 85-kvm.preset
Source26: vhost.conf
Source27: kvm.conf
Source28: 95-kvm-memlock.conf
Source30: kvm-s390x.conf
Source31: kvm-x86.conf
Source32: qemu-pr-helper.service
Source33: qemu-pr-helper.socket
Source34: 81-kvm-rhel.rules
Source35: udev-kvm-check.c
Source36: README.tests



Patch0001: 0001-Initial-redhat-build.patch
Patch0002: 0002-Enable-disable-devices-for-RHEL-7.patch
Patch0003: 0003-Add-RHEL-7-machine-types.patch
Patch0004: 0004-block-vxhs-modularize-VXHS-via-g_module.patch
Patch0005: 0005-Use-kvm-by-default.patch
Patch0006: 0006-vfio-cap-number-of-devices-that-can-be-assigned.patch
Patch0007: 0007-Add-support-statement-to-help-output.patch
Patch0008: 0008-globally-limit-the-maximum-number-of-CPUs.patch
Patch0009: 0009-Add-support-for-simpletrace.patch
Patch0010: 0010-Use-qemu-kvm-in-documentation-instead-of-qemu-system.patch
Patch0011: 0011-usb-xhci-Fix-PCI-capability-order.patch
Patch0012: 0012-virtio-scsi-Reject-scsi-cd-if-data-plane-enabled-RHE.patch
Patch0013: 0013-AArch64-Enable-CONFIG_FW_CFG_DMA-for-aarch64.patch
# For bz#1508137 - [IBM 8.0 FEAT] KVM: Interactive Bootloader (qemu)
Patch0016: 0016-pc-bios-s390-ccw-struct-tpi_info-must-be-declared-as.patch
# For bz#1569675 - Backwards compatibility of pc-*-rhel7.5.0 and older machine-types
Patch0020: 0020-pc-pc-rhel75.5.0-compat-code.patch
# For bz#1571145 - qemu-kvm segfaults on RHEL 8 when run guestfsd under TCG
Patch0022: 0022-tcg-workaround-branch-instruction-overflow-in-tcg_ou.patch
# For bz#1508137 - [IBM 8.0 FEAT] KVM: Interactive Bootloader (qemu)
Patch0025: 0025-s390-ccw-force-diag-308-subcode-to-unsigned-long.patch
Patch0026: 0026-pc-bios-s390-ccw-size_t-should-be-unsigned.patch
Patch0027: 0027-pc-bios-s390-ccw-rename-MAX_TABLE_ENTRIES-to-MAX_BOO.patch
Patch0028: 0028-pc-bios-s390-ccw-fix-loadparm-initialization-and-int.patch
Patch0029: 0029-pc-bios-s390-ccw-fix-non-sequential-boot-entries-eck.patch
Patch0030: 0030-pc-bios-s390-ccw-fix-non-sequential-boot-entries-enu.patch
# For bz#1568600 - pc-i440fx-rhel7.6.0 and pc-q35-rhel7.6.0 machine types (x86)
Patch0031: 0031-pc-rhel7.6.0-machine-types.patch
# For bz#1513558 - Remove RHEL6 machine types
Patch0032: 0032-Remove-rhel6-machine-types.patch
Patch0033: 0033-Remove-rhel6_ctrl_guest_workaround.patch
Patch0034: 0034-Remove-SeaBIOS-shadowing.patch
Patch0035: 0035-Remove-ich9_uhci123_irqpin_override.patch
# For bz#1570029 - [IBM 8.0 FEAT] KVM: 3270 Connectivity - qemu part
Patch0036: 0036-s390x-css-disabled-subchannels-cannot-be-status-pend.patch
Patch0037: 0037-virtio-ccw-common-reset-handler.patch
Patch0038: 0038-s390x-ccw-make-sure-all-ccw-devices-are-properly-res.patch
Patch0039: 0039-s390x-Re-enable-CONFIG_TERMINAL3270.patch
# For bz#1585651 - RHEL 7.6 new pseries machine type (ppc64le)
Patch0041: 0041-redhat-define-pseries-rhel7.6.0-machine-types.patch
# For bz#1592337 - [IBM 8.0 FEAT] KVM: CPU Model z14 ZR1 (qemu-kvm)
Patch0042: 0042-s390x-cpumodels-add-z14-Model-ZR1.patch
# For bz#1590511 - Fails to start guest with Intel vGPU device
Patch0043: kvm-vfio-pci-Default-display-option-to-off.patch
# For bz#1571533 - Convert qemu-kvm python scripts to python3
Patch0044: kvm-python-futurize-f-libfuturize.fixes.fix_print_with_i.patch
# For bz#1571533 - Convert qemu-kvm python scripts to python3
Patch0045: kvm-python-futurize-f-lib2to3.fixes.fix_except.patch
# For bz#1599593 - User can't hotplug memory to less memory numa node on rhel8
Patch50: kvm-spapr-Add-ibm-max-associativity-domains-property.patch
# For bz#1599593 - User can't hotplug memory to less memory numa node on rhel8
Patch51: kvm-Revert-spapr-Don-t-allow-memory-hotplug-to-memory-le.patch
# For bz#1594969 - simpletrace.py fails when running with Python 3
Patch52: kvm-simpletrace-Convert-name-from-mapping-record-to-str.patch
# For bz#1602403 - test-crypto-tlssession unit test fails with assertions
Patch53: kvm-tests-fix-TLS-handshake-failure-with-TLS-1.3.patch
# For bz#1601671 - After rebooting guest,all the hot plug memory will be assigned to the 1st numa node.
Patch54: kvm-spapr-Correct-inverted-test-in-spapr_pc_dimm_node.patch
# For bz#1601317 - RHEL8.0 - qemu patch to align memory to allow 2MB THP
Patch55: kvm-osdep-powerpc64-align-memory-to-allow-2MB-radix-THP-.patch
# For bz#1595501 - Create pseries-rhel7.6.0-sxxm machine type
Patch56: kvm-RHEL-8.0-Add-pseries-rhel7.6.0-sxxm-machine-type.patch
# For bz#1597739 - AMD EPYC/Zen SMT support for KVM / QEMU guest (qemu-kvm)
Patch57: kvm-i386-Helpers-to-encode-cache-information-consistentl.patch
# For bz#1597739 - AMD EPYC/Zen SMT support for KVM / QEMU guest (qemu-kvm)
Patch58: kvm-i386-Add-cache-information-in-X86CPUDefinition.patch
# For bz#1597739 - AMD EPYC/Zen SMT support for KVM / QEMU guest (qemu-kvm)
Patch59: kvm-i386-Initialize-cache-information-for-EPYC-family-pr.patch
# For bz#1597739 - AMD EPYC/Zen SMT support for KVM / QEMU guest (qemu-kvm)
Patch60: kvm-i386-Add-new-property-to-control-cache-info.patch
# For bz#1597739 - AMD EPYC/Zen SMT support for KVM / QEMU guest (qemu-kvm)
Patch61: kvm-i386-Clean-up-cache-CPUID-code.patch
# For bz#1597739 - AMD EPYC/Zen SMT support for KVM / QEMU guest (qemu-kvm)
Patch62: kvm-i386-Populate-AMD-Processor-Cache-Information-for-cp.patch
# For bz#1597739 - AMD EPYC/Zen SMT support for KVM / QEMU guest (qemu-kvm)
Patch63: kvm-i386-Add-support-for-CPUID_8000_001E-for-AMD.patch
# For bz#1597739 - AMD EPYC/Zen SMT support for KVM / QEMU guest (qemu-kvm)
Patch64: kvm-i386-Fix-up-the-Node-id-for-CPUID_8000_001E.patch
# For bz#1597739 - AMD EPYC/Zen SMT support for KVM / QEMU guest (qemu-kvm)
Patch65: kvm-i386-Enable-TOPOEXT-feature-on-AMD-EPYC-CPU.patch
# For bz#1597739 - AMD EPYC/Zen SMT support for KVM / QEMU guest (qemu-kvm)
Patch66: kvm-i386-Remove-generic-SMT-thread-check.patch
# For bz#1597739 - AMD EPYC/Zen SMT support for KVM / QEMU guest (qemu-kvm)
Patch67: kvm-i386-Allow-TOPOEXT-to-be-enabled-on-older-kernels.patch
# For bz#1610906 - [IBM 8.0 FEAT] KVM: Huge Pages - libhugetlbfs Enablement - qemu-kvm part
Patch68: kvm-linux-headers-Update-to-include-KVM_CAP_S390_HPAGE_1.patch
# For bz#1610906 - [IBM 8.0 FEAT] KVM: Huge Pages - libhugetlbfs Enablement - qemu-kvm part
Patch69: kvm-s390x-Enable-KVM-huge-page-backing-support.patch
# For bz#1558723 - Create RHEL-7.6 QEMU machine type for AArch64
Patch70: kvm-AArch64-Add-virt-rhel7.6-machine-type.patch
# For bz#1566153 - IOERROR pause code lost after resuming a VM while I/O error is still present
Patch71: kvm-cpus-Fix-event-order-on-resume-of-stopped-guest.patch
# For bz#1523065 - "qemu-img resize" should fail to decrease the size of logical partition/lvm/iSCSI image with raw format
Patch72: kvm-qemu-img-Check-post-truncation-size.patch
# For bz#1575541 - qemu core dump while installing win10 guest
Patch73: kvm-vga-catch-depth-0.patch
# For bz#1583959 - Incorrect vcpu count limit for 7.4 machine types for windows guests
Patch74: kvm-Fix-x-hv-max-vps-compat-value-for-7.4-machine-type.patch
# For bz#1584984 - Vm starts failed with 'passthrough' smartcard
Patch75: kvm-ccid-card-passthru-fix-regression-in-realize.patch
# For bz#1542080 - Qemu core dump at cirrus_invalidate_region
Patch76: kvm-Use-4-MB-vram-for-cirrus.patch
# For bz#1505664 - "qemu-kvm: System page size 0x1000000 is not enabled in page_size_mask (0x11000). Performance may be slow" show up while using hugepage as guest's memory
Patch77: kvm-spapr_pci-Remove-unhelpful-pagesize-warning.patch
# For bz#1557995 - QAPI schema for RBD storage misses the 'password-secret' option
Patch79: kvm-qobject-Use-qobject_to-instead-of-type-cast.patch
# For bz#1557995 - QAPI schema for RBD storage misses the 'password-secret' option
Patch80: kvm-qobject-Ensure-base-is-at-offset-0.patch
# For bz#1557995 - QAPI schema for RBD storage misses the 'password-secret' option
Patch81: kvm-qobject-use-a-QObjectBase_-struct.patch
# For bz#1557995 - QAPI schema for RBD storage misses the 'password-secret' option
Patch82: kvm-qobject-Replace-qobject_incref-QINCREF-qobject_decre.patch
# For bz#1557995 - QAPI schema for RBD storage misses the 'password-secret' option
Patch83: kvm-qobject-Modify-qobject_ref-to-return-obj.patch
# For bz#1557995 - QAPI schema for RBD storage misses the 'password-secret' option
Patch84: kvm-rbd-Drop-deprecated-drive-parameter-filename.patch
# For bz#1557995 - QAPI schema for RBD storage misses the 'password-secret' option
Patch85: kvm-iscsi-Drop-deprecated-drive-parameter-filename.patch
# For bz#1557995 - QAPI schema for RBD storage misses the 'password-secret' option
Patch86: kvm-block-Add-block-specific-QDict-header.patch
# For bz#1557995 - QAPI schema for RBD storage misses the 'password-secret' option
Patch87: kvm-qobject-Move-block-specific-qdict-code-to-block-qdic.patch
# For bz#1557995 - QAPI schema for RBD storage misses the 'password-secret' option
Patch88: kvm-block-Fix-blockdev-for-certain-non-string-scalars.patch
# For bz#1557995 - QAPI schema for RBD storage misses the 'password-secret' option
Patch89: kvm-block-Fix-drive-for-certain-non-string-scalars.patch
# For bz#1557995 - QAPI schema for RBD storage misses the 'password-secret' option
Patch90: kvm-block-Clean-up-a-misuse-of-qobject_to-in-.bdrv_co_cr.patch
# For bz#1557995 - QAPI schema for RBD storage misses the 'password-secret' option
Patch91: kvm-block-Factor-out-qobject_input_visitor_new_flat_conf.patch
# For bz#1557995 - QAPI schema for RBD storage misses the 'password-secret' option
Patch92: kvm-block-Make-remaining-uses-of-qobject-input-visitor-m.patch
# For bz#1557995 - QAPI schema for RBD storage misses the 'password-secret' option
Patch93: kvm-block-qdict-Simplify-qdict_flatten_qdict.patch
# For bz#1557995 - QAPI schema for RBD storage misses the 'password-secret' option
Patch94: kvm-block-qdict-Tweak-qdict_flatten_qdict-qdict_flatten_.patch
# For bz#1557995 - QAPI schema for RBD storage misses the 'password-secret' option
Patch95: kvm-block-qdict-Clean-up-qdict_crumple-a-bit.patch
# For bz#1557995 - QAPI schema for RBD storage misses the 'password-secret' option
Patch96: kvm-block-qdict-Simplify-qdict_is_list-some.patch
# For bz#1557995 - QAPI schema for RBD storage misses the 'password-secret' option
Patch97: kvm-check-block-qdict-Rename-qdict_flatten-s-variables-f.patch
# For bz#1557995 - QAPI schema for RBD storage misses the 'password-secret' option
Patch98: kvm-check-block-qdict-Cover-flattening-of-empty-lists-an.patch
# For bz#1557995 - QAPI schema for RBD storage misses the 'password-secret' option
Patch99: kvm-block-Fix-blockdev-blockdev-add-for-empty-objects-an.patch
# For bz#1557995 - QAPI schema for RBD storage misses the 'password-secret' option
Patch100: kvm-rbd-New-parameter-auth-client-required.patch
# For bz#1557995 - QAPI schema for RBD storage misses the 'password-secret' option
Patch101: kvm-rbd-New-parameter-key-secret.patch
# For bz#1572856 - 'block-job-cancel' can not cancel a "drive-mirror" job
Patch102: kvm-block-mirror-honor-ratelimit-again.patch
# For bz#1572856 - 'block-job-cancel' can not cancel a "drive-mirror" job
Patch103: kvm-block-mirror-Make-cancel-always-cancel-pre-READY.patch
# For bz#1572856 - 'block-job-cancel' can not cancel a "drive-mirror" job
Patch104: kvm-iotests-Add-test-for-cancelling-a-mirror-job.patch
# For bz#1518738 - Add 'copy-on-read' filter driver for use with blockdev-add
Patch105: kvm-iotests-Split-214-off-of-122.patch
# For bz#1518738 - Add 'copy-on-read' filter driver for use with blockdev-add
Patch106: kvm-block-Add-COR-filter-driver.patch
# For bz#1518738 - Add 'copy-on-read' filter driver for use with blockdev-add
Patch107: kvm-block-BLK_PERM_WRITE-includes-._UNCHANGED.patch
# For bz#1518738 - Add 'copy-on-read' filter driver for use with blockdev-add
Patch108: kvm-block-Add-BDRV_REQ_WRITE_UNCHANGED-flag.patch
# For bz#1518738 - Add 'copy-on-read' filter driver for use with blockdev-add
Patch109: kvm-block-Set-BDRV_REQ_WRITE_UNCHANGED-for-COR-writes.patch
# For bz#1518738 - Add 'copy-on-read' filter driver for use with blockdev-add
Patch110: kvm-block-quorum-Support-BDRV_REQ_WRITE_UNCHANGED.patch
# For bz#1518738 - Add 'copy-on-read' filter driver for use with blockdev-add
Patch111: kvm-block-Support-BDRV_REQ_WRITE_UNCHANGED-in-filters.patch
# For bz#1518738 - Add 'copy-on-read' filter driver for use with blockdev-add
Patch112: kvm-iotests-Clean-up-wrap-image-in-197.patch
# For bz#1518738 - Add 'copy-on-read' filter driver for use with blockdev-add
Patch113: kvm-iotests-Copy-197-for-COR-filter-driver.patch
# For bz#1518738 - Add 'copy-on-read' filter driver for use with blockdev-add
Patch114: kvm-iotests-Add-test-for-COR-across-nodes.patch
# For bz#1576598 - Segfault in qemu-io and qemu-img with -U --image-opts force-share=off
Patch115: kvm-qemu-io-Use-purely-string-blockdev-options.patch
# For bz#1576598 - Segfault in qemu-io and qemu-img with -U --image-opts force-share=off
Patch116: kvm-qemu-img-Use-only-string-options-in-img_open_opts.patch
# For bz#1576598 - Segfault in qemu-io and qemu-img with -U --image-opts force-share=off
Patch117: kvm-iotests-Add-test-for-U-force-share-conflicts.patch
# For bz#1519617 - The exit code should be non-zero when qemu-io reports an error
Patch118: kvm-qemu-io-Drop-command-functions-return-values.patch
# For bz#1519617 - The exit code should be non-zero when qemu-io reports an error
Patch119: kvm-qemu-io-Let-command-functions-return-error-code.patch
# For bz#1519617 - The exit code should be non-zero when qemu-io reports an error
Patch120: kvm-qemu-io-Exit-with-error-when-a-command-failed.patch
# For bz#1519617 - The exit code should be non-zero when qemu-io reports an error
Patch121: kvm-iotests.py-Add-qemu_io_silent.patch
# For bz#1519617 - The exit code should be non-zero when qemu-io reports an error
Patch122: kvm-iotests-Let-216-make-use-of-qemu-io-s-exit-code.patch
# For bz#1527085 - The copied flag should be updated during  '-r leaks'
Patch123: kvm-qcow2-Repair-OFLAG_COPIED-when-fixing-leaks.patch
# For bz#1527085 - The copied flag should be updated during  '-r leaks'
Patch124: kvm-iotests-Repairing-error-during-snapshot-deletion.patch
# For bz#1588039 - Possible assertion failure in qemu when a corrupted image is used during an incoming migration
Patch125: kvm-block-Make-bdrv_is_writable-public.patch
# For bz#1588039 - Possible assertion failure in qemu when a corrupted image is used during an incoming migration
Patch126: kvm-qcow2-Do-not-mark-inactive-images-corrupt.patch
# For bz#1588039 - Possible assertion failure in qemu when a corrupted image is used during an incoming migration
Patch127: kvm-iotests-Add-case-for-a-corrupted-inactive-image.patch
# For bz#1168213 - main-loop: WARNING: I/O thread spun for 1000 iterations while doing stream block device.
Patch128: kvm-main-loop-drop-spin_counter.patch
# For bz#1560847 - [Power8][FW b0320a_1812.861][rhel7.5rc2 3.10.0-861.el7.ppc64le][qemu-kvm-{ma,rhev}-2.10.0-21.el7_5.1.ppc64le] KVM guest does not default to ori type flush even with pseries-rhel7.5.0-sxxm
Patch129: kvm-target-ppc-Factor-out-the-parsing-in-kvmppc_get_cpu_.patch
# For bz#1560847 - [Power8][FW b0320a_1812.861][rhel7.5rc2 3.10.0-861.el7.ppc64le][qemu-kvm-{ma,rhev}-2.10.0-21.el7_5.1.ppc64le] KVM guest does not default to ori type flush even with pseries-rhel7.5.0-sxxm
Patch130: kvm-target-ppc-Don-t-require-private-l1d-cache-on-POWER8.patch
# For bz#1560847 - [Power8][FW b0320a_1812.861][rhel7.5rc2 3.10.0-861.el7.ppc64le][qemu-kvm-{ma,rhev}-2.10.0-21.el7_5.1.ppc64le] KVM guest does not default to ori type flush even with pseries-rhel7.5.0-sxxm
Patch131: kvm-ppc-spapr_caps-Don-t-disable-cap_cfpc-on-POWER8-by-d.patch
# For bz#1567733 - qemu abort when migrate during guest reboot
Patch132: kvm-qxl-fix-local-renderer-crash.patch
# For bz#1537956 - RFE: qemu-img amend should list the true supported options
Patch133: kvm-qemu-img-Amendment-support-implies-create_opts.patch
# For bz#1537956 - RFE: qemu-img amend should list the true supported options
Patch134: kvm-block-Add-Error-parameter-to-bdrv_amend_options.patch
# For bz#1537956 - RFE: qemu-img amend should list the true supported options
Patch135: kvm-qemu-option-Pull-out-Supported-options-print.patch
# For bz#1537956 - RFE: qemu-img amend should list the true supported options
Patch136: kvm-qemu-img-Add-print_amend_option_help.patch
# For bz#1537956 - RFE: qemu-img amend should list the true supported options
Patch137: kvm-qemu-img-Recognize-no-creation-support-in-o-help.patch
# For bz#1537956 - RFE: qemu-img amend should list the true supported options
Patch138: kvm-iotests-Test-help-option-for-unsupporting-formats.patch
# For bz#1537956 - RFE: qemu-img amend should list the true supported options
Patch139: kvm-iotests-Rework-113.patch
# For bz#1569835 - qemu-img get wrong backing file path after rebasing image with relative path
Patch140: kvm-qemu-img-Resolve-relative-backing-paths-in-rebase.patch
# For bz#1569835 - qemu-img get wrong backing file path after rebasing image with relative path
Patch141: kvm-iotests-Add-test-for-rebasing-with-relative-paths.patch
# For bz#1527898 - [RFE] qemu-img should leave cluster unallocated if it's read as zero throughout the backing chain
Patch142: kvm-qemu-img-Special-post-backing-convert-handling.patch
# For bz#1527898 - [RFE] qemu-img should leave cluster unallocated if it's read as zero throughout the backing chain
Patch143: kvm-iotests-Test-post-backing-convert-target-behavior.patch
# For bz#1564576 - Pegas 1.1 - Require to backport qemu-kvm patch that fixes expected_downtime calculation during migration
Patch144: kvm-migration-calculate-expected_downtime-with-ram_bytes.patch
# For bz#1513543 - [RFE] Add block job to create format on a storage device
Patch145: kvm-sheepdog-Fix-sd_co_create_opts-memory-leaks.patch
# For bz#1513543 - [RFE] Add block job to create format on a storage device
Patch146: kvm-qemu-iotests-reduce-chance-of-races-in-185.patch
# For bz#1513543 - [RFE] Add block job to create format on a storage device
Patch147: kvm-blockjob-do-not-cancel-timer-in-resume.patch
# For bz#1513543 - [RFE] Add block job to create format on a storage device
Patch148: kvm-nfs-Fix-error-path-in-nfs_options_qdict_to_qapi.patch
# For bz#1513543 - [RFE] Add block job to create format on a storage device
Patch149: kvm-nfs-Remove-processed-options-from-QDict.patch
# For bz#1513543 - [RFE] Add block job to create format on a storage device
Patch150: kvm-blockjob-drop-block_job_pause-resume_all.patch
# For bz#1513543 - [RFE] Add block job to create format on a storage device
Patch151: kvm-blockjob-expose-error-string-via-query.patch
# For bz#1513543 - [RFE] Add block job to create format on a storage device
Patch152: kvm-blockjob-Fix-assertion-in-block_job_finalize.patch
# For bz#1513543 - [RFE] Add block job to create format on a storage device
Patch153: kvm-blockjob-Wrappers-for-progress-counter-access.patch
# For bz#1513543 - [RFE] Add block job to create format on a storage device
Patch154: kvm-blockjob-Move-RateLimit-to-BlockJob.patch
# For bz#1513543 - [RFE] Add block job to create format on a storage device
Patch155: kvm-blockjob-Implement-block_job_set_speed-centrally.patch
# For bz#1513543 - [RFE] Add block job to create format on a storage device
Patch156: kvm-blockjob-Introduce-block_job_ratelimit_get_delay.patch
# For bz#1513543 - [RFE] Add block job to create format on a storage device
Patch157: kvm-blockjob-Add-block_job_driver.patch
# For bz#1513543 - [RFE] Add block job to create format on a storage device
Patch158: kvm-blockjob-Update-block-job-pause-resume-documentation.patch
# For bz#1513543 - [RFE] Add block job to create format on a storage device
Patch159: kvm-blockjob-Improve-BlockJobInfo.offset-len-documentati.patch
# For bz#1513543 - [RFE] Add block job to create format on a storage device
Patch160: kvm-job-Create-Job-JobDriver-and-job_create.patch
# For bz#1513543 - [RFE] Add block job to create format on a storage device
Patch161: kvm-job-Rename-BlockJobType-into-JobType.patch
# For bz#1513543 - [RFE] Add block job to create format on a storage device
Patch162: kvm-job-Add-JobDriver.job_type.patch
# For bz#1513543 - [RFE] Add block job to create format on a storage device
Patch163: kvm-job-Add-job_delete.patch
# For bz#1513543 - [RFE] Add block job to create format on a storage device
Patch164: kvm-job-Maintain-a-list-of-all-jobs.patch
# For bz#1513543 - [RFE] Add block job to create format on a storage device
Patch165: kvm-job-Move-state-transitions-to-Job.patch
# For bz#1513543 - [RFE] Add block job to create format on a storage device
Patch166: kvm-job-Add-reference-counting.patch
# For bz#1513543 - [RFE] Add block job to create format on a storage device
Patch167: kvm-job-Move-cancelled-to-Job.patch
# For bz#1513543 - [RFE] Add block job to create format on a storage device
Patch168: kvm-job-Add-Job.aio_context.patch
# For bz#1513543 - [RFE] Add block job to create format on a storage device
Patch169: kvm-job-Move-defer_to_main_loop-to-Job.patch
# For bz#1513543 - [RFE] Add block job to create format on a storage device
Patch170: kvm-job-Move-coroutine-and-related-code-to-Job.patch
# For bz#1513543 - [RFE] Add block job to create format on a storage device
Patch171: kvm-job-Add-job_sleep_ns.patch
# For bz#1513543 - [RFE] Add block job to create format on a storage device
Patch172: kvm-job-Move-pause-resume-functions-to-Job.patch
# For bz#1513543 - [RFE] Add block job to create format on a storage device
Patch173: kvm-job-Replace-BlockJob.completed-with-job_is_completed.patch
# For bz#1513543 - [RFE] Add block job to create format on a storage device
Patch174: kvm-job-Move-BlockJobCreateFlags-to-Job.patch
# For bz#1513543 - [RFE] Add block job to create format on a storage device
Patch175: kvm-blockjob-Split-block_job_event_pending.patch
# For bz#1513543 - [RFE] Add block job to create format on a storage device
Patch176: kvm-job-Add-job_event_.patch
# For bz#1513543 - [RFE] Add block job to create format on a storage device
Patch177: kvm-job-Move-single-job-finalisation-to-Job.patch
# For bz#1513543 - [RFE] Add block job to create format on a storage device
Patch178: kvm-job-Convert-block_job_cancel_async-to-Job.patch
# For bz#1513543 - [RFE] Add block job to create format on a storage device
Patch179: kvm-job-Add-job_drain.patch
# For bz#1513543 - [RFE] Add block job to create format on a storage device
Patch180: kvm-job-Move-.complete-callback-to-Job.patch
# For bz#1513543 - [RFE] Add block job to create format on a storage device
Patch181: kvm-job-Move-job_finish_sync-to-Job.patch
# For bz#1513543 - [RFE] Add block job to create format on a storage device
Patch182: kvm-job-Switch-transactions-to-JobTxn.patch
# For bz#1513543 - [RFE] Add block job to create format on a storage device
Patch183: kvm-job-Move-transactions-to-Job.patch
# For bz#1513543 - [RFE] Add block job to create format on a storage device
Patch184: kvm-job-Move-completion-and-cancellation-to-Job.patch
# For bz#1513543 - [RFE] Add block job to create format on a storage device
Patch185: kvm-block-Cancel-job-in-bdrv_close_all-callers.patch
# For bz#1513543 - [RFE] Add block job to create format on a storage device
Patch186: kvm-job-Add-job_yield.patch
# For bz#1513543 - [RFE] Add block job to create format on a storage device
Patch187: kvm-job-Add-job_dismiss.patch
# For bz#1513543 - [RFE] Add block job to create format on a storage device
Patch188: kvm-job-Add-job_is_ready.patch
# For bz#1513543 - [RFE] Add block job to create format on a storage device
Patch189: kvm-job-Add-job_transition_to_ready.patch
# For bz#1513543 - [RFE] Add block job to create format on a storage device
Patch190: kvm-job-Move-progress-fields-to-Job.patch
# For bz#1513543 - [RFE] Add block job to create format on a storage device
Patch191: kvm-job-Introduce-qapi-job.json.patch
# For bz#1513543 - [RFE] Add block job to create format on a storage device
Patch192: kvm-job-Add-JOB_STATUS_CHANGE-QMP-event.patch
# For bz#1513543 - [RFE] Add block job to create format on a storage device
Patch193: kvm-job-Add-lifecycle-QMP-commands.patch
# For bz#1513543 - [RFE] Add block job to create format on a storage device
Patch194: kvm-job-Add-query-jobs-QMP-command.patch
# For bz#1513543 - [RFE] Add block job to create format on a storage device
Patch195: kvm-blockjob-Remove-BlockJob.driver.patch
# For bz#1513543 - [RFE] Add block job to create format on a storage device
Patch196: kvm-iotests-Move-qmp_to_opts-to-VM.patch
# For bz#1513543 - [RFE] Add block job to create format on a storage device
Patch197: kvm-qemu-iotests-Test-job-with-block-jobs.patch
# For bz#1513543 - [RFE] Add block job to create format on a storage device
Patch198: kvm-vdi-Fix-vdi_co_do_create-return-value.patch
# For bz#1513543 - [RFE] Add block job to create format on a storage device
Patch199: kvm-vhdx-Fix-vhdx_co_create-return-value.patch
# For bz#1513543 - [RFE] Add block job to create format on a storage device
Patch200: kvm-job-Add-error-message-for-failing-jobs.patch
# For bz#1513543 - [RFE] Add block job to create format on a storage device
Patch201: kvm-block-create-Make-x-blockdev-create-a-job.patch
# For bz#1513543 - [RFE] Add block job to create format on a storage device
Patch202: kvm-qemu-iotests-Add-VM.get_qmp_events_filtered.patch
# For bz#1513543 - [RFE] Add block job to create format on a storage device
Patch203: kvm-qemu-iotests-Add-VM.qmp_log.patch
# For bz#1513543 - [RFE] Add block job to create format on a storage device
Patch204: kvm-qemu-iotests-Add-iotests.img_info_log.patch
# For bz#1513543 - [RFE] Add block job to create format on a storage device
Patch205: kvm-qemu-iotests-Add-VM.run_job.patch
# For bz#1513543 - [RFE] Add block job to create format on a storage device
Patch206: kvm-qemu-iotests-iotests.py-helper-for-non-file-protocol.patch
# For bz#1513543 - [RFE] Add block job to create format on a storage device
Patch207: kvm-qemu-iotests-Rewrite-206-for-blockdev-create-job.patch
# For bz#1513543 - [RFE] Add block job to create format on a storage device
Patch208: kvm-qemu-iotests-Rewrite-207-for-blockdev-create-job.patch
# For bz#1513543 - [RFE] Add block job to create format on a storage device
Patch209: kvm-qemu-iotests-Rewrite-210-for-blockdev-create-job.patch
# For bz#1513543 - [RFE] Add block job to create format on a storage device
Patch210: kvm-qemu-iotests-Rewrite-211-for-blockdev-create-job.patch
# For bz#1513543 - [RFE] Add block job to create format on a storage device
Patch211: kvm-qemu-iotests-Rewrite-212-for-blockdev-create-job.patch
# For bz#1513543 - [RFE] Add block job to create format on a storage device
Patch212: kvm-qemu-iotests-Rewrite-213-for-blockdev-create-job.patch
# For bz#1513543 - [RFE] Add block job to create format on a storage device
Patch213: kvm-block-create-Mark-blockdev-create-stable.patch
# For bz#1513543 - [RFE] Add block job to create format on a storage device
Patch214: kvm-jobs-fix-stale-wording.patch
# For bz#1513543 - [RFE] Add block job to create format on a storage device
Patch215: kvm-jobs-fix-verb-references-in-docs.patch
# For bz#1513543 - [RFE] Add block job to create format on a storage device
Patch216: kvm-iotests-Fix-219-s-timing.patch
# For bz#1513543 - [RFE] Add block job to create format on a storage device
Patch217: kvm-iotests-improve-pause_job.patch
# For bz#1572851 - Core dumped after migration when with usb-host
Patch220: kvm-usb-host-skip-open-on-pending-postload-bh.patch
# For bz#1574216 - CVE-2018-3639 qemu-kvm-rhev: hw: cpu: speculative store bypass [rhel-7.6]
Patch221: kvm-i386-Define-the-Virt-SSBD-MSR-and-handling-of-it-CVE.patch
# For bz#1574216 - CVE-2018-3639 qemu-kvm-rhev: hw: cpu: speculative store bypass [rhel-7.6]
Patch222: kvm-i386-define-the-AMD-virt-ssbd-CPUID-feature-bit-CVE-.patch
# For bz#1519144 - qemu-img: image locking doesn't cover image creation
Patch223: kvm-block-file-posix-Pass-FD-to-locking-helpers.patch
# For bz#1519144 - qemu-img: image locking doesn't cover image creation
Patch224: kvm-block-file-posix-File-locking-during-creation.patch
# For bz#1519144 - qemu-img: image locking doesn't cover image creation
Patch225: kvm-iotests-Add-creation-test-to-153.patch
# For bz#1526645 - [Intel 7.6 FEAT] vHost Data Plane Acceleration (vDPA) - vhost user client - qemu-kvm-rhev
Patch226: kvm-vhost-user-add-Net-prefix-to-internal-state-structur.patch
# For bz#1526645 - [Intel 7.6 FEAT] vHost Data Plane Acceleration (vDPA) - vhost user client - qemu-kvm-rhev
Patch227: kvm-virtio-support-setting-memory-region-based-host-noti.patch
# For bz#1526645 - [Intel 7.6 FEAT] vHost Data Plane Acceleration (vDPA) - vhost user client - qemu-kvm-rhev
Patch228: kvm-vhost-user-support-receiving-file-descriptors-in-sla.patch
# For bz#1526645 - [Intel 7.6 FEAT] vHost Data Plane Acceleration (vDPA) - vhost user client - qemu-kvm-rhev
Patch229: kvm-osdep-add-wait.h-compat-macros.patch
# For bz#1526645 - [Intel 7.6 FEAT] vHost Data Plane Acceleration (vDPA) - vhost user client - qemu-kvm-rhev
Patch230: kvm-vhost-user-bridge-support-host-notifier.patch
# For bz#1526645 - [Intel 7.6 FEAT] vHost Data Plane Acceleration (vDPA) - vhost user client - qemu-kvm-rhev
Patch231: kvm-vhost-allow-backends-to-filter-memory-sections.patch
# For bz#1526645 - [Intel 7.6 FEAT] vHost Data Plane Acceleration (vDPA) - vhost user client - qemu-kvm-rhev
Patch232: kvm-vhost-user-allow-slave-to-send-fds-via-slave-channel.patch
# For bz#1526645 - [Intel 7.6 FEAT] vHost Data Plane Acceleration (vDPA) - vhost user client - qemu-kvm-rhev
Patch233: kvm-vhost-user-introduce-shared-vhost-user-state.patch
# For bz#1526645 - [Intel 7.6 FEAT] vHost Data Plane Acceleration (vDPA) - vhost user client - qemu-kvm-rhev
Patch234: kvm-vhost-user-support-registering-external-host-notifie.patch
# For bz#1526645 - [Intel 7.6 FEAT] vHost Data Plane Acceleration (vDPA) - vhost user client - qemu-kvm-rhev
Patch235: kvm-libvhost-user-support-host-notifier.patch
# For bz#1482537 - [RFE] qemu-img copy-offloading (convert command)
Patch236: kvm-block-Introduce-API-for-copy-offloading.patch
# For bz#1482537 - [RFE] qemu-img copy-offloading (convert command)
Patch237: kvm-raw-Check-byte-range-uniformly.patch
# For bz#1482537 - [RFE] qemu-img copy-offloading (convert command)
Patch238: kvm-raw-Implement-copy-offloading.patch
# For bz#1482537 - [RFE] qemu-img copy-offloading (convert command)
Patch239: kvm-qcow2-Implement-copy-offloading.patch
# For bz#1482537 - [RFE] qemu-img copy-offloading (convert command)
Patch240: kvm-file-posix-Implement-bdrv_co_copy_range.patch
# For bz#1482537 - [RFE] qemu-img copy-offloading (convert command)
Patch241: kvm-iscsi-Query-and-save-device-designator-when-opening.patch
# For bz#1482537 - [RFE] qemu-img copy-offloading (convert command)
Patch242: kvm-iscsi-Create-and-use-iscsi_co_wait_for_task.patch
# For bz#1482537 - [RFE] qemu-img copy-offloading (convert command)
Patch243: kvm-iscsi-Implement-copy-offloading.patch
# For bz#1482537 - [RFE] qemu-img copy-offloading (convert command)
Patch244: kvm-block-backend-Add-blk_co_copy_range.patch
# For bz#1482537 - [RFE] qemu-img copy-offloading (convert command)
Patch245: kvm-qemu-img-Convert-with-copy-offloading.patch
# For bz#1482537 - [RFE] qemu-img copy-offloading (convert command)
Patch246: kvm-qcow2-Fix-src_offset-in-copy-offloading.patch
# For bz#1482537 - [RFE] qemu-img copy-offloading (convert command)
Patch247: kvm-iscsi-Don-t-blindly-use-designator-length-in-respons.patch
# For bz#1482537 - [RFE] qemu-img copy-offloading (convert command)
Patch248: kvm-file-posix-Fix-EINTR-handling.patch
# For bz#1595180 - Can't set rerror/werror with usb-storage
Patch249: kvm-usb-storage-Add-rerror-werror-properties.patch
# For bz#1578381 - Error message need update when specify numa distance with node index >=128
Patch250: kvm-numa-clarify-error-message-when-node-index-is-out-of.patch
# For bz#1528541 - qemu-img check reports tons of leaked clusters after re-start nfs service to resume writing data in guest
Patch251: kvm-qemu-iotests-Update-026.out.nocache-reference-output.patch
# For bz#1528541 - qemu-img check reports tons of leaked clusters after re-start nfs service to resume writing data in guest
Patch252: kvm-qcow2-Free-allocated-clusters-on-write-error.patch
# For bz#1528541 - qemu-img check reports tons of leaked clusters after re-start nfs service to resume writing data in guest
Patch253: kvm-qemu-iotests-Test-qcow2-not-leaking-clusters-on-writ.patch
# For bz#1586313 - -smp option is not easily found in the output of qemu help
Patch254: kvm-qemu-options-Add-missing-newline-to-accel-help-text.patch
# For bz#1594135 - system_reset many times linux guests cause qemu process Aborted
Patch255: kvm-xhci-fix-guest-triggerable-assert.patch
# For bz#1589634 - Migration failed when rebooting guest with multiple virtio videos
Patch256: kvm-virtio-gpu-tweak-scanout-disable.patch
# For bz#1589634 - Migration failed when rebooting guest with multiple virtio videos
Patch257: kvm-virtio-gpu-update-old-resource-too.patch
# For bz#1589634 - Migration failed when rebooting guest with multiple virtio videos
Patch258: kvm-virtio-gpu-disable-scanout-when-backing-resource-is-.patch
# For bz#1549654 - Reject node-names which would be truncated by the block layer commands
Patch259: kvm-block-Don-t-silently-truncate-node-names.patch
# For bz#1533158 - QEMU support for libvirtd restarting qemu-pr-helper
Patch260: kvm-pr-helper-fix-socket-path-default-in-help.patch
# For bz#1533158 - QEMU support for libvirtd restarting qemu-pr-helper
Patch261: kvm-pr-helper-fix-assertion-failure-on-failed-multipath-.patch
# For bz#1533158 - QEMU support for libvirtd restarting qemu-pr-helper
Patch262: kvm-pr-manager-helper-avoid-SIGSEGV-when-writing-to-the-.patch
# For bz#1533158 - QEMU support for libvirtd restarting qemu-pr-helper
Patch263: kvm-pr-manager-put-stubs-in-.c-file.patch
# For bz#1533158 - QEMU support for libvirtd restarting qemu-pr-helper
Patch264: kvm-pr-manager-add-query-pr-managers-QMP-command.patch
# For bz#1533158 - QEMU support for libvirtd restarting qemu-pr-helper
Patch265: kvm-pr-manager-helper-report-event-on-connection-disconn.patch
# For bz#1533158 - QEMU support for libvirtd restarting qemu-pr-helper
Patch266: kvm-pr-helper-avoid-error-on-PR-IN-command-with-zero-req.patch
# For bz#1533158 - QEMU support for libvirtd restarting qemu-pr-helper
Patch267: kvm-pr-helper-Rework-socket-path-handling.patch
# For bz#1533158 - QEMU support for libvirtd restarting qemu-pr-helper
Patch268: kvm-pr-manager-helper-fix-memory-leak-on-event.patch
# For bz#1556678 - Hot plug usb-ccid for the 2nd time with the same ID as the 1st time failed
Patch269: kvm-object-fix-OBJ_PROP_LINK_UNREF_ON_RELEASE-ambivalenc.patch
# For bz#1556678 - Hot plug usb-ccid for the 2nd time with the same ID as the 1st time failed
Patch270: kvm-usb-hcd-xhci-test-add-a-test-for-ccid-hotplug.patch
# For bz#1556678 - Hot plug usb-ccid for the 2nd time with the same ID as the 1st time failed
Patch271: kvm-Revert-usb-release-the-created-buses.patch
# For bz#1599335 - Image creation locking is too tight and is not properly released
Patch272: kvm-file-posix-Fix-creation-locking.patch
# For bz#1599335 - Image creation locking is too tight and is not properly released
Patch273: kvm-file-posix-Unlock-FD-after-creation.patch
# For bz#1584914 - SATA emulator lags and hangs
Patch274: kvm-ahci-trim-signatures-on-raise-lower.patch
# For bz#1584914 - SATA emulator lags and hangs
Patch275: kvm-ahci-fix-PxCI-register-race.patch
# For bz#1584914 - SATA emulator lags and hangs
Patch276: kvm-ahci-don-t-schedule-unnecessary-BH.patch
# For bz#1595173 - blockdev-create is blocking
Patch277: kvm-qcow2-Fix-qcow2_truncate-error-return-value.patch
# For bz#1595173 - blockdev-create is blocking
Patch278: kvm-block-Convert-.bdrv_truncate-callback-to-coroutine_f.patch
# For bz#1595173 - blockdev-create is blocking
Patch279: kvm-qcow2-Remove-coroutine-trampoline-for-preallocate_co.patch
# For bz#1595173 - blockdev-create is blocking
Patch280: kvm-block-Move-bdrv_truncate-implementation-to-io.c.patch
# For bz#1595173 - blockdev-create is blocking
Patch281: kvm-block-Use-tracked-request-for-truncate.patch
# For bz#1595173 - blockdev-create is blocking
Patch282: kvm-file-posix-Make-.bdrv_co_truncate-asynchronous.patch
# For bz#1590640 - qemu-kvm: block/io.c:1098: bdrv_co_do_copy_on_readv: Assertion `skip_bytes < pnum' failed.
Patch283: kvm-block-Fix-copy-on-read-crash-with-partial-final-clus.patch
# For bz#1599515 - qemu core-dump with aio_read via hmp (util/qemu-thread-posix.c:64: qemu_mutex_lock_impl: Assertion `mutex->initialized' failed)
Patch284: kvm-block-fix-QEMU-crash-with-scsi-hd-and-drive_del.patch
# For bz#1576743 - virtio-rng hangs when running on recent (2.x) QEMU versions
Patch285: kvm-virtio-rng-process-pending-requests-on-DRIVER_OK.patch
# For bz#1525829 - can not boot up a scsi-block passthrough disk via -blockdev with error "cannot get SG_IO version number: Operation not supported.  Is this a SCSI device?"
Patch286: kvm-file-posix-specify-expected-filetypes.patch
# For bz#1525829 - can not boot up a scsi-block passthrough disk via -blockdev with error "cannot get SG_IO version number: Operation not supported.  Is this a SCSI device?"
Patch287: kvm-iotests-add-test-226-for-file-driver-types.patch
# For bz#1207657 - RFE: QEMU Incremental live backup - push and pull modes
Patch288: kvm-block-dirty-bitmap-add-lock-to-bdrv_enable-disable_d.patch
# For bz#1207657 - RFE: QEMU Incremental live backup - push and pull modes
Patch289: kvm-qapi-add-x-block-dirty-bitmap-enable-disable.patch
# For bz#1207657 - RFE: QEMU Incremental live backup - push and pull modes
Patch290: kvm-qmp-transaction-support-for-x-block-dirty-bitmap-ena.patch
# For bz#1207657 - RFE: QEMU Incremental live backup - push and pull modes
Patch291: kvm-qapi-add-x-block-dirty-bitmap-merge.patch
# For bz#1207657 - RFE: QEMU Incremental live backup - push and pull modes
Patch292: kvm-qapi-add-disabled-parameter-to-block-dirty-bitmap-ad.patch
# For bz#1207657 - RFE: QEMU Incremental live backup - push and pull modes
Patch293: kvm-block-dirty-bitmap-add-bdrv_enable_dirty_bitmap_lock.patch
# For bz#1207657 - RFE: QEMU Incremental live backup - push and pull modes
Patch294: kvm-dirty-bitmap-fix-double-lock-on-bitmap-enabling.patch
# For bz#1207657 - RFE: QEMU Incremental live backup - push and pull modes
Patch295: kvm-block-qcow2-bitmap-fix-free_bitmap_clusters.patch
# For bz#1207657 - RFE: QEMU Incremental live backup - push and pull modes
Patch296: kvm-qcow2-add-overlap-check-for-bitmap-directory.patch
# For bz#1207657 - RFE: QEMU Incremental live backup - push and pull modes
Patch297: kvm-blockdev-enable-non-root-nodes-for-backup-source.patch
# For bz#1207657 - RFE: QEMU Incremental live backup - push and pull modes
Patch298: kvm-iotests-add-222-to-test-basic-fleecing.patch
# For bz#1207657 - RFE: QEMU Incremental live backup - push and pull modes
Patch299: kvm-qcow2-Remove-dead-check-on-ret.patch
# For bz#1207657 - RFE: QEMU Incremental live backup - push and pull modes
Patch300: kvm-block-Move-request-tracking-to-children-in-copy-offl.patch
# For bz#1207657 - RFE: QEMU Incremental live backup - push and pull modes
Patch301: kvm-block-Fix-parameter-checking-in-bdrv_co_copy_range_i.patch
# For bz#1207657 - RFE: QEMU Incremental live backup - push and pull modes
Patch302: kvm-block-Honour-BDRV_REQ_NO_SERIALISING-in-copy-range.patch
# For bz#1207657 - RFE: QEMU Incremental live backup - push and pull modes
Patch303: kvm-backup-Use-copy-offloading.patch
# For bz#1207657 - RFE: QEMU Incremental live backup - push and pull modes
Patch304: kvm-block-backup-disable-copy-offloading-for-backup.patch
# For bz#1207657 - RFE: QEMU Incremental live backup - push and pull modes
Patch305: kvm-iotests-222-Don-t-run-with-luks.patch
# For bz#1207657 - RFE: QEMU Incremental live backup - push and pull modes
Patch306: kvm-block-io-fix-copy_range.patch
# For bz#1207657 - RFE: QEMU Incremental live backup - push and pull modes
Patch307: kvm-block-split-flags-in-copy_range.patch
# For bz#1207657 - RFE: QEMU Incremental live backup - push and pull modes
Patch308: kvm-block-add-BDRV_REQ_SERIALISING-flag.patch
# For bz#1207657 - RFE: QEMU Incremental live backup - push and pull modes
Patch309: kvm-block-backup-fix-fleecing-scheme-use-serialized-writ.patch
# For bz#1207657 - RFE: QEMU Incremental live backup - push and pull modes
Patch310: kvm-nbd-server-Reject-0-length-block-status-request.patch
# For bz#1207657 - RFE: QEMU Incremental live backup - push and pull modes
Patch311: kvm-nbd-server-fix-trace.patch
# For bz#1207657 - RFE: QEMU Incremental live backup - push and pull modes
Patch312: kvm-nbd-server-refactor-NBDExportMetaContexts.patch
# For bz#1207657 - RFE: QEMU Incremental live backup - push and pull modes
Patch313: kvm-nbd-server-add-nbd_meta_empty_or_pattern-helper.patch
# For bz#1207657 - RFE: QEMU Incremental live backup - push and pull modes
Patch314: kvm-nbd-server-implement-dirty-bitmap-export.patch
# For bz#1207657 - RFE: QEMU Incremental live backup - push and pull modes
Patch315: kvm-qapi-new-qmp-command-nbd-server-add-bitmap.patch
# For bz#1207657 - RFE: QEMU Incremental live backup - push and pull modes
Patch316: kvm-docs-interop-add-nbd.txt.patch
# For bz#1207657 - RFE: QEMU Incremental live backup - push and pull modes
Patch317: kvm-nbd-server-introduce-NBD_CMD_CACHE.patch
# For bz#1207657 - RFE: QEMU Incremental live backup - push and pull modes
Patch318: kvm-nbd-server-Silence-gcc-false-positive.patch
# For bz#1207657 - RFE: QEMU Incremental live backup - push and pull modes
Patch319: kvm-nbd-server-Fix-dirty-bitmap-logic-regression.patch
# For bz#1207657 - RFE: QEMU Incremental live backup - push and pull modes
Patch320: kvm-nbd-server-fix-nbd_co_send_block_status.patch
# For bz#1207657 - RFE: QEMU Incremental live backup - push and pull modes
Patch321: kvm-nbd-client-Add-x-dirty-bitmap-to-query-bitmap-from-s.patch
# For bz#1207657 - RFE: QEMU Incremental live backup - push and pull modes
Patch322: kvm-iotests-New-test-223-for-exporting-dirty-bitmap-over.patch
# For bz#1592817 - Retrying on serial_xmit if the pipe is broken may compromise the Guest
Patch323: kvm-hw-char-serial-Only-retry-if-qemu_chr_fe_write-retur.patch
# For bz#1592817 - Retrying on serial_xmit if the pipe is broken may compromise the Guest
Patch324: kvm-hw-char-serial-retry-write-if-EAGAIN.patch
# For bz#1535914 - Disable io throttling for one member disk of a group during io will induce the other one hang with io
Patch325: kvm-throttle-groups-fix-hang-when-group-member-leaves.patch
# For bz#1586357 - Disable new devices in 2.12
Patch326: kvm-Disable-aarch64-devices-reappeared-after-2.12-rebase.patch
# For bz#1586357 - Disable new devices in 2.12
Patch327: kvm-Disable-split-irq-device.patch
# For bz#1586357 - Disable new devices in 2.12
Patch328: kvm-Disable-AT24Cx-i2c-eeprom.patch
# For bz#1586357 - Disable new devices in 2.12
Patch329: kvm-Disable-CAN-bus-devices.patch
# For bz#1586357 - Disable new devices in 2.12
Patch330: kvm-Disable-new-superio-devices.patch
# For bz#1586357 - Disable new devices in 2.12
Patch331: kvm-Disable-new-pvrdma-device.patch
# For bz#1607891 - Hotplug events are sometimes lost with virtio-scsi + iothread
Patch332: kvm-qdev-add-HotplugHandler-post_plug-callback.patch
# For bz#1607891 - Hotplug events are sometimes lost with virtio-scsi + iothread
Patch333: kvm-virtio-scsi-fix-hotplug-reset-vs-event-race.patch
# For bz#1608778 - qemu/migration: migrate failed from RHEL.7.6 to RHEL.7.5 with e1000-82540em
Patch334: kvm-e1000-Fix-tso_props-compat-for-82540em.patch
# For bz#1586255 - CVE-2018-11806 qemu-kvm-rhev: QEMU: slirp: heap buffer overflow while reassembling fragmented datagrams [rhel-7.6]
Patch335: kvm-slirp-correct-size-computation-while-concatenating-m.patch
# For bz#1595740 - RHEL-Alt-7.6 - qemu has error during migration of larger guests
Patch336: kvm-s390x-sclp-fix-maxram-calculation.patch
# For bz#1594384 - 2.12 migration fixes
Patch337: kvm-migration-stop-compressing-page-in-migration-thread.patch
# For bz#1594384 - 2.12 migration fixes
Patch338: kvm-migration-stop-compression-to-allocate-and-free-memo.patch
# For bz#1594384 - 2.12 migration fixes
Patch339: kvm-migration-stop-decompression-to-allocate-and-free-me.patch
# For bz#1594384 - 2.12 migration fixes
Patch340: kvm-migration-detect-compression-and-decompression-error.patch
# For bz#1594384 - 2.12 migration fixes
Patch341: kvm-migration-introduce-control_save_page.patch
# For bz#1594384 - 2.12 migration fixes
Patch342: kvm-migration-move-some-code-to-ram_save_host_page.patch
# For bz#1594384 - 2.12 migration fixes
Patch343: kvm-migration-move-calling-control_save_page-to-the-comm.patch
# For bz#1594384 - 2.12 migration fixes
Patch344: kvm-migration-move-calling-save_zero_page-to-the-common-.patch
# For bz#1594384 - 2.12 migration fixes
Patch345: kvm-migration-introduce-save_normal_page.patch
# For bz#1594384 - 2.12 migration fixes
Patch346: kvm-migration-remove-ram_save_compressed_page.patch
# For bz#1594384 - 2.12 migration fixes
Patch347: kvm-migration-block-dirty-bitmap-fix-memory-leak-in-dirt.patch
# For bz#1594384 - 2.12 migration fixes
Patch348: kvm-migration-fix-saving-normal-page-even-if-it-s-been-c.patch
# For bz#1594384 - 2.12 migration fixes
Patch349: kvm-migration-update-index-field-when-delete-or-qsort-RD.patch
# For bz#1594384 - 2.12 migration fixes
Patch350: kvm-migration-introduce-decompress-error-check.patch
# For bz#1594384 - 2.12 migration fixes
Patch351: kvm-migration-Don-t-activate-block-devices-if-using-S.patch
# For bz#1594384 - 2.12 migration fixes
Patch352: kvm-migration-not-wait-RDMA_CM_EVENT_DISCONNECTED-event-.patch
# For bz#1594384 - 2.12 migration fixes
Patch353: kvm-migration-block-dirty-bitmap-fix-dirty_bitmap_load.patch
# For bz#1595718 - Add ppa15/bpb to the default cpu model for z196 and higher in the 7.6 s390-ccw-virtio machine
Patch354: kvm-s390x-add-RHEL-7.6-machine-type-for-ccw.patch
# For bz#1595718 - Add ppa15/bpb to the default cpu model for z196 and higher in the 7.6 s390-ccw-virtio machine
Patch355: kvm-s390x-cpumodel-default-enable-bpb-and-ppa15-for-z196.patch
# For bz#1612938 - Add etoken support to qemu-kvm for s390x KVM guests
Patch356: kvm-linux-headers-asm-s390-kvm.h-header-sync.patch
# For bz#1612938 - Add etoken support to qemu-kvm for s390x KVM guests
Patch357: kvm-s390x-kvm-add-etoken-facility.patch
# For bz#1594384 - 2.12 migration fixes
Patch358: kvm-Migration-TLS-Fix-crash-due-to-double-cleanup.patch
# For bz#1622656 - qemu-kvm fails to build due to libusb_set_debug being deprecated
Patch359: kvm-Fix-libusb-1.0.22-deprecated-libusb_set_debug-with-l.patch
# For bz#1596024 - The network link can't be detected on guest when the guest uses e1000e model type
Patch360: kvm-e1000e-Do-not-auto-clear-ICR-bits-which-aren-t-set-i.patch
# For bz#1596024 - The network link can't be detected on guest when the guest uses e1000e model type
Patch361: kvm-e1000e-Prevent-MSI-MSI-X-storms.patch
# For bz#1615717 - Memory leaks
Patch362: kvm-target-i386-sev-fix-memory-leaks.patch
# For bz#1615717 - Memory leaks
Patch363: kvm-i386-Fix-arch_query_cpu_model_expansion-leak.patch
# For bz#1619804 - kernel panic in init_amd_cacheinfo
Patch364: kvm-i386-Disable-TOPOEXT-by-default-on-cpu-host.patch
# For bz#1625185 - Re-enable disabled Hyper-V enlightenments
Patch365: kvm-Re-enable-disabled-Hyper-V-enlightenments.patch
# For bz#1624164 - Review annocheck distro flag failures in qemu-kvm
Patch366: kvm-Fix-annocheck-issues.patch
# For bz#1630746 - qemu_ram_mmap: Assertion `is_power_of_2(align)' failed
Patch367: kvm-exec-check-that-alignment-is-a-power-of-two.patch
# For bz#1575925 - "SSL: no alternative certificate subject name matches target host name" error even though sslverify = off
Patch368: kvm-curl-Make-sslverify-off-disable-host-as-well-as-peer.patch
# For bz#1608765 - After postcopy migration,  do savevm and loadvm, guest hang and call trace
Patch370: kvm-migration-postcopy-Clear-have_listen_thread.patch
# For bz#1608765 - After postcopy migration,  do savevm and loadvm, guest hang and call trace
Patch371: kvm-migration-cleanup-in-error-paths-in-loadvm.patch
# For bz#1632939 - qemu blockjobs other than backup do not support job-finalize or job-dismiss
Patch372: kvm-jobs-change-start-callback-to-run-callback.patch
# For bz#1632939 - qemu blockjobs other than backup do not support job-finalize or job-dismiss
Patch373: kvm-jobs-canonize-Error-object.patch
# For bz#1632939 - qemu blockjobs other than backup do not support job-finalize or job-dismiss
Patch374: kvm-jobs-add-exit-shim.patch
# For bz#1632939 - qemu blockjobs other than backup do not support job-finalize or job-dismiss
Patch375: kvm-block-commit-utilize-job_exit-shim.patch
# For bz#1632939 - qemu blockjobs other than backup do not support job-finalize or job-dismiss
Patch376: kvm-block-mirror-utilize-job_exit-shim.patch
# For bz#1632939 - qemu blockjobs other than backup do not support job-finalize or job-dismiss
Patch377: kvm-jobs-utilize-job_exit-shim.patch
# For bz#1632939 - qemu blockjobs other than backup do not support job-finalize or job-dismiss
Patch378: kvm-block-backup-make-function-variables-consistently-na.patch
# For bz#1632939 - qemu blockjobs other than backup do not support job-finalize or job-dismiss
Patch379: kvm-jobs-remove-ret-argument-to-job_completed-privatize-.patch
# For bz#1632939 - qemu blockjobs other than backup do not support job-finalize or job-dismiss
Patch380: kvm-jobs-remove-job_defer_to_main_loop.patch
# For bz#1632939 - qemu blockjobs other than backup do not support job-finalize or job-dismiss
Patch381: kvm-block-commit-add-block-job-creation-flags.patch
# For bz#1632939 - qemu blockjobs other than backup do not support job-finalize or job-dismiss
Patch382: kvm-block-mirror-add-block-job-creation-flags.patch
# For bz#1632939 - qemu blockjobs other than backup do not support job-finalize or job-dismiss
Patch383: kvm-block-stream-add-block-job-creation-flags.patch
# For bz#1632939 - qemu blockjobs other than backup do not support job-finalize or job-dismiss
Patch384: kvm-block-commit-refactor-commit-to-use-job-callbacks.patch
# For bz#1632939 - qemu blockjobs other than backup do not support job-finalize or job-dismiss
Patch385: kvm-block-mirror-don-t-install-backing-chain-on-abort.patch
# For bz#1632939 - qemu blockjobs other than backup do not support job-finalize or job-dismiss
Patch386: kvm-block-mirror-conservative-mirror_exit-refactor.patch
# For bz#1632939 - qemu blockjobs other than backup do not support job-finalize or job-dismiss
Patch387: kvm-block-stream-refactor-stream-to-use-job-callbacks.patch
# For bz#1632939 - qemu blockjobs other than backup do not support job-finalize or job-dismiss
Patch388: kvm-tests-blockjob-replace-Blockjob-with-Job.patch
# For bz#1632939 - qemu blockjobs other than backup do not support job-finalize or job-dismiss
Patch389: kvm-tests-test-blockjob-remove-exit-callback.patch
# For bz#1632939 - qemu blockjobs other than backup do not support job-finalize or job-dismiss
Patch390: kvm-tests-test-blockjob-txn-move-.exit-to-.clean.patch
# For bz#1632939 - qemu blockjobs other than backup do not support job-finalize or job-dismiss
Patch391: kvm-jobs-remove-.exit-callback.patch
# For bz#1632939 - qemu blockjobs other than backup do not support job-finalize or job-dismiss
Patch392: kvm-qapi-block-commit-expose-new-job-properties.patch
# For bz#1632939 - qemu blockjobs other than backup do not support job-finalize or job-dismiss
Patch393: kvm-qapi-block-mirror-expose-new-job-properties.patch
# For bz#1632939 - qemu blockjobs other than backup do not support job-finalize or job-dismiss
Patch394: kvm-qapi-block-stream-expose-new-job-properties.patch
# For bz#1632939 - qemu blockjobs other than backup do not support job-finalize or job-dismiss
Patch395: kvm-block-backup-qapi-documentation-fixup.patch
# For bz#1632939 - qemu blockjobs other than backup do not support job-finalize or job-dismiss
Patch396: kvm-blockdev-document-transactional-shortcomings.patch
# For bz#1618356 - qemu-kvm: Qemu: seccomp: blacklist is not applied to all threads [rhel-8]
Patch397: kvm-seccomp-allow-sched_setscheduler-with-SCHED_IDLE-pol.patch
# For bz#1618356 - qemu-kvm: Qemu: seccomp: blacklist is not applied to all threads [rhel-8]
Patch398: kvm-seccomp-use-SIGSYS-signal-instead-of-killing-the-thr.patch
# For bz#1618356 - qemu-kvm: Qemu: seccomp: blacklist is not applied to all threads [rhel-8]
Patch399: kvm-seccomp-prefer-SCMP_ACT_KILL_PROCESS-if-available.patch
# For bz#1618356 - qemu-kvm: Qemu: seccomp: blacklist is not applied to all threads [rhel-8]
Patch400: kvm-configure-require-libseccomp-2.2.0.patch
# For bz#1618356 - qemu-kvm: Qemu: seccomp: blacklist is not applied to all threads [rhel-8]
Patch401: kvm-seccomp-set-the-seccomp-filter-to-all-threads.patch
# For bz#1600365 - QEMU core dumped when hotplug memory exceeding host hugepages and with discard-data=yes
Patch402: kvm-memory-cleanup-side-effects-of-memory_region_init_fo.patch
# For bz#1621817 - Disable IVSHMEM in RHEL 8
Patch403: kvm-check-Only-test-ivshm-when-it-is-compiled-in.patch
# For bz#1621817 - Disable IVSHMEM in RHEL 8
Patch404: kvm-Disable-ivshmem.patch
# For bz#1637963 - Segfault on 'blockdev-mirror' with same node as source and target
Patch405: kvm-mirror-Fail-gracefully-for-source-target.patch
# For bz#1637970 - allow using node-names with block-commit
Patch406: kvm-commit-Add-top-node-base-node-options.patch
# For bz#1637970 - allow using node-names with block-commit
Patch407: kvm-qemu-iotests-Test-commit-with-top-node-base-node.patch
# For bz#1635583 - Quitting VM causes qemu core dump once the block mirror job paused for no enough target space
Patch408: kvm-block-for-jobs-do-not-clear-user_paused-until-after-.patch
# For bz#1635583 - Quitting VM causes qemu core dump once the block mirror job paused for no enough target space
Patch409: kvm-iotests-Add-failure-matching-to-common.qemu.patch
# For bz#1635583 - Quitting VM causes qemu core dump once the block mirror job paused for no enough target space
Patch410: kvm-block-iotest-to-catch-abort-on-forced-blockjob-cance.patch
# For bz#1609235 - Win2016 guest can't recognize pc-dimm hotplugged to node 0
Patch411: kvm-Revert-hw-acpi-build-build-SRAT-memory-affinity-stru.patch
# For bz#1623085 - VM doesn't boot from HD
Patch413: kvm-aio-posix-Don-t-count-ctx-notifier-as-progress-when-.patch
# For bz#1623085 - VM doesn't boot from HD
Patch414: kvm-aio-Do-aio_notify_accept-only-during-blocking-aio_po.patch
# For bz#1632622 - ~40% virtio_blk disk performance drop for win2012r2 guest when comparing qemu-kvm-rhev-2.12.0-9 with qemu-kvm-rhev-2.12.0-12
Patch415: kvm-aio-posix-fix-concurrent-access-to-poll_disable_cnt.patch
# For bz#1632622 - ~40% virtio_blk disk performance drop for win2012r2 guest when comparing qemu-kvm-rhev-2.12.0-9 with qemu-kvm-rhev-2.12.0-12
Patch416: kvm-aio-posix-compute-timeout-before-polling.patch
# For bz#1632622 - ~40% virtio_blk disk performance drop for win2012r2 guest when comparing qemu-kvm-rhev-2.12.0-9 with qemu-kvm-rhev-2.12.0-12
Patch417: kvm-aio-posix-do-skip-system-call-if-ctx-notifier-pollin.patch
# For bz#1450712 - Booting nested guest with vIOMMU, the assigned network devices can not receive packets (qemu)
Patch418: kvm-intel-iommu-send-PSI-always-even-if-across-PDEs.patch
# For bz#1450712 - Booting nested guest with vIOMMU, the assigned network devices can not receive packets (qemu)
Patch419: kvm-intel-iommu-remove-IntelIOMMUNotifierNode.patch
# For bz#1450712 - Booting nested guest with vIOMMU, the assigned network devices can not receive packets (qemu)
Patch420: kvm-intel-iommu-add-iommu-lock.patch
# For bz#1450712 - Booting nested guest with vIOMMU, the assigned network devices can not receive packets (qemu)
Patch421: kvm-intel-iommu-only-do-page-walk-for-MAP-notifiers.patch
# For bz#1450712 - Booting nested guest with vIOMMU, the assigned network devices can not receive packets (qemu)
Patch422: kvm-intel-iommu-introduce-vtd_page_walk_info.patch
# For bz#1450712 - Booting nested guest with vIOMMU, the assigned network devices can not receive packets (qemu)
Patch423: kvm-intel-iommu-pass-in-address-space-when-page-walk.patch
# For bz#1450712 - Booting nested guest with vIOMMU, the assigned network devices can not receive packets (qemu)
Patch424: kvm-intel-iommu-trace-domain-id-during-page-walk.patch
# For bz#1450712 - Booting nested guest with vIOMMU, the assigned network devices can not receive packets (qemu)
Patch425: kvm-util-implement-simple-iova-tree.patch
# For bz#1450712 - Booting nested guest with vIOMMU, the assigned network devices can not receive packets (qemu)
Patch426: kvm-intel-iommu-rework-the-page-walk-logic.patch
# For bz#1633928 - CVE-2018-3639 qemu-kvm: hw: cpu: speculative store bypass [rhel-8.0]
Patch427: kvm-i386-define-the-ssbd-CPUID-feature-bit-CVE-2018-3639.patch
# For bz#1508142 - [IBM 8.0 FEAT] KVM: Guest-dedicated Crypto Adapters - qemu part
Patch428: kvm-linux-headers-update.patch
# For bz#1508142 - [IBM 8.0 FEAT] KVM: Guest-dedicated Crypto Adapters - qemu part
Patch429: kvm-s390x-cpumodel-Set-up-CPU-model-for-AP-device-suppor.patch
# For bz#1508142 - [IBM 8.0 FEAT] KVM: Guest-dedicated Crypto Adapters - qemu part
Patch430: kvm-s390x-kvm-enable-AP-instruction-interpretation-for-g.patch
# For bz#1508142 - [IBM 8.0 FEAT] KVM: Guest-dedicated Crypto Adapters - qemu part
Patch431: kvm-s390x-ap-base-Adjunct-Processor-AP-object-model.patch
# For bz#1508142 - [IBM 8.0 FEAT] KVM: Guest-dedicated Crypto Adapters - qemu part
Patch432: kvm-s390x-vfio-ap-Introduce-VFIO-AP-device.patch
# For bz#1508142 - [IBM 8.0 FEAT] KVM: Guest-dedicated Crypto Adapters - qemu part
Patch433: kvm-s390-doc-detailed-specifications-for-AP-virtualizati.patch
# For bz#1609327 - qemu-kvm[37046]: Could not find keytab file: /etc/qemu/krb5.tab: Unknown error 49408
Patch434: kvm-vnc-call-sasl_server_init-only-when-required.patch
# For bz#1636142 - qemu NBD_CMD_CACHE flaws impacting non-qemu NBD clients
Patch435: kvm-nbd-server-fix-NBD_CMD_CACHE.patch
# For bz#1636142 - qemu NBD_CMD_CACHE flaws impacting non-qemu NBD clients
Patch436: kvm-nbd-fix-NBD_FLAG_SEND_CACHE-value.patch
# For bz#1637976 - Crashes and hangs with iothreads vs. block jobs
Patch437: kvm-test-bdrv-drain-bdrv_drain-works-with-cross-AioConte.patch
# For bz#1637976 - Crashes and hangs with iothreads vs. block jobs
Patch438: kvm-block-Use-bdrv_do_drain_begin-end-in-bdrv_drain_all.patch
# For bz#1637976 - Crashes and hangs with iothreads vs. block jobs
Patch439: kvm-block-Remove-recursive-parameter-from-bdrv_drain_inv.patch
# For bz#1637976 - Crashes and hangs with iothreads vs. block jobs
Patch440: kvm-block-Don-t-manually-poll-in-bdrv_drain_all.patch
# For bz#1637976 - Crashes and hangs with iothreads vs. block jobs
Patch441: kvm-tests-test-bdrv-drain-bdrv_drain_all-works-in-corout.patch
# For bz#1637976 - Crashes and hangs with iothreads vs. block jobs
Patch442: kvm-block-Avoid-unnecessary-aio_poll-in-AIO_WAIT_WHILE.patch
# For bz#1637976 - Crashes and hangs with iothreads vs. block jobs
Patch443: kvm-block-Really-pause-block-jobs-on-drain.patch
# For bz#1637976 - Crashes and hangs with iothreads vs. block jobs
Patch444: kvm-block-Remove-bdrv_drain_recurse.patch
# For bz#1637976 - Crashes and hangs with iothreads vs. block jobs
Patch445: kvm-test-bdrv-drain-Add-test-for-node-deletion.patch
# For bz#1637976 - Crashes and hangs with iothreads vs. block jobs
Patch446: kvm-block-Drain-recursively-with-a-single-BDRV_POLL_WHIL.patch
# For bz#1637976 - Crashes and hangs with iothreads vs. block jobs
Patch447: kvm-test-bdrv-drain-Test-node-deletion-in-subtree-recurs.patch
# For bz#1637976 - Crashes and hangs with iothreads vs. block jobs
Patch448: kvm-block-Don-t-poll-in-parent-drain-callbacks.patch
# For bz#1637976 - Crashes and hangs with iothreads vs. block jobs
Patch449: kvm-test-bdrv-drain-Graph-change-through-parent-callback.patch
# For bz#1637976 - Crashes and hangs with iothreads vs. block jobs
Patch450: kvm-block-Defer-.bdrv_drain_begin-callback-to-polling-ph.patch
# For bz#1637976 - Crashes and hangs with iothreads vs. block jobs
Patch451: kvm-test-bdrv-drain-Test-that-bdrv_drain_invoke-doesn-t-.patch
# For bz#1637976 - Crashes and hangs with iothreads vs. block jobs
Patch452: kvm-block-Allow-AIO_WAIT_WHILE-with-NULL-ctx.patch
# For bz#1637976 - Crashes and hangs with iothreads vs. block jobs
Patch453: kvm-block-Move-bdrv_drain_all_begin-out-of-coroutine-con.patch
# For bz#1637976 - Crashes and hangs with iothreads vs. block jobs
Patch454: kvm-block-ignore_bds_parents-parameter-for-drain-functio.patch
# For bz#1637976 - Crashes and hangs with iothreads vs. block jobs
Patch455: kvm-block-Allow-graph-changes-in-bdrv_drain_all_begin-en.patch
# For bz#1637976 - Crashes and hangs with iothreads vs. block jobs
Patch456: kvm-test-bdrv-drain-Test-graph-changes-in-drain_all-sect.patch
# For bz#1637976 - Crashes and hangs with iothreads vs. block jobs
Patch457: kvm-block-Poll-after-drain-on-attaching-a-node.patch
# For bz#1637976 - Crashes and hangs with iothreads vs. block jobs
Patch458: kvm-test-bdrv-drain-Test-bdrv_append-to-drained-node.patch
# For bz#1637976 - Crashes and hangs with iothreads vs. block jobs
Patch459: kvm-block-linux-aio-acquire-AioContext-before-qemu_laio_.patch
# For bz#1637976 - Crashes and hangs with iothreads vs. block jobs
Patch460: kvm-util-async-use-qemu_aio_coroutine_enter-in-co_schedu.patch
# For bz#1637976 - Crashes and hangs with iothreads vs. block jobs
Patch461: kvm-job-Fix-nested-aio_poll-hanging-in-job_txn_apply.patch
# For bz#1637976 - Crashes and hangs with iothreads vs. block jobs
Patch462: kvm-job-Fix-missing-locking-due-to-mismerge.patch
# For bz#1637976 - Crashes and hangs with iothreads vs. block jobs
Patch463: kvm-blockjob-Wake-up-BDS-when-job-becomes-idle.patch
# For bz#1637976 - Crashes and hangs with iothreads vs. block jobs
Patch464: kvm-aio-wait-Increase-num_waiters-even-in-home-thread.patch
# For bz#1637976 - Crashes and hangs with iothreads vs. block jobs
Patch465: kvm-test-bdrv-drain-Drain-with-block-jobs-in-an-I-O-thre.patch
# For bz#1637976 - Crashes and hangs with iothreads vs. block jobs
Patch466: kvm-test-blockjob-Acquire-AioContext-around-job_cancel_s.patch
# For bz#1637976 - Crashes and hangs with iothreads vs. block jobs
Patch467: kvm-job-Use-AIO_WAIT_WHILE-in-job_finish_sync.patch
# For bz#1637976 - Crashes and hangs with iothreads vs. block jobs
Patch468: kvm-test-bdrv-drain-Test-AIO_WAIT_WHILE-in-completion-ca.patch
# For bz#1637976 - Crashes and hangs with iothreads vs. block jobs
Patch469: kvm-block-Add-missing-locking-in-bdrv_co_drain_bh_cb.patch
# For bz#1637976 - Crashes and hangs with iothreads vs. block jobs
Patch470: kvm-block-backend-Add-.drained_poll-callback.patch
# For bz#1637976 - Crashes and hangs with iothreads vs. block jobs
Patch471: kvm-block-backend-Fix-potential-double-blk_delete.patch
# For bz#1637976 - Crashes and hangs with iothreads vs. block jobs
Patch472: kvm-block-backend-Decrease-in_flight-only-after-callback.patch
# For bz#1637976 - Crashes and hangs with iothreads vs. block jobs
Patch473: kvm-blockjob-Lie-better-in-child_job_drained_poll.patch
# For bz#1637976 - Crashes and hangs with iothreads vs. block jobs
Patch474: kvm-block-Remove-aio_poll-in-bdrv_drain_poll-variants.patch
# For bz#1637976 - Crashes and hangs with iothreads vs. block jobs
Patch475: kvm-test-bdrv-drain-Test-nested-poll-in-bdrv_drain_poll_.patch
# For bz#1637976 - Crashes and hangs with iothreads vs. block jobs
Patch476: kvm-job-Avoid-deadlocks-in-job_completed_txn_abort.patch
# For bz#1637976 - Crashes and hangs with iothreads vs. block jobs
Patch477: kvm-test-bdrv-drain-AIO_WAIT_WHILE-in-job-.commit-.abort.patch
# For bz#1637976 - Crashes and hangs with iothreads vs. block jobs
Patch478: kvm-test-bdrv-drain-Fix-outdated-comments.patch
# For bz#1637976 - Crashes and hangs with iothreads vs. block jobs
Patch479: kvm-block-Use-a-single-global-AioWait.patch
# For bz#1637976 - Crashes and hangs with iothreads vs. block jobs
Patch480: kvm-test-bdrv-drain-Test-draining-job-source-child-and-p.patch
# For bz#1639374 - qemu-img map 'Aborted (core dumped)' when specifying a plain file
Patch481: kvm-qemu-img-Fix-assert-when-mapping-unaligned-raw-file.patch
# For bz#1639374 - qemu-img map 'Aborted (core dumped)' when specifying a plain file
Patch482: kvm-iotests-Add-test-221-to-catch-qemu-img-map-regressio.patch
# For bz#1635585 - rbd json format of 7.6 is incompatible with 7.5
Patch483: kvm-block-rbd-pull-out-qemu_rbd_convert_options.patch
# For bz#1635585 - rbd json format of 7.6 is incompatible with 7.5
Patch484: kvm-block-rbd-Attempt-to-parse-legacy-filenames.patch
# For bz#1635585 - rbd json format of 7.6 is incompatible with 7.5
Patch485: kvm-block-rbd-add-deprecation-documentation-for-filename.patch
# For bz#1635585 - rbd json format of 7.6 is incompatible with 7.5
Patch486: kvm-block-rbd-add-iotest-for-rbd-legacy-keyvalue-filenam.patch
# For bz#1629701 - "share-rw=on" does not work for luks format image - Fast Train
Patch487: kvm-luks-Allow-share-rw-on.patch
# For bz#1636185 - [RFE] Report disk device name and serial number (qemu-guest-agent on Linux)
Patch488: kvm-configure-add-test-for-libudev.patch
# For bz#1636185 - [RFE] Report disk device name and serial number (qemu-guest-agent on Linux)
Patch489: kvm-qga-linux-report-disk-serial-number.patch
# For bz#1636185 - [RFE] Report disk device name and serial number (qemu-guest-agent on Linux)
Patch490: kvm-qga-linux-return-disk-device-in-guest-get-fsinfo.patch
# For bz#1625173 - [NVMe Device Assignment] Guest could not boot up with q35+iommu
Patch491: kvm-qemu-error-introduce-error-warn-_report_once.patch
# For bz#1625173 - [NVMe Device Assignment] Guest could not boot up with q35+iommu
Patch492: kvm-intel-iommu-start-to-use-error_report_once.patch
# For bz#1625173 - [NVMe Device Assignment] Guest could not boot up with q35+iommu
Patch493: kvm-intel-iommu-replace-more-vtd_err_-traces.patch
# For bz#1625173 - [NVMe Device Assignment] Guest could not boot up with q35+iommu
Patch494: kvm-intel_iommu-introduce-vtd_reset_caches.patch
# For bz#1625173 - [NVMe Device Assignment] Guest could not boot up with q35+iommu
Patch495: kvm-intel_iommu-better-handling-of-dmar-state-switch.patch
# For bz#1625173 - [NVMe Device Assignment] Guest could not boot up with q35+iommu
# For bz#1629616 - boot guest with q35+vIOMMU+ device assignment, qemu terminal shows "qemu-kvm: VFIO_UNMAP_DMA: -22" when return assigned network devices from vfio driver to ixgbe in guest
Patch496: kvm-intel_iommu-move-ce-fetching-out-when-sync-shadow.patch
# For bz#1625173 - [NVMe Device Assignment] Guest could not boot up with q35+iommu
# For bz#1629616 - boot guest with q35+vIOMMU+ device assignment, qemu terminal shows "qemu-kvm: VFIO_UNMAP_DMA: -22" when return assigned network devices from vfio driver to ixgbe in guest
Patch497: kvm-intel_iommu-handle-invalid-ce-for-shadow-sync.patch
# For bz#1518989 - RFE: QEMU Incremental live backup
Patch498: kvm-block-remove-bdrv_dirty_bitmap_make_anon.patch
# For bz#1518989 - RFE: QEMU Incremental live backup
Patch499: kvm-block-simplify-code-around-releasing-bitmaps.patch
# For bz#1518989 - RFE: QEMU Incremental live backup
Patch500: kvm-hbitmap-Add-advance-param-to-hbitmap_iter_next.patch
# For bz#1518989 - RFE: QEMU Incremental live backup
Patch501: kvm-test-hbitmap-Add-non-advancing-iter_next-tests.patch
# For bz#1518989 - RFE: QEMU Incremental live backup
Patch502: kvm-block-dirty-bitmap-Add-bdrv_dirty_iter_next_area.patch
# For bz#1518989 - RFE: QEMU Incremental live backup
Patch503: kvm-blockdev-backup-add-bitmap-argument.patch
# For bz#1518989 - RFE: QEMU Incremental live backup
Patch504: kvm-dirty-bitmap-switch-assert-fails-to-errors-in-bdrv_m.patch
# For bz#1518989 - RFE: QEMU Incremental live backup
Patch505: kvm-dirty-bitmap-rename-bdrv_undo_clear_dirty_bitmap.patch
# For bz#1518989 - RFE: QEMU Incremental live backup
Patch506: kvm-dirty-bitmap-make-it-possible-to-restore-bitmap-afte.patch
# For bz#1518989 - RFE: QEMU Incremental live backup
Patch507: kvm-blockdev-rename-block-dirty-bitmap-clear-transaction.patch
# For bz#1518989 - RFE: QEMU Incremental live backup
Patch508: kvm-qapi-add-transaction-support-for-x-block-dirty-bitma.patch
# For bz#1518989 - RFE: QEMU Incremental live backup
Patch509: kvm-block-dirty-bitmaps-add-user_locked-status-checker.patch
# For bz#1518989 - RFE: QEMU Incremental live backup
Patch510: kvm-block-dirty-bitmaps-fix-merge-permissions.patch
# For bz#1518989 - RFE: QEMU Incremental live backup
Patch511: kvm-block-dirty-bitmaps-allow-clear-on-disabled-bitmaps.patch
# For bz#1518989 - RFE: QEMU Incremental live backup
Patch512: kvm-block-dirty-bitmaps-prohibit-enable-disable-on-locke.patch
# For bz#1518989 - RFE: QEMU Incremental live backup
Patch513: kvm-block-backup-prohibit-backup-from-using-in-use-bitma.patch
# For bz#1518989 - RFE: QEMU Incremental live backup
Patch514: kvm-nbd-forbid-use-of-frozen-bitmaps.patch
# For bz#1518989 - RFE: QEMU Incremental live backup
Patch515: kvm-bitmap-Update-count-after-a-merge.patch
# For bz#1518989 - RFE: QEMU Incremental live backup
Patch516: kvm-iotests-169-drop-deprecated-autoload-parameter.patch
# For bz#1518989 - RFE: QEMU Incremental live backup
Patch517: kvm-block-qcow2-improve-error-message-in-qcow2_inactivat.patch
# For bz#1518989 - RFE: QEMU Incremental live backup
Patch518: kvm-bloc-qcow2-drop-dirty_bitmaps_loaded-state-variable.patch
# For bz#1518989 - RFE: QEMU Incremental live backup
Patch519: kvm-dirty-bitmaps-clean-up-bitmaps-loading-and-migration.patch
# For bz#1518989 - RFE: QEMU Incremental live backup
Patch520: kvm-iotests-improve-169.patch
# For bz#1518989 - RFE: QEMU Incremental live backup
Patch521: kvm-iotests-169-add-cases-for-source-vm-resuming.patch
# For bz#1630116 - pc_dimm_get_free_addr: assertion failed: (QEMU_ALIGN_UP(address_space_start, align) == address_space_start)
Patch522: kvm-pc-dimm-turn-alignment-assert-into-check.patch
# For bz#1598842 - Compile out unused block drivers
Patch523: kvm-block-Make-more-block-drivers-compile-time-configura.patch
# For bz#1639069 - [IBM 8.0 FEAT] POWER9 - Nested virtualization in RHEL8.0 KVM for ppc64le - qemu-kvm side
Patch524: kvm-target-ppc-add-basic-support-for-PTCR-on-POWER9.patch
# For bz#1639069 - [IBM 8.0 FEAT] POWER9 - Nested virtualization in RHEL8.0 KVM for ppc64le - qemu-kvm side
Patch525: kvm-linux-headers-Update-for-nested-KVM-HV-downstream-on.patch
# For bz#1639069 - [IBM 8.0 FEAT] POWER9 - Nested virtualization in RHEL8.0 KVM for ppc64le - qemu-kvm side
Patch526: kvm-target-ppc-Add-one-reg-id-for-ptcr.patch
# For bz#1639069 - [IBM 8.0 FEAT] POWER9 - Nested virtualization in RHEL8.0 KVM for ppc64le - qemu-kvm side
Patch527: kvm-ppc-spapr_caps-Add-SPAPR_CAP_NESTED_KVM_HV.patch
# For bz#1651195 - Re-enable hyperv-testdev device
Patch528: kvm-Re-enable-CONFIG_HYPERV_TESTDEV.patch
# For bz#1610163 - guest shows border blurred screen with some resolutions when qemu boot with -device qxl-vga ,and guest on rhel7.6 has no  such question
Patch529: kvm-qxl-use-guest_monitor_config-for-local-renderer.patch
# For bz#1651994 - Declare the "Cirrus VGA" device emulation of QEMU as deprecated in RHEL8
Patch530: kvm-Declare-cirrus-vga-as-deprecated.patch
# For bz#1654651 - Qemu: hw: bt: keep bt/* objects from building [rhel-8.0]
Patch531: kvm-Do-not-build-bluetooth-support.patch
# For bz#1645840 - Qemu core dump when hotplug nvme:// drive via -blockdev
Patch532: kvm-vfio-helpers-Fix-qemu_vfio_open_pci-crash.patch
# For bz#1650272 - Ballooning is incompatible with vfio assigned devices, but not prevented
Patch533: kvm-balloon-Allow-multiple-inhibit-users.patch
# For bz#1650272 - Ballooning is incompatible with vfio assigned devices, but not prevented
Patch534: kvm-Use-inhibit-to-prevent-ballooning-without-synchr.patch
# For bz#1650272 - Ballooning is incompatible with vfio assigned devices, but not prevented
Patch535: kvm-vfio-Inhibit-ballooning-based-on-group-attachment-to.patch
# For bz#1650272 - Ballooning is incompatible with vfio assigned devices, but not prevented
Patch536: kvm-vfio-ccw-pci-Allow-devices-to-opt-in-for-ballooning.patch
# For bz#1650272 - Ballooning is incompatible with vfio assigned devices, but not prevented
Patch537: kvm-vfio-pci-Handle-subsystem-realpath-returning-NULL.patch
# For bz#1650272 - Ballooning is incompatible with vfio assigned devices, but not prevented
Patch538: kvm-vfio-pci-Fix-failure-to-close-file-descriptor-on-err.patch
# For bz#1650272 - Ballooning is incompatible with vfio assigned devices, but not prevented
Patch539: kvm-postcopy-Synchronize-usage-of-the-balloon-inhibitor.patch
# For bz#1656507 - [RHEL.8] qcow2 cache is too small
Patch540: kvm-qcow2-Give-the-refcount-cache-the-minimum-possible-s.patch
# For bz#1656507 - [RHEL.8] qcow2 cache is too small
Patch541: kvm-docs-Document-the-new-default-sizes-of-the-qcow2-cac.patch
# For bz#1656507 - [RHEL.8] qcow2 cache is too small
Patch542: kvm-qcow2-Fix-Coverity-warning-when-calculating-the-refc.patch
# For bz#1656507 - [RHEL.8] qcow2 cache is too small
Patch543: kvm-include-Add-IEC-binary-prefixes-in-qemu-units.h.patch
# For bz#1656507 - [RHEL.8] qcow2 cache is too small
Patch544: kvm-qcow2-Options-documentation-fixes.patch
# For bz#1656507 - [RHEL.8] qcow2 cache is too small
Patch545: kvm-include-Add-a-lookup-table-of-sizes.patch
# For bz#1656507 - [RHEL.8] qcow2 cache is too small
Patch546: kvm-qcow2-Make-sizes-more-humanly-readable.patch
# For bz#1656507 - [RHEL.8] qcow2 cache is too small
Patch547: kvm-qcow2-Avoid-duplication-in-setting-the-refcount-cach.patch
# For bz#1656507 - [RHEL.8] qcow2 cache is too small
Patch548: kvm-qcow2-Assign-the-L2-cache-relatively-to-the-image-si.patch
# For bz#1656507 - [RHEL.8] qcow2 cache is too small
Patch549: kvm-qcow2-Increase-the-default-upper-limit-on-the-L2-cac.patch
# For bz#1656507 - [RHEL.8] qcow2 cache is too small
Patch550: kvm-qcow2-Resize-the-cache-upon-image-resizing.patch
# For bz#1656507 - [RHEL.8] qcow2 cache is too small
Patch551: kvm-qcow2-Set-the-default-cache-clean-interval-to-10-min.patch
# For bz#1656507 - [RHEL.8] qcow2 cache is too small
Patch552: kvm-qcow2-Explicit-number-replaced-by-a-constant.patch
# For bz#1657637 - Wrong werror default for -device drive=<node-name>
Patch553: kvm-block-backend-Set-werror-rerror-defaults-in-blk_new.patch
# For bz#1656507 - [RHEL.8] qcow2 cache is too small
Patch554: kvm-qcow2-Fix-cache-clean-interval-documentation.patch
# For bz#1640044 - Disable CONFIG_I2C and CONFIG_IPMI in default-configs/ppc64-softmmu.mak
Patch555: kvm-Disable-CONFIG_IPMI-and-CONFIG_I2C-for-ppc64.patch
# For bz#1640042 - Disable CONFIG_CAN_BUS and CONFIG_CAN_SJA1000 config switches
Patch556: kvm-Disable-CONFIG_CAN_BUS-and-CONFIG_CAN_SJA1000.patch
# For bz#1639446 - Cross migration from RHEL7.5 to RHEL8 shouldn't fail with cpu flag stibp [qemu-kvm]
Patch562: kvm-i386-Add-stibp-flag-name.patch
# For bz#1655807 - Backport avocado-qemu tests for QEMU 2.12
Patch563: kvm-Add-functional-acceptance-tests-infrastructure.patch
# For bz#1655807 - Backport avocado-qemu tests for QEMU 2.12
Patch564: kvm-scripts-qemu.py-allow-adding-to-the-list-of-extra-ar.patch
# For bz#1655807 - Backport avocado-qemu tests for QEMU 2.12
Patch565: kvm-Acceptance-tests-add-quick-VNC-tests.patch
# For bz#1655807 - Backport avocado-qemu tests for QEMU 2.12
Patch566: kvm-scripts-qemu.py-introduce-set_console-method.patch
# For bz#1655807 - Backport avocado-qemu tests for QEMU 2.12
Patch567: kvm-Acceptance-tests-add-Linux-kernel-boot-and-console-c.patch
# For bz#1655807 - Backport avocado-qemu tests for QEMU 2.12
Patch568: kvm-Bootstrap-Python-venv-for-tests.patch
# For bz#1655807 - Backport avocado-qemu tests for QEMU 2.12
Patch569: kvm-Acceptance-tests-add-make-rule-for-running-them.patch
# For bz#1654486 - [RFE] enable TPM passthrough at compile time (qemu-kvm)
Patch570: kvm-redhat-enable-tpmdev-passthrough.patch
# For bz#1598284 - [Intel 8.0 Alpha] physical bits should  < 48  when host with 5level paging &EPT5 and qemu command with "-cpu qemu64" parameters.
Patch571: kvm-x86-host-phys-bits-limit-option.patch
# For bz#1598284 - [Intel 8.0 Alpha] physical bits should  < 48  when host with 5level paging &EPT5 and qemu command with "-cpu qemu64" parameters.
Patch572: kvm-rhel-Set-host-phys-bits-limit-48-on-rhel-machine-typ.patch
# For bz#1659565 - machine type: required compat flag x-migrate-smi-count=off
Patch573: kvm-i386-do-not-migrate-MSR_SMI_COUNT-on-machine-types-2.patch
# For bz#1659565 - machine type: required compat flag x-migrate-smi-count=off
Patch574: kvm-pc-x-migrate-smi-count-to-PC_RHEL_COMPAT.patch
# For bz#1656829 - 8->7 migration failed: qemu-kvm: error: failed to set MSR 0x4b564d02 to 0x27fc13285
Patch575: kvm-slow-train-kvm-clear-out-KVM_ASYNC_PF_DELIVERY_AS_PF.patch
# For bz#1652871 - QEMU doesn't expose rendernode option for egl-headless display type
Patch576: kvm-ui-add-qapi-parser-for-display.patch
# For bz#1652871 - QEMU doesn't expose rendernode option for egl-headless display type
Patch577: kvm-ui-switch-trivial-displays-to-qapi-parser.patch
# For bz#1652871 - QEMU doesn't expose rendernode option for egl-headless display type
Patch578: kvm-qapi-Add-rendernode-display-option-for-egl-headless.patch
# For bz#1652871 - QEMU doesn't expose rendernode option for egl-headless display type
Patch579: kvm-ui-Allow-specifying-rendernode-display-option-for-eg.patch
# For bz#1652871 - QEMU doesn't expose rendernode option for egl-headless display type
Patch580: kvm-qapi-add-query-display-options-command.patch
# For bz#1653569 - Stress guest and stop it, then do live migration, guest hit call trace on destination end
Patch581: kvm-s390x-tcg-avoid-overflows-in-time2tod-tod2time.patch
# For bz#1653569 - Stress guest and stop it, then do live migration, guest hit call trace on destination end
Patch582: kvm-s390x-kvm-pass-values-instead-of-pointers-to-kvm_s39.patch
# For bz#1653569 - Stress guest and stop it, then do live migration, guest hit call trace on destination end
Patch583: kvm-s390x-tod-factor-out-TOD-into-separate-device.patch
# For bz#1653569 - Stress guest and stop it, then do live migration, guest hit call trace on destination end
Patch584: kvm-s390x-tcg-drop-tod_basetime.patch
# For bz#1653569 - Stress guest and stop it, then do live migration, guest hit call trace on destination end
Patch585: kvm-s390x-tcg-properly-implement-the-TOD.patch
# For bz#1653569 - Stress guest and stop it, then do live migration, guest hit call trace on destination end
Patch586: kvm-s390x-tcg-SET-CLOCK-COMPARATOR-can-clear-CKC-interru.patch
# For bz#1653569 - Stress guest and stop it, then do live migration, guest hit call trace on destination end
Patch587: kvm-s390x-tcg-implement-SET-CLOCK.patch
# For bz#1653569 - Stress guest and stop it, then do live migration, guest hit call trace on destination end
Patch588: kvm-s390x-tcg-rearm-the-CKC-timer-during-migration.patch
# For bz#1653569 - Stress guest and stop it, then do live migration, guest hit call trace on destination end
Patch589: kvm-s390x-tcg-fix-locking-problem-with-tcg_s390_tod_upda.patch
# For bz#1653569 - Stress guest and stop it, then do live migration, guest hit call trace on destination end
Patch590: kvm-hw-s390x-Include-the-tod-qemu-also-for-builds-with-d.patch
# For bz#1653569 - Stress guest and stop it, then do live migration, guest hit call trace on destination end
Patch591: kvm-s390x-tod-Properly-stop-the-KVM-TOD-while-the-guest-.patch
# For bz#1653569 - Stress guest and stop it, then do live migration, guest hit call trace on destination end
Patch592: kvm-hw-s390x-Fix-bad-mask-in-time2tod.patch
# For bz#1539285 - [Intel 8.0 Bug] [KVM][Crystal Ridge] Lack of data persistence guarantee of QEMU writes to host PMEM
Patch593: kvm-migration-discard-non-migratable-RAMBlocks.patch
# For bz#1539285 - [Intel 8.0 Bug] [KVM][Crystal Ridge] Lack of data persistence guarantee of QEMU writes to host PMEM
Patch594: kvm-vfio-pci-do-not-set-the-PCIDevice-has_rom-attribute.patch
# For bz#1539285 - [Intel 8.0 Bug] [KVM][Crystal Ridge] Lack of data persistence guarantee of QEMU writes to host PMEM
Patch595: kvm-memory-exec-Expose-all-memory-block-related-flags.patch
# For bz#1539285 - [Intel 8.0 Bug] [KVM][Crystal Ridge] Lack of data persistence guarantee of QEMU writes to host PMEM
Patch596: kvm-memory-exec-switch-file-ram-allocation-functions-to-.patch
# For bz#1539285 - [Intel 8.0 Bug] [KVM][Crystal Ridge] Lack of data persistence guarantee of QEMU writes to host PMEM
Patch597: kvm-configure-add-libpmem-support.patch
# For bz#1539285 - [Intel 8.0 Bug] [KVM][Crystal Ridge] Lack of data persistence guarantee of QEMU writes to host PMEM
Patch598: kvm-hostmem-file-add-the-pmem-option.patch
# For bz#1539285 - [Intel 8.0 Bug] [KVM][Crystal Ridge] Lack of data persistence guarantee of QEMU writes to host PMEM
Patch599: kvm-mem-nvdimm-ensure-write-persistence-to-PMEM-in-label.patch
# For bz#1539285 - [Intel 8.0 Bug] [KVM][Crystal Ridge] Lack of data persistence guarantee of QEMU writes to host PMEM
Patch600: kvm-migration-ram-Add-check-and-info-message-to-nvdimm-p.patch
# For bz#1539285 - [Intel 8.0 Bug] [KVM][Crystal Ridge] Lack of data persistence guarantee of QEMU writes to host PMEM
Patch601: kvm-migration-ram-ensure-write-persistence-on-loading-al.patch
# For bz#1659395 - src qemu core dump when do migration ( block device node-name changed after change cdrom) - Slow Train
Patch602: kvm-block-Don-t-inactivate-children-before-parents.patch
# For bz#1659395 - src qemu core dump when do migration ( block device node-name changed after change cdrom) - Slow Train
Patch603: kvm-iotests-Test-migration-with-blockdev.patch
# For bz#1644996 - block-commit can't be used with -blockdev
Patch604: kvm-block-Update-flags-in-bdrv_set_read_only.patch
# For bz#1644996 - block-commit can't be used with -blockdev
Patch605: kvm-block-Add-auto-read-only-option.patch
# For bz#1644996 - block-commit can't be used with -blockdev
Patch606: kvm-rbd-Close-image-in-qemu_rbd_open-error-path.patch
# For bz#1644996 - block-commit can't be used with -blockdev
Patch607: kvm-block-Require-auto-read-only-for-existing-fallbacks.patch
# For bz#1644996 - block-commit can't be used with -blockdev
Patch608: kvm-nbd-Support-auto-read-only-option.patch
# For bz#1644996 - block-commit can't be used with -blockdev
Patch609: kvm-file-posix-Support-auto-read-only-option.patch
# For bz#1644996 - block-commit can't be used with -blockdev
Patch610: kvm-curl-Support-auto-read-only-option.patch
# For bz#1644996 - block-commit can't be used with -blockdev
Patch611: kvm-gluster-Support-auto-read-only-option.patch
# For bz#1644996 - block-commit can't be used with -blockdev
Patch612: kvm-iscsi-Support-auto-read-only-option.patch
# For bz#1644996 - block-commit can't be used with -blockdev
Patch613: kvm-block-Make-auto-read-only-on-default-for-drive.patch
# For bz#1644996 - block-commit can't be used with -blockdev
Patch614: kvm-qemu-iotests-Test-auto-read-only-with-drive-and-bloc.patch
# For bz#1644996 - block-commit can't be used with -blockdev
Patch615: kvm-block-Fix-update-of-BDRV_O_AUTO_RDONLY-in-update_fla.patch
# For bz#1623082 - [rhel.8.0]Target files for 'qemu-img convert' do not support thin_provisoning with iscsi/nfs backend
Patch616: kvm-qemu-img-Add-C-option-for-convert-with-copy-offloadi.patch
# For bz#1623082 - [rhel.8.0]Target files for 'qemu-img convert' do not support thin_provisoning with iscsi/nfs backend
Patch617: kvm-iotests-Add-test-for-qemu-img-convert-C-compatibilit.patch
# For bz#1639957 - [RHEL.8] scsi host device passthrough limits IO writes - slow train
Patch618: kvm-hw-scsi-cleanups-before-VPD-BL-emulation.patch
# For bz#1639957 - [RHEL.8] scsi host device passthrough limits IO writes - slow train
Patch619: kvm-hw-scsi-centralize-SG_IO-calls-into-single-function.patch
# For bz#1639957 - [RHEL.8] scsi host device passthrough limits IO writes - slow train
Patch620: kvm-hw-scsi-add-VPD-Block-Limits-emulation.patch
# For bz#1639957 - [RHEL.8] scsi host device passthrough limits IO writes - slow train
Patch621: kvm-scsi-disk-Block-Device-Characteristics-emulation-fix.patch
# For bz#1639957 - [RHEL.8] scsi host device passthrough limits IO writes - slow train
Patch622: kvm-scsi-generic-keep-VPD-page-list-sorted.patch
# For bz#1639957 - [RHEL.8] scsi host device passthrough limits IO writes - slow train
Patch623: kvm-scsi-generic-avoid-out-of-bounds-access-to-VPD-page-.patch
# For bz#1639957 - [RHEL.8] scsi host device passthrough limits IO writes - slow train
Patch624: kvm-scsi-generic-avoid-invalid-access-to-struct-when-emu.patch
# For bz#1639957 - [RHEL.8] scsi host device passthrough limits IO writes - slow train
Patch625: kvm-scsi-generic-do-not-do-VPD-emulation-for-sense-other.patch
# For bz#1636784 - CVE-2018-17963 qemu-kvm: Qemu: net: ignore packets with large size [rhel-8]
Patch626: kvm-ne2000-fix-possible-out-of-bound-access-in-ne2000_re.patch
# For bz#1636784 - CVE-2018-17963 qemu-kvm: Qemu: net: ignore packets with large size [rhel-8]
Patch627: kvm-rtl8139-fix-possible-out-of-bound-access.patch
# For bz#1636784 - CVE-2018-17963 qemu-kvm: Qemu: net: ignore packets with large size [rhel-8]
Patch628: kvm-pcnet-fix-possible-buffer-overflow.patch
# For bz#1636784 - CVE-2018-17963 qemu-kvm: Qemu: net: ignore packets with large size [rhel-8]
Patch629: kvm-net-ignore-packet-size-greater-than-INT_MAX.patch
# For bz#1636784 - CVE-2018-17963 qemu-kvm: Qemu: net: ignore packets with large size [rhel-8]
Patch630: kvm-net-drop-too-large-packet-early.patch
# For bz#1636784 - CVE-2018-17963 qemu-kvm: Qemu: net: ignore packets with large size [rhel-8]
Patch631: kvm-net-hub-suppress-warnings-of-no-host-network-for-qte.patch
# For bz#1636784 - CVE-2018-17963 qemu-kvm: Qemu: net: ignore packets with large size [rhel-8]
Patch632: kvm-virtio-net-test-accept-variable-length-argument-in-p.patch
# For bz#1636784 - CVE-2018-17963 qemu-kvm: Qemu: net: ignore packets with large size [rhel-8]
Patch633: kvm-virtio-net-test-remove-unused-macro.patch
# For bz#1636784 - CVE-2018-17963 qemu-kvm: Qemu: net: ignore packets with large size [rhel-8]
Patch634: kvm-virtio-net-test-add-large-tx-buffer-test.patch
# For bz#1668261 - [RHEL8] Backport diag308 stable exception fix (qemu-kvm)
Patch635: kvm-s390x-Return-specification-exception-for-unimplement.patch
# For bz#1665844 - Guest quit with error when hotunplug cpu
Patch636: kvm-cpus-ignore-ESRCH-in-qemu_cpu_kick_thread.patch
# For bz#1666952 - qemu-guest-agent does not parse PCI bridge links in "build_guest_fsinfo_for_real_device" (q35)
Patch637: kvm-qemu-ga-make-get-fsinfo-work-over-pci-bridges.patch
# For bz#1666952 - qemu-guest-agent does not parse PCI bridge links in "build_guest_fsinfo_for_real_device" (q35)
Patch638: kvm-qga-fix-driver-leak-in-guest-get-fsinfo.patch
# For bz#1669069 - CVE-2019-6778 qemu-kvm: QEMU: slirp: heap buffer overflow in tcp_emu() [rhel-8.0]
Patch639: kvm-slirp-check-data-length-while-emulating-ident-functi.patch
# For bz#1668162 - CVE-2019-6501 qemu-kvm: QEMU: scsi-generic: possible OOB access while handling inquiry request [rhel-8]
Patch640: kvm-scsi-generic-avoid-possible-out-of-bounds-access-to-.patch
# For bz#1645411 - the "fsfreeze-hook" script path shown by command "qemu-ga --help" or "man qemu-ga" is wrong
Patch641: kvm-doc-fix-the-configuration-path.patch
# For bz#1664371 - [IBM 8.1 FEAT] Update hardware CPU Model z14 (kvm) - qemu part
Patch642: kvm-s390x-cpumodel-mepochptff-warn-when-no-mepoch-and-re.patch
# For bz#1664371 - [IBM 8.1 FEAT] Update hardware CPU Model z14 (kvm) - qemu part
Patch643: kvm-s390x-cpumodel-add-z14-GA2-model.patch
# For bz#1664371 - [IBM 8.1 FEAT] Update hardware CPU Model z14 (kvm) - qemu part
Patch644: kvm-redhat-s390x-cpumodel-enable-mepoch-by-default-for-z.patch
# For bz#1662272 - Boot guest with device assignment+vIOMMU, qemu prompts "vtd_interrupt_remap_msi: MSI address low 32 bit invalid: 0x0" when first rebooting guest
Patch645: kvm-intel_iommu-fix-operator-in-vtd_switch_address_space.patch
# For bz#1662272 - Boot guest with device assignment+vIOMMU, qemu prompts "vtd_interrupt_remap_msi: MSI address low 32 bit invalid: 0x0" when first rebooting guest
Patch646: kvm-intel_iommu-reset-intr_enabled-when-system-reset.patch
# For bz#1662272 - Boot guest with device assignment+vIOMMU, qemu prompts "vtd_interrupt_remap_msi: MSI address low 32 bit invalid: 0x0" when first rebooting guest
Patch647: kvm-pci-msi-export-msi_is_masked.patch
# For bz#1662272 - Boot guest with device assignment+vIOMMU, qemu prompts "vtd_interrupt_remap_msi: MSI address low 32 bit invalid: 0x0" when first rebooting guest
Patch648: kvm-i386-kvm-ignore-masked-irqs-when-update-msi-routes.patch
# For bz#1694148 - QEMU image locking needn't double open fd number, and it should not fail when attempting to release locks
Patch649: kvm-iotests-153-Fix-dead-code.patch
# For bz#1694148 - QEMU image locking needn't double open fd number, and it should not fail when attempting to release locks
Patch650: kvm-file-posix-Include-filename-in-locking-error-message.patch
# For bz#1694148 - QEMU image locking needn't double open fd number, and it should not fail when attempting to release locks
Patch651: kvm-file-posix-Skip-effectiveless-OFD-lock-operations.patch
# For bz#1694148 - QEMU image locking needn't double open fd number, and it should not fail when attempting to release locks
Patch652: kvm-file-posix-Drop-s-lock_fd.patch
# For bz#1694148 - QEMU image locking needn't double open fd number, and it should not fail when attempting to release locks
Patch653: kvm-tests-Add-unit-tests-for-image-locking.patch
# For bz#1694148 - QEMU image locking needn't double open fd number, and it should not fail when attempting to release locks
Patch654: kvm-file-posix-Fix-shared-locks-on-reopen-commit.patch
# For bz#1694148 - QEMU image locking needn't double open fd number, and it should not fail when attempting to release locks
Patch655: kvm-iotests-Test-file-posix-locking-and-reopen.patch
# For bz#1694148 - QEMU image locking needn't double open fd number, and it should not fail when attempting to release locks
Patch656: kvm-block-file-posix-do-not-fail-on-unlock-bytes.patch
# For bz#1687596 - [Intel 8.1 BUG][KVM][Crystal Ridge]object_get_canonical_path_component: assertion failed: (obj->parent != NULL)
Patch657: kvm-hostmem-file-remove-object-id-from-pmem-error-messag.patch
# For bz#1693116 - CVE-2018-20815 qemu-kvm: QEMU: device_tree: heap buffer overflow while loading device tree blob [rhel-8.0]
Patch658: kvm-device_tree-Fix-integer-overflowing-in-load_device_t.patch
# For bz#1699070 - Backport s390x-related fixes for qemu-kvm
Patch659: kvm-s390x-ipl-Try-to-detect-Linux-vs-non-Linux-for-initi.patch
# For bz#1699070 - Backport s390x-related fixes for qemu-kvm
Patch660: kvm-loader-Check-access-size-when-calling-rom_ptr-to-avo.patch
# For bz#1699070 - Backport s390x-related fixes for qemu-kvm
Patch661: kvm-hw-s390x-Use-the-IEC-binary-prefix-definitions.patch
# For bz#1699070 - Backport s390x-related fixes for qemu-kvm
Patch662: kvm-s390x-storage-attributes-fix-CMMA_BLOCK_SIZE-usage.patch
# For bz#1699070 - Backport s390x-related fixes for qemu-kvm
Patch663: kvm-s390x-cpumodel-fix-segmentation-fault-when-baselinin.patch
# For bz#1699070 - Backport s390x-related fixes for qemu-kvm
Patch664: kvm-hw-s390x-s390-pci-bus-Convert-sysbus-init-function-t.patch
# For bz#1699070 - Backport s390x-related fixes for qemu-kvm
Patch665: kvm-s390x-pci-properly-fail-if-the-zPCI-device-cannot-be.patch
# For bz#1699070 - Backport s390x-related fixes for qemu-kvm
Patch666: kvm-s390x-pci-rename-hotplug-handler-callbacks.patch
# For bz#1699070 - Backport s390x-related fixes for qemu-kvm
Patch667: kvm-s390-avoid-potential-null-dereference-in-s390_pcihos.patch
# For bz#1699070 - Backport s390x-related fixes for qemu-kvm
Patch668: kvm-s390x-pci-Send-correct-event-on-hotplug.patch
# For bz#1699070 - Backport s390x-related fixes for qemu-kvm
Patch669: kvm-s390x-pci-Set-the-iommu-region-size-mpcifc-request.patch
# For bz#1699070 - Backport s390x-related fixes for qemu-kvm
Patch670: kvm-s390x-pci-Always-delete-and-free-the-release_timer.patch
# For bz#1699070 - Backport s390x-related fixes for qemu-kvm
Patch671: kvm-s390x-pci-Ignore-the-unplug-call-if-we-already-have-.patch
# For bz#1699070 - Backport s390x-related fixes for qemu-kvm
Patch672: kvm-s390x-pci-Use-hotplug_dev-instead-of-looking-up-the-.patch
# For bz#1699070 - Backport s390x-related fixes for qemu-kvm
Patch673: kvm-s390x-pci-Move-some-hotplug-checks-to-the-pre_plug-h.patch
# For bz#1699070 - Backport s390x-related fixes for qemu-kvm
Patch674: kvm-s390x-pci-Introduce-unplug-requests-and-split-unplug.patch
# For bz#1699070 - Backport s390x-related fixes for qemu-kvm
Patch675: kvm-s390x-pci-Drop-release-timer-and-replace-it-with-a-f.patch
# For bz#1699070 - Backport s390x-related fixes for qemu-kvm
Patch676: kvm-s390x-pci-mark-zpci-devices-as-unmigratable.patch
# For bz#1699070 - Backport s390x-related fixes for qemu-kvm
Patch677: kvm-s390x-pci-Fix-primary-bus-number-for-PCI-bridges.patch
# For bz#1699070 - Backport s390x-related fixes for qemu-kvm
Patch678: kvm-s390x-pci-Fix-hotplugging-of-PCI-bridges.patch
# For bz#1699070 - Backport s390x-related fixes for qemu-kvm
Patch679: kvm-s390x-pci-Warn-when-adding-PCI-devices-without-the-z.patch
# For bz#1699070 - Backport s390x-related fixes for qemu-kvm
Patch680: kvm-s390x-pci-Unplug-remaining-requested-devices-on-pcih.patch
# For bz#1699070 - Backport s390x-related fixes for qemu-kvm
Patch681: kvm-s390x-refactor-reset-reipl-handling.patch
# For bz#1699070 - Backport s390x-related fixes for qemu-kvm
Patch682: kvm-s390-ipl-fix-ipl-with-no-reboot.patch
# For bz#1680231 - severe performance impact using luks format
Patch683: kvm-tests-crypto-Use-the-IEC-binary-prefix-definitions.patch
# For bz#1680231 - severe performance impact using luks format
Patch684: kvm-crypto-expand-algorithm-coverage-for-cipher-benchmar.patch
# For bz#1680231 - severe performance impact using luks format
Patch685: kvm-crypto-remove-code-duplication-in-tweak-encrypt-decr.patch
# For bz#1680231 - severe performance impact using luks format
Patch686: kvm-crypto-introduce-a-xts_uint128-data-type.patch
# For bz#1680231 - severe performance impact using luks format
Patch687: kvm-crypto-convert-xts_tweak_encdec-to-use-xts_uint128-t.patch
# For bz#1680231 - severe performance impact using luks format
Patch688: kvm-crypto-convert-xts_mult_x-to-use-xts_uint128-type.patch
# For bz#1680231 - severe performance impact using luks format
Patch689: kvm-crypto-annotate-xts_tweak_encdec-as-inlineable.patch
# For bz#1680231 - severe performance impact using luks format
Patch690: kvm-crypto-refactor-XTS-cipher-mode-test-suite.patch
# For bz#1680231 - severe performance impact using luks format
Patch691: kvm-crypto-add-testing-for-unaligned-buffers-with-XTS-ci.patch
# For bz#1561761 - [Intel 8.1 Feat] qemu-kvm Introduce Icelake cpu model
Patch692: kvm-i386-Add-new-MSR-indices-for-IA32_PRED_CMD-and-IA32_.patch
# For bz#1561761 - [Intel 8.1 Feat] qemu-kvm Introduce Icelake cpu model
Patch693: kvm-i386-Add-CPUID-bit-and-feature-words-for-IA32_ARCH_C.patch
# For bz#1561761 - [Intel 8.1 Feat] qemu-kvm Introduce Icelake cpu model
Patch694: kvm-i386-Add-CPUID-bit-for-PCONFIG.patch
# For bz#1561761 - [Intel 8.1 Feat] qemu-kvm Introduce Icelake cpu model
Patch695: kvm-i386-Add-CPUID-bit-for-WBNOINVD.patch
# For bz#1561761 - [Intel 8.1 Feat] qemu-kvm Introduce Icelake cpu model
Patch696: kvm-i386-Add-new-CPU-model-Icelake-Server-Client.patch
# For bz#1561761 - [Intel 8.1 Feat] qemu-kvm Introduce Icelake cpu model
Patch697: kvm-Add-support-to-KVM_GET_MSR_FEATURE_INDEX_LIST-an.patch
# For bz#1561761 - [Intel 8.1 Feat] qemu-kvm Introduce Icelake cpu model
Patch698: kvm-x86-Data-structure-changes-to-support-MSR-based-feat.patch
# For bz#1561761 - [Intel 8.1 Feat] qemu-kvm Introduce Icelake cpu model
Patch699: kvm-x86-define-a-new-MSR-based-feature-word-FEATURE_WORD.patch
# For bz#1561761 - [Intel 8.1 Feat] qemu-kvm Introduce Icelake cpu model
Patch700: kvm-i386-remove-the-new-CPUID-PCONFIG-from-Icelake-Serve.patch
# For bz#1561761 - [Intel 8.1 Feat] qemu-kvm Introduce Icelake cpu model
Patch701: kvm-Revert-i386-Add-CPUID-bit-for-PCONFIG.patch
# For bz#1683275 - [IBM 8.1 FEAT] KVM: Secure Linux Boot Toleration (qemu)
Patch702: kvm-s390-bios-Skip-bootmap-signature-entries.patch
# For bz#1707706 - /builddir/build/BUILD/qemu-2.12.0/target/i386/kvm.c:2031: kvm_put_msrs: Assertion `ret == cpu->kvm_msr_buf->nmsrs' failed.
Patch703: kvm-Use-KVM_GET_MSR_INDEX_LIST-for-MSR_IA32_ARCH_CAP.patch
# For bz#1707706 - /builddir/build/BUILD/qemu-2.12.0/target/i386/kvm.c:2031: kvm_put_msrs: Assertion `ret == cpu->kvm_msr_buf->nmsrs' failed.
Patch704: kvm-i386-kvm-Disable-arch_capabilities-if-MSR-can-t-be-s.patch
# For bz#1561761 - [Intel 8.1 Feat] qemu-kvm Introduce Icelake cpu model
Patch705: kvm-i386-remove-the-INTEL_PT-CPUID-bit-from-named-CPU-mo.patch
# For bz#1561761 - [Intel 8.1 Feat] qemu-kvm Introduce Icelake cpu model
Patch706: kvm-i386-Disable-OSPKE-on-CPU-model-definitions.patch
# For bz#1696436 - [Intel 8.0 Feat] KVM Enabling SnowRidge new NIs - qemu-kvm
Patch707: kvm-x86-cpu-Enable-CLDEMOTE-Demote-Cache-Line-cpu-featur.patch
# For bz#1667249 - Fail to launch AMD SEV VM with assigned PCI device
Patch708: kvm-memory-Fix-the-memory-region-type-assignment-order.patch
# For bz#1667249 - Fail to launch AMD SEV VM with assigned PCI device
Patch709: kvm-target-i386-sev-Do-not-pin-the-ram-device-memory-reg.patch
# For bz#1673010 - Local VM and migrated VM on the same host can run with same RAW file as visual disk source while without shareable configured or lock manager enabled
Patch710: kvm-block-Fix-invalidate_cache-error-path-for-parent-act.patch
# For bz#1703302 - CVE-2018-12130 virt:rhel/qemu-kvm: hardware: Microarchitectural Fill Buffer Data Sampling (MFBDS) [rhel-8]
# For bz#1703308 - CVE-2018-12127 virt:rhel/qemu-kvm: hardware: Micro-architectural Load Port Data Sampling - Information Leak (MLPDS) [rhel-8]
Patch711: kvm-target-i386-define-md-clear-bit.patch
# For bz#1660912 - [IBM 8.1 FEAT] KVM s390x: Add hardware CPU Model - qemu part
Patch712: kvm-s390x-cpumodel-enum-type-S390FeatGroup-now-gets-gene.patch
# For bz#1660912 - [IBM 8.1 FEAT] KVM s390x: Add hardware CPU Model - qemu part
Patch713: kvm-linux-headers-update-against-Linux-5.2-rc1.patch
# For bz#1660912 - [IBM 8.1 FEAT] KVM s390x: Add hardware CPU Model - qemu part
Patch714: kvm-s390x-cpumodel-ignore-csske-for-expansion.patch
# For bz#1660912 - [IBM 8.1 FEAT] KVM s390x: Add hardware CPU Model - qemu part
Patch715: kvm-s390x-cpumodel-Miscellaneous-Instruction-Extensions-.patch
# For bz#1660912 - [IBM 8.1 FEAT] KVM s390x: Add hardware CPU Model - qemu part
Patch716: kvm-s390x-cpumodel-msa9-facility.patch
# For bz#1660912 - [IBM 8.1 FEAT] KVM s390x: Add hardware CPU Model - qemu part
Patch717: kvm-s390x-cpumodel-vector-enhancements.patch
# For bz#1660912 - [IBM 8.1 FEAT] KVM s390x: Add hardware CPU Model - qemu part
Patch718: kvm-s390x-cpumodel-enhanced-sort-facility.patch
# For bz#1660912 - [IBM 8.1 FEAT] KVM s390x: Add hardware CPU Model - qemu part
Patch719: kvm-s390x-cpumodel-add-Deflate-conversion-facility.patch
# For bz#1660912 - [IBM 8.1 FEAT] KVM s390x: Add hardware CPU Model - qemu part
Patch720: kvm-s390x-cpumodel-add-gen15-defintions.patch
# For bz#1660912 - [IBM 8.1 FEAT] KVM s390x: Add hardware CPU Model - qemu part
Patch721: kvm-s390x-cpumodel-wire-up-8561-and-8562-as-gen15-machin.patch
# For bz#1712946 - qemu-kvm build is broken due to spice_qxl_set_max_monitors being deprecated
Patch722: kvm-spice-set-device-address-and-device-display-ID-in-QX.patch
# For bz#1712946 - qemu-kvm build is broken due to spice_qxl_set_max_monitors being deprecated
Patch723: kvm-hw-pci-Add-missing-include.patch
# For bz#1713677 - Detached device when trying to upgrade USB device firmware when in doing USB Passthrough via QEMU
Patch724: kvm-Introduce-new-no_guest_reset-parameter-for-usb-host-.patch
# For bz#1713677 - Detached device when trying to upgrade USB device firmware when in doing USB Passthrough via QEMU
Patch725: kvm-usb-call-reset-handler-before-updating-state.patch
# For bz#1713677 - Detached device when trying to upgrade USB device firmware when in doing USB Passthrough via QEMU
Patch726: kvm-usb-host-skip-reset-for-untouched-devices.patch
# For bz#1713677 - Detached device when trying to upgrade USB device firmware when in doing USB Passthrough via QEMU
Patch727: kvm-usb-host-avoid-libusb_set_configuration-calls.patch
# For bz#1673396 - qemu-kvm core dumped after hotplug the deleted disk with iothread parameter
# For bz#1673401 - Qemu core dump when start guest with two disks using same drive
Patch728: kvm-virtio-scsi-Move-BlockBackend-back-to-the-main-AioCo.patch
# For bz#1673396 - qemu-kvm core dumped after hotplug the deleted disk with iothread parameter
# For bz#1673401 - Qemu core dump when start guest with two disks using same drive
Patch729: kvm-scsi-disk-Acquire-the-AioContext-in-scsi_-_realize.patch
# For bz#1673396 - qemu-kvm core dumped after hotplug the deleted disk with iothread parameter
# For bz#1673401 - Qemu core dump when start guest with two disks using same drive
Patch730: kvm-virtio-scsi-Forbid-devices-with-different-iothreads-.patch
# For bz#1714933 - Disable VXHS  in qemu-kvm
Patch731: kvm-Disable-VXHS-support.patch
# For bz#1709970 - [Intel 8.1 Bug] [KVM][CLX] CPUID_7_0_EDX_ARCH_CAPABILITIES is not enabled in VM - qemu-kvm
Patch732: kvm-i386-Make-arch_capabilities-migratable.patch
# For bz#1710662 - [IBM 8.1 FEAT] POWER9 - Virt: qemu: NVLink2 passthru to guest - Nvidia Volta (GPU) (kvm)
Patch733: kvm-spapr-Fix-ibm-max-associativity-domains-property-num.patch
# For bz#1710662 - [IBM 8.1 FEAT] POWER9 - Virt: qemu: NVLink2 passthru to guest - Nvidia Volta (GPU) (kvm)
Patch734: kvm-linux-headers-Update-for-NVLink2-passthrough-downstr.patch
# For bz#1710662 - [IBM 8.1 FEAT] POWER9 - Virt: qemu: NVLink2 passthru to guest - Nvidia Volta (GPU) (kvm)
Patch735: kvm-pci-Move-NVIDIA-vendor-id-to-the-rest-of-ids.patch
# For bz#1710662 - [IBM 8.1 FEAT] POWER9 - Virt: qemu: NVLink2 passthru to guest - Nvidia Volta (GPU) (kvm)
Patch736: kvm-vfio-quirks-Add-common-quirk-alloc-helper.patch
# For bz#1710662 - [IBM 8.1 FEAT] POWER9 - Virt: qemu: NVLink2 passthru to guest - Nvidia Volta (GPU) (kvm)
Patch737: kvm-vfio-Make-vfio_get_region_info_cap-public.patch
# For bz#1710662 - [IBM 8.1 FEAT] POWER9 - Virt: qemu: NVLink2 passthru to guest - Nvidia Volta (GPU) (kvm)
Patch738: kvm-spapr-Support-NVIDIA-V100-GPU-with-NVLink2.patch
# For bz#1721983 - qemu-kvm can't be build with new gluster version (6.0.6)
Patch739: kvm-gluster-Handle-changed-glfs_ftruncate-signature.patch
# For bz#1721983 - qemu-kvm can't be build with new gluster version (6.0.6)
Patch740: kvm-gluster-the-glfs_io_cbk-callback-function-pointer-ad.patch
# For bz#1712705 - CVE-2019-12155 qemu-kvm: QEMU: qxl: null pointer dereference while releasing spice resources [rhel-8]
Patch741: kvm-qxl-check-release-info-object.patch
# For bz#1707598 - qemu-iotest 182 fails without device hotplugging support
Patch742: kvm-iotests-Make-182-do-without-device_add.patch
# For bz#1714792 - [Intel 8.1 FEAT] MDS_NO exposure to guest
Patch743: kvm-target-i386-add-MDS-NO-feature.patch
# For bz#1531543 - [RFE] add iommu support to virtio-gpu
Patch744: kvm-virtio-gpu-pass-down-VirtIOGPU-pointer-to-a-bunch-of.patch
# For bz#1531543 - [RFE] add iommu support to virtio-gpu
Patch745: kvm-virtio-gpu-add-iommu-support.patch
# For bz#1531543 - [RFE] add iommu support to virtio-gpu
Patch746: kvm-virtio-gpu-fix-unmap-in-error-path.patch
# For bz#1629906 - [Intel 8.1 Feat] qemu-kvm Introduce Cascade Lake (CLX) cpu model
Patch747: kvm-i386-Add-new-model-of-Cascadelake-Server.patch
# For bz#1629906 - [Intel 8.1 Feat] qemu-kvm Introduce Cascade Lake (CLX) cpu model
Patch748: kvm-i386-Update-stepping-of-Cascadelake-Server.patch
# For bz#1629906 - [Intel 8.1 Feat] qemu-kvm Introduce Cascade Lake (CLX) cpu model
Patch749: kvm-target-i386-Disable-MPX-support-on-named-CPU-models.patch
# For bz#1629906 - [Intel 8.1 Feat] qemu-kvm Introduce Cascade Lake (CLX) cpu model
Patch750: kvm-i386-remove-the-INTEL_PT-CPUID-bit-from-named-CPU-NEW.patch
# For bz#1629906 - [Intel 8.1 Feat] qemu-kvm Introduce Cascade Lake (CLX) cpu model
Patch751: kvm-i386-Disable-OSPKE-on-CPU-model-definitions-NEW.patch
# For bz#1513367 - qemu with libssh
Patch752: kvm-block-ssh-Convert-from-DPRINTF-macro-to-trace-events.patch
# For bz#1513367 - qemu with libssh
Patch753: kvm-block-ssh-Do-not-report-read-write-flush-errors-to-t.patch
# For bz#1513367 - qemu with libssh
Patch754: kvm-qemu-iotests-Fix-paths-for-NFS.patch
# For bz#1513367 - qemu with libssh
Patch755: kvm-qemu-iotests-Filter-NFS-paths.patch
# For bz#1513367 - qemu with libssh
Patch756: kvm-iotests-Filter-SSH-paths.patch
# For bz#1513367 - qemu with libssh
Patch757: kvm-block-ssh-Implement-.bdrv_refresh_filename.patch
# For bz#1513367 - qemu with libssh
Patch758: kvm-iotests-Use-Python-byte-strings-where-appropriate.patch
# For bz#1513367 - qemu with libssh
Patch759: kvm-iotests-Unify-log-outputs-between-Python-2-and-3.patch
# For bz#1513367 - qemu with libssh
Patch760: kvm-ssh-switch-from-libssh2-to-libssh.patch
# For bz#1728657 - 'qemu-io write' to a raw image over libgfapi fails
Patch762: kvm-block-gluster-limit-the-transfer-size-to-512-MiB.patch
# For bz#1729975 - RHEL 8.1 Pre-Beta - Fix for hardware CPU Model
Patch763: kvm-s390-cpumodel-fix-description-for-the-new-vector-fac.patch
# For bz#1729975 - RHEL 8.1 Pre-Beta - Fix for hardware CPU Model
Patch764: kvm-s390x-cpumodel-remove-esort-from-the-default-model.patch
# For bz#1729975 - RHEL 8.1 Pre-Beta - Fix for hardware CPU Model
Patch765: kvm-s390x-cpumodel-also-change-name-of-vxbeh.patch
# For bz#1729975 - RHEL 8.1 Pre-Beta - Fix for hardware CPU Model
Patch766: kvm-s390x-cpumodel-change-internal-name-of-vxpdeh-to-mat.patch
# For bz#1728958 - Hot unplug vfio-pci NIC devices from sev guest will cause qemu-kvm: sev_ram_block_removed: failed to unregister region
Patch767: kvm-target-i386-sev-Do-not-unpin-ram-device-memory-regio.patch
# For bz#1689269 - Nested KVM: support for migration of nested hypervisors - Slow Train
Patch768: kvm-i386-Save-EFER-for-32-bit-targets.patch
# For bz#1689269 - Nested KVM: support for migration of nested hypervisors - Slow Train
Patch769: kvm-target-i386-rename-HF_SVMI_MASK-to-HF_GUEST_MASK.patch
# For bz#1689269 - Nested KVM: support for migration of nested hypervisors - Slow Train
Patch770: kvm-target-i386-kvm-add-VMX-migration-blocker.patch
# For bz#1689269 - Nested KVM: support for migration of nested hypervisors - Slow Train
Patch771: kvm-target-i386-kvm-just-return-after-migrate_add_blocke.patch
# For bz#1689269 - Nested KVM: support for migration of nested hypervisors - Slow Train
Patch772: kvm-target-i386-kvm-Delete-VMX-migration-blocker-on-vCPU.patch
# For bz#1689269 - Nested KVM: support for migration of nested hypervisors - Slow Train
Patch773: kvm-Introduce-kvm_arch_destroy_vcpu.patch
# For bz#1689269 - Nested KVM: support for migration of nested hypervisors - Slow Train
Patch774: kvm-target-i386-kvm-Use-symbolic-constant-for-DB-BP-exce.patch
# For bz#1689269 - Nested KVM: support for migration of nested hypervisors - Slow Train
Patch775: kvm-target-i386-kvm-Re-inject-DB-to-guest-with-updated-D.patch
# For bz#1689269 - Nested KVM: support for migration of nested hypervisors - Slow Train
Patch776: kvm-target-i386-kvm-Block-migration-for-vCPUs-exposed-wi.patch
# For bz#1689269 - Nested KVM: support for migration of nested hypervisors - Slow Train
Patch777: kvm-target-i386-kvm-do-not-initialize-padding-fields.patch
# For bz#1689269 - Nested KVM: support for migration of nested hypervisors - Slow Train
Patch778: kvm-linux-headers-synchronize-generic-and-x86-KVM-header.patch
# For bz#1689269 - Nested KVM: support for migration of nested hypervisors - Slow Train
Patch779: kvm-vmstate-Add-support-for-kernel-integer-types.patch
# For bz#1689269 - Nested KVM: support for migration of nested hypervisors - Slow Train
Patch780: kvm-target-i386-kvm-Add-support-for-save-and-restore-nes.patch
# For bz#1689269 - Nested KVM: support for migration of nested hypervisors - Slow Train
Patch781: kvm-target-i386-kvm-Add-support-for-KVM_CAP_EXCEPTION_PA.patch
# For bz#1689269 - Nested KVM: support for migration of nested hypervisors - Slow Train
Patch782: kvm-target-i386-kvm-Add-nested-migration-blocker-only-wh.patch
# For bz#1689269 - Nested KVM: support for migration of nested hypervisors - Slow Train
Patch783: kvm-target-i386-kvm-Demand-nested-migration-kernel-capab.patch
# For bz#1689269 - Nested KVM: support for migration of nested hypervisors - Slow Train
Patch784: kvm-target-i386-skip-KVM_GET-SET_NESTED_STATE-if-VMX-dis.patch
# For bz#1689269 - Nested KVM: support for migration of nested hypervisors - Slow Train
Patch785: kvm-i386-kvm-Do-not-sync-nested-state-during-runtime.patch
# For bz#1707192 - implement missing reset handler for cfi.pflash01 - slow train
Patch786: kvm-hw-block-pflash_cfi01-Add-missing-DeviceReset-handle.patch
# For bz#1678979 - qemu-img convert abort when converting image with unaligned size (qemu-img: block/io.c:2134: bdrv_co_block_status: Assertion `*pnum && (((*pnum) % (align)) == 0) && align > offset - aligned_offset\' failed)
Patch787: kvm-block-file-posix-Unaligned-O_DIRECT-block-status.patch
# For bz#1678979 - qemu-img convert abort when converting image with unaligned size (qemu-img: block/io.c:2134: bdrv_co_block_status: Assertion `*pnum && (((*pnum) % (align)) == 0) && align > offset - aligned_offset\' failed)
Patch788: kvm-iotests-Test-unaligned-raw-images-with-O_DIRECT.patch
# For bz#1678979 - qemu-img convert abort when converting image with unaligned size (qemu-img: block/io.c:2134: bdrv_co_block_status: Assertion `*pnum && (((*pnum) % (align)) == 0) && align > offset - aligned_offset\' failed)
Patch789: kvm-nbd-client-Lower-min_block-for-block-status-unaligne.patch
# For bz#1678979 - qemu-img convert abort when converting image with unaligned size (qemu-img: block/io.c:2134: bdrv_co_block_status: Assertion `*pnum && (((*pnum) % (align)) == 0) && align > offset - aligned_offset\' failed)
Patch790: kvm-nbd-client-Reject-inaccessible-tail-of-inconsistent-.patch
# For bz#1678979 - qemu-img convert abort when converting image with unaligned size (qemu-img: block/io.c:2134: bdrv_co_block_status: Assertion `*pnum && (((*pnum) % (align)) == 0) && align > offset - aligned_offset\' failed)
Patch791: kvm-nbd-client-Support-qemu-img-convert-from-unaligned-s.patch
# For bz#1678979 - qemu-img convert abort when converting image with unaligned size (qemu-img: block/io.c:2134: bdrv_co_block_status: Assertion `*pnum && (((*pnum) % (align)) == 0) && align > offset - aligned_offset\' failed)
Patch792: kvm-block-Add-bdrv_get_request_alignment.patch
# For bz#1678979 - qemu-img convert abort when converting image with unaligned size (qemu-img: block/io.c:2134: bdrv_co_block_status: Assertion `*pnum && (((*pnum) % (align)) == 0) && align > offset - aligned_offset\' failed)
Patch793: kvm-nbd-server-Advertise-actual-minimum-block-size.patch
# For bz#1727642 - CVE-2019-6778 qemu-kvm: QEMU: slirp: heap buffer overflow in tcp_emu()
Patch794: kvm-slirp-check-sscanf-result-when-emulating-ident.patch
# For bz#1727642 - CVE-2019-6778 qemu-kvm: QEMU: slirp: heap buffer overflow in tcp_emu()
Patch795: kvm-slirp-fix-big-little-endian-conversion-in-ident-prot.patch
# For bz#1727642 - CVE-2019-6778 qemu-kvm: QEMU: slirp: heap buffer overflow in tcp_emu()
Patch796: kvm-slirp-ensure-there-is-enough-space-in-mbuf-to-null-t.patch
# For bz#1727642 - CVE-2019-6778 qemu-kvm: QEMU: slirp: heap buffer overflow in tcp_emu()
Patch797: kvm-slirp-don-t-manipulate-so_rcv-in-tcp_emu.patch
# For bz#1732642 - enable the virtio-net frontend to work with the vhost-net backend in SEV guests
Patch798: kvm-tap-set-vhostfd-passed-from-qemu-cli-to-non-blocking.patch
# For bz#1734751 - CVE-2019-14378 qemu-kvm: QEMU: slirp: heap buffer overflow during packet reassembly [rhel-8.1.0]
Patch799: kvm-Fix-heap-overflow-in-ip_reass-on-big-packet-input.patch
# For bz#1727033 - vnc server should detect page-flips and avoid sending fullscreen updates then.
Patch800: kvm-vnc-detect-and-optimize-pageflips.patch
# For bz#1716349 - qemu with iothreads enabled crashes on resume after enospc pause for disk extension
Patch801: kvm-block-backend-Make-blk_inc-dec_in_flight-public.patch
# For bz#1716349 - qemu with iothreads enabled crashes on resume after enospc pause for disk extension
Patch802: kvm-virtio-blk-Increase-in_flight-for-request-restart-BH.patch
# For bz#1716349 - qemu with iothreads enabled crashes on resume after enospc pause for disk extension
Patch803: kvm-block-Fix-AioContext-switch-for-drained-node.patch
# For bz#1716349 - qemu with iothreads enabled crashes on resume after enospc pause for disk extension
Patch804: kvm-test-bdrv-drain-AioContext-switch-in-drained-section.patch
# For bz#1716349 - qemu with iothreads enabled crashes on resume after enospc pause for disk extension
Patch805: kvm-block-Use-normal-drain-for-bdrv_set_aio_context.patch
# For bz#1716347 - Qemu Core dump when quit vm that's in status "paused(io-error)" with data plane enabled
Patch806: kvm-block-Fix-AioContext-switch-for-bs-drv-NULL.patch
# For bz#1687541 - qemu aborted when start guest with a big iothreads
Patch807: kvm-iothread-fix-crash-with-invalid-properties.patch
# For bz#1687541 - qemu aborted when start guest with a big iothreads
Patch808: kvm-iothread-replace-init_done_cond-with-a-semaphore.patch
# For bz#1740797 - Disable memfd in QEMU
Patch809: kvm-RHEL-disable-hostmem-memfd.patch
# For bz#1684383 - qemu crashed when take screenshot for 2nd head of virtio video device if the display not opened by virt-viewer
Patch810: kvm-console-Avoid-segfault-in-screendump.patch
# For bz#1619661 - the attach hub on one hub still exits in device manager after unhotplug
Patch811: kvm-usb-hub-clear-suspend-on-detach.patch
# For bz#1727821 - Failed to convert a source image to the qcow2 image encrypted by luks
Patch812: kvm-qemu-img-fix-regression-copying-secrets-during-conve.patch
# For bz#1744415 - Backport support for count cache flush Spectre v2 mitigation [slow train]
Patch814: kvm-target-ppc-spapr-Add-workaround-option-to-SPAPR_CAP_.patch
# For bz#1744415 - Backport support for count cache flush Spectre v2 mitigation [slow train]
Patch815: kvm-target-ppc-spapr-Add-SPAPR_CAP_CCF_ASSIST.patch
# For bz#1747185 - "filtered-features" QOM property is not available
Patch816: kvm-i386-x86_cpu_list_feature_names-function.patch
# For bz#1747185 - "filtered-features" QOM property is not available
Patch817: kvm-i386-unavailable-features-QOM-property.patch
# For bz#1738839 - I/O error when virtio-blk disk is backed by a raw image on 4k disk
Patch818: kvm-file-posix-Handle-undetectable-alignment.patch
# For bz#1738839 - I/O error when virtio-blk disk is backed by a raw image on 4k disk
Patch819: kvm-iotests-Tweak-221-sizing-for-different-hole-granular.patch
# For bz#1738839 - I/O error when virtio-blk disk is backed by a raw image on 4k disk
Patch820: kvm-iotests-Filter-175-s-allocation-information.patch
# For bz#1738839 - I/O error when virtio-blk disk is backed by a raw image on 4k disk
Patch821: kvm-block-posix-Always-allocate-the-first-block.patch
# For bz#1738839 - I/O error when virtio-blk disk is backed by a raw image on 4k disk
Patch822: kvm-iotests-Test-allocate_first_block-with-O_DIRECT.patch
# For bz#1749022 - Please backport 950c4e6c94b1 ("opts: don't silently truncate long option values", 2018-05-09)
Patch823: kvm-accel-use-g_strsplit-for-parsing-accelerator-names.patch
# For bz#1749022 - Please backport 950c4e6c94b1 ("opts: don't silently truncate long option values", 2018-05-09)
Patch824: kvm-opts-don-t-silently-truncate-long-parameter-keys.patch
# For bz#1749022 - Please backport 950c4e6c94b1 ("opts: don't silently truncate long option values", 2018-05-09)
Patch825: kvm-opts-don-t-silently-truncate-long-option-values.patch
# For bz#1749022 - Please backport 950c4e6c94b1 ("opts: don't silently truncate long option values", 2018-05-09)
Patch826: kvm-i386-fix-regression-parsing-multiboot-initrd-modules.patch
# For bz#1749022 - Please backport 950c4e6c94b1 ("opts: don't silently truncate long option values", 2018-05-09)
Patch827: kvm-i386-only-parse-the-initrd_filename-once-for-multibo.patch
# For bz#1749022 - Please backport 950c4e6c94b1 ("opts: don't silently truncate long option values", 2018-05-09)
Patch828: kvm-opts-remove-redundant-check-for-NULL-parameter.patch
# For bz#1749724 - CVE-2019-15890 qemu-kvm: QEMU: Slirp: use-after-free during packet reassembly [rhel-8]
Patch829: kvm-Using-ip_deq-after-m_free-might-read-pointers-from-a.patch
# For bz#1708459 - qemu-kvm core dumped when repeat "system_reset" multiple times during guest boot
Patch830: kvm-virtio-blk-Cancel-the-pending-BH-when-the-dataplane-.patch
# For bz#1660909 - [IBM 8.2 FEAT] KVM s390x: Crypto Passthrough Interrupt Support - qemu part
Patch831: kvm-s390x-cpumodel-Rework-CPU-feature-definition.patch
# For bz#1660909 - [IBM 8.2 FEAT] KVM s390x: Crypto Passthrough Interrupt Support - qemu part
Patch832: kvm-s390x-cpumodel-Set-up-CPU-model-for-AQIC-interceptio.patch
# For bz#1746361 - ccid: Fix incorrect dwProtocol advertisement of T=0
Patch833: kvm-ccid-Fix-dwProtocols-advertisement-of-T-0.patch
# For bz#1754643 - RHEL8.1 Snapshot3 - Passthrough PCI card goes into error state if used in domain (kvm)
Patch834: kvm-s390-PCI-fix-IOMMU-region-init.patch
# For bz#1607367 - After boot failed, guest should not reboot when set reboot-timeout < -1
Patch835: kvm-fw_cfg-Improve-error-message-when-can-t-load-splash-.patch
# For bz#1607367 - After boot failed, guest should not reboot when set reboot-timeout < -1
Patch836: kvm-fw_cfg-Fix-boot-bootsplash-error-checking.patch
# For bz#1607367 - After boot failed, guest should not reboot when set reboot-timeout < -1
Patch837: kvm-fw_cfg-Fix-boot-reboot-timeout-error-checking.patch
# For bz#1607367 - After boot failed, guest should not reboot when set reboot-timeout < -1
Patch838: kvm-hw-nvram-fw_cfg-Store-reboot-timeout-as-little-endia.patch
# For bz#1738440 - For intel-iommu, qemu shows conflict behaviors between booting a guest with vfio and hot plugging vfio device
Patch839: kvm-intel_iommu-Correct-caching-mode-error-message.patch
# For bz#1738440 - For intel-iommu, qemu shows conflict behaviors between booting a guest with vfio and hot plugging vfio device
Patch840: kvm-intel_iommu-Sanity-check-vfio-pci-config-on-machine-.patch
# For bz#1738440 - For intel-iommu, qemu shows conflict behaviors between booting a guest with vfio and hot plugging vfio device
Patch841: kvm-qdev-machine-Introduce-hotplug_allowed-hook.patch
# For bz#1738440 - For intel-iommu, qemu shows conflict behaviors between booting a guest with vfio and hot plugging vfio device
Patch842: kvm-pc-q35-Disallow-vfio-pci-hotplug-without-VT-d-cachin.patch
# For bz#1738440 - For intel-iommu, qemu shows conflict behaviors between booting a guest with vfio and hot plugging vfio device
Patch843: kvm-intel_iommu-Remove-the-caching-mode-check-during-fla.patch
# For bz#1651474 - RHEL8.0 Beta - [4.18.0-32.el8.ppc64le] Guest VM crashes during vcpu hotplug with specific numa configuration (kvm)
Patch844: kvm-pseries-do-not-allow-memory-less-cpu-less-NUMA-node.patch
# For bz#1719127 - [Intel 8.2 Bug] warning shown when boot VM with “–cpu host” or “–cpu other mode” on ICX platform (physical)
Patch845: kvm-i386-Don-t-print-warning-if-phys-bits-was-set-automa.patch
# For bz#1693140 - aarch64: qemu: remove smbus_eeprom and i2c from config
Patch846: kvm-Disable-CONFIG_I2C-and-CONFIG_IOH3420.patch
# For bz#1757482 - Fail to migrate a rhel6.10-mt7.6 guest with dimm device
Patch847: kvm-usb-drop-unnecessary-usb_device_post_load-checks.patch
# For bz#1664376 - [IBM 8.2 FEAT] CCW IPL Support (kvm) - qemu part
Patch848: kvm-pc-bios-s390-ccw-define-loadparm-length.patch
# For bz#1664376 - [IBM 8.2 FEAT] CCW IPL Support (kvm) - qemu part
Patch849: kvm-pc-bios-s390-ccw-net-Use-diag308-to-reset-machine-be.patch
# For bz#1664376 - [IBM 8.2 FEAT] CCW IPL Support (kvm) - qemu part
Patch850: kvm-s390-bios-decouple-cio-setup-from-virtio.patch
# For bz#1664376 - [IBM 8.2 FEAT] CCW IPL Support (kvm) - qemu part
Patch851: kvm-s390-bios-decouple-common-boot-logic-from-virtio.patch
# For bz#1664376 - [IBM 8.2 FEAT] CCW IPL Support (kvm) - qemu part
Patch852: kvm-s390-bios-Clean-up-cio.h.patch
# For bz#1664376 - [IBM 8.2 FEAT] CCW IPL Support (kvm) - qemu part
Patch853: kvm-s390-bios-Decouple-channel-i-o-logic-from-virtio.patch
# For bz#1664376 - [IBM 8.2 FEAT] CCW IPL Support (kvm) - qemu part
Patch854: kvm-s390-bios-Map-low-core-memory.patch
# For bz#1664376 - [IBM 8.2 FEAT] CCW IPL Support (kvm) - qemu part
Patch855: kvm-s390-bios-ptr2u32-and-u32toptr.patch
# For bz#1664376 - [IBM 8.2 FEAT] CCW IPL Support (kvm) - qemu part
Patch856: kvm-s390-bios-Support-for-running-format-0-1-channel-pro.patch
# For bz#1664376 - [IBM 8.2 FEAT] CCW IPL Support (kvm) - qemu part
Patch857: kvm-s390-bios-cio-error-handling.patch
# For bz#1664376 - [IBM 8.2 FEAT] CCW IPL Support (kvm) - qemu part
Patch858: kvm-s390-bios-Extend-find_dev-for-non-virtio-devices.patch
# For bz#1664376 - [IBM 8.2 FEAT] CCW IPL Support (kvm) - qemu part
Patch859: kvm-s390-bios-Factor-finding-boot-device-out-of-virtio-c.patch
# For bz#1664376 - [IBM 8.2 FEAT] CCW IPL Support (kvm) - qemu part
Patch860: kvm-s390-bios-Refactor-virtio-to-run-channel-programs-vi.patch
# For bz#1664376 - [IBM 8.2 FEAT] CCW IPL Support (kvm) - qemu part
Patch861: kvm-s390-bios-Use-control-unit-type-to-determine-boot-me.patch
# For bz#1664376 - [IBM 8.2 FEAT] CCW IPL Support (kvm) - qemu part
Patch862: kvm-s390-bios-Add-channel-command-codes-structs-needed-f.patch
# For bz#1664376 - [IBM 8.2 FEAT] CCW IPL Support (kvm) - qemu part
Patch863: kvm-s390-bios-Support-booting-from-real-dasd-device.patch
# For bz#1664376 - [IBM 8.2 FEAT] CCW IPL Support (kvm) - qemu part
Patch864: kvm-s390-bios-Use-control-unit-type-to-find-bootable-dev.patch
# For bz#1660906 - [IBM 8.2 FEAT] KVM s390x: Crypto Passthrough Hotplug - qemu part
Patch865: kvm-s390x-vfio-ap-Implement-hot-plug-unplug-of-vfio-ap-d.patch
# For bz#1730969 - [ppc] qmp: The 'arch' value returned by the command 'query-cpus-fast' does not match
Patch866: kvm-qapi-fill-in-CpuInfoFast.arch-in-query-cpus-fast.patch
# For bz#1744602 - qemu-img gets stuck when stream-converting from http
Patch867: kvm-curl-Keep-pointer-to-the-CURLState-in-CURLSocket.patch
# For bz#1744602 - qemu-img gets stuck when stream-converting from http
Patch868: kvm-curl-Keep-socket-until-the-end-of-curl_sock_cb.patch
# For bz#1744602 - qemu-img gets stuck when stream-converting from http
Patch869: kvm-curl-Check-completion-in-curl_multi_do.patch
# For bz#1744602 - qemu-img gets stuck when stream-converting from http
Patch870: kvm-curl-Pass-CURLSocket-to-curl_multi_do.patch
# For bz#1744602 - qemu-img gets stuck when stream-converting from http
Patch871: kvm-curl-Report-only-ready-sockets.patch
# For bz#1744602 - qemu-img gets stuck when stream-converting from http
Patch872: kvm-curl-Handle-success-in-multi_check_completion.patch
# For bz#1744602 - qemu-img gets stuck when stream-converting from http
Patch873: kvm-curl-Check-curl_multi_add_handle-s-return-code.patch
# For bz#1689270 - Nested KVM: limit VMX features according to CPU models - Slow Train
Patch874: kvm-x86-cpu-use-FeatureWordArray-to-define-filtered_feat.patch
# For bz#1689270 - Nested KVM: limit VMX features according to CPU models - Slow Train
Patch875: kvm-i386-Add-x-force-features-option-for-testing.patch
# For bz#1689270 - Nested KVM: limit VMX features according to CPU models - Slow Train
Patch876: kvm-target-i386-define-a-new-MSR-based-feature-word-FEAT.patch
# For bz#1689270 - Nested KVM: limit VMX features according to CPU models - Slow Train
Patch877: kvm-i386-display-known-CPUID-features-linewrapped-in-alp.patch
# For bz#1689270 - Nested KVM: limit VMX features according to CPU models - Slow Train
Patch878: kvm-target-i386-kvm-kvm_get_supported_msrs-cleanup.patch
# For bz#1689270 - Nested KVM: limit VMX features according to CPU models - Slow Train
Patch879: kvm-target-i386-handle-filtered_features-in-a-new-functi.patch
# For bz#1689270 - Nested KVM: limit VMX features according to CPU models - Slow Train
Patch880: kvm-target-i386-introduce-generic-feature-dependency-mec.patch
# For bz#1689270 - Nested KVM: limit VMX features according to CPU models - Slow Train
Patch881: kvm-target-i386-expand-feature-words-to-64-bits.patch
# For bz#1689270 - Nested KVM: limit VMX features according to CPU models - Slow Train
Patch882: kvm-target-i386-add-VMX-definitions.patch
# For bz#1689270 - Nested KVM: limit VMX features according to CPU models - Slow Train
Patch883: kvm-vmxcap-correct-the-name-of-the-variables.patch
# For bz#1689270 - Nested KVM: limit VMX features according to CPU models - Slow Train
Patch884: kvm-target-i386-add-VMX-features.patch
# For bz#1689270 - Nested KVM: limit VMX features according to CPU models - Slow Train
Patch885: kvm-target-i386-work-around-KVM_GET_MSRS-bug-for-seconda.patch
# For bz#1689270 - Nested KVM: limit VMX features according to CPU models - Slow Train
Patch886: kvm-target-i386-adjust-for-missing-VMX-features.patch
# For bz#1689270 - Nested KVM: limit VMX features according to CPU models - Slow Train
Patch887: kvm-target-i386-add-VMX-features-to-named-CPU-models.patch
# For bz#1689270 - Nested KVM: limit VMX features according to CPU models - Slow Train
Patch888: kvm-target-i386-add-VMX-features-to-named-CPU-models-RHE.patch
# For bz#1776808 - qemu-kvm crashes when Windows VM is migrated with multiqueue
Patch889: kvm-vhost-fix-vhost_log-size-overflow-during-migration.patch
# For bz#1771971 - CVE-2019-11135 virt:rhel/qemu-kvm: hw: TSX Transaction Asynchronous Abort (TAA) [rhel-8.2.0]
Patch890: kvm-target-i386-Export-TAA_NO-bit-to-guests.patch
# For bz#1771971 - CVE-2019-11135 virt:rhel/qemu-kvm: hw: TSX Transaction Asynchronous Abort (TAA) [rhel-8.2.0]
Patch891: kvm-target-i386-add-support-for-MSR_IA32_TSX_CTRL.patch
# For bz#1539282 - [Intel 8.2 Feature][Crystal Ridge] Support MAP_SYNC  - qemu-kvm
Patch892: kvm-util-mmap-alloc-Add-a-is_pmem-parameter-to-qemu_ram_.patch
# For bz#1539282 - [Intel 8.2 Feature][Crystal Ridge] Support MAP_SYNC  - qemu-kvm
Patch893: kvm-mmap-alloc-unfold-qemu_ram_mmap.patch
# For bz#1539282 - [Intel 8.2 Feature][Crystal Ridge] Support MAP_SYNC  - qemu-kvm
Patch894: kvm-mmap-alloc-fix-hugetlbfs-misaligned-length-in-ppc64.patch
# For bz#1539282 - [Intel 8.2 Feature][Crystal Ridge] Support MAP_SYNC  - qemu-kvm
Patch895: kvm-util-mmap-alloc-support-MAP_SYNC-in-qemu_ram_mmap.patch
# For bz#1634827 - [Intel 8.2 Feat] KVM Enable SnowRidge Accelerator Interface Architecture (AIA) - qemu
Patch896: kvm-x86-cpu-Enable-MOVDIRI-cpu-feature.patch
# For bz#1634827 - [Intel 8.2 Feat] KVM Enable SnowRidge Accelerator Interface Architecture (AIA) - qemu
Patch897: kvm-x86-cpu-Enable-MOVDIR64B-cpu-feature.patch
# For bz#1634827 - [Intel 8.2 Feat] KVM Enable SnowRidge Accelerator Interface Architecture (AIA) - qemu
Patch898: kvm-add-call-to-qemu_add_opts-for-overcommit-option.patch
# For bz#1634827 - [Intel 8.2 Feat] KVM Enable SnowRidge Accelerator Interface Architecture (AIA) - qemu
Patch899: kvm-support-overcommit-cpu-pm-on-off.patch
Patch900: kvm-i386-cpu-make-cpu-host-support-monitor-mwait.patch
# For bz#1634827 - [Intel 8.2 Feat] KVM Enable SnowRidge Accelerator Interface Architecture (AIA) - qemu
Patch901: kvm-x86-cpu-Add-support-for-UMONITOR-UMWAIT-TPAUSE.patch
# For bz#1634827 - [Intel 8.2 Feat] KVM Enable SnowRidge Accelerator Interface Architecture (AIA) - qemu
Patch902: kvm-target-i386-Add-support-for-save-load-IA32_UMWAIT_CO.patch
# For bz#1674324 - With <graphics type='spice'><gl enable='on'/>, qemu either refuses to start completely or spice-server crashes afterwards
Patch903: kvm-virtio-gpu-block-both-2d-and-3d-rendering.patch
# For bz#1642541 - [Intel 8.2 Feature] qemu-kvm Enable BFloat16 data type support
Patch904: kvm-x86-Intel-AVX512_BF16-feature-enabling.patch
# For bz#1741346 - Remove the "cpu64-rhel6" CPU from qemu-kvm
Patch905: kvm-i386-Remove-cpu64-rhel6-CPU-model.patch
# For bz#1769613 - [SEV] kexec mays hang at "[sda] Synchronizing SCSI cache " before switching to new kernel
Patch906: kvm-exec-Fix-MAP_RAM-for-cached-access.patch
# For bz#1769613 - [SEV] kexec mays hang at "[sda] Synchronizing SCSI cache " before switching to new kernel
Patch907: kvm-virtio-Return-true-from-virtio_queue_empty-if-broken.patch
# For bz#1752320 - vm gets stuck when migrate vm back and forth with remote-viewer trying to connect
Patch908: kvm-usbredir-Prevent-recursion-in-usbredir_write.patch
# For bz#1752320 - vm gets stuck when migrate vm back and forth with remote-viewer trying to connect
Patch909: kvm-xhci-recheck-slot-status.patch
# For bz#1791566 - CVE-2020-7039 virt:rhel/qemu-kvm: QEMU: slirp: OOB buffer access while emulating tcp protocols in tcp_emu() [rhel-8.2.0]
Patch910: kvm-tcp_emu-Fix-oob-access.patch
# For bz#1791566 - CVE-2020-7039 virt:rhel/qemu-kvm: QEMU: slirp: OOB buffer access while emulating tcp protocols in tcp_emu() [rhel-8.2.0]
Patch911: kvm-slirp-use-correct-size-while-emulating-IRC-commands.patch
# For bz#1791566 - CVE-2020-7039 virt:rhel/qemu-kvm: QEMU: slirp: OOB buffer access while emulating tcp protocols in tcp_emu() [rhel-8.2.0]
Patch912: kvm-slirp-use-correct-size-while-emulating-commands.patch
# For bz#1794501 - CVE-2020-1711 qemu-kvm: QEMU: block: iscsi: OOB heap access via an unexpected response of iSCSI Server [rhel-8.2.0]
Patch913: kvm-iscsi-Avoid-potential-for-get_status-overflow.patch
# For bz#1794501 - CVE-2020-1711 qemu-kvm: QEMU: block: iscsi: OOB heap access via an unexpected response of iSCSI Server [rhel-8.2.0]
Patch914: kvm-iscsi-Cap-block-count-from-GET-LBA-STATUS-CVE-2020-1.patch
# For bz#1708480 - [Q35] No "DEVICE_DELETED" event in qmp after unplug virtio-net-pci device
Patch915: kvm-clean-up-callback-when-del-virtqueue.patch
# For bz#1708480 - [Q35] No "DEVICE_DELETED" event in qmp after unplug virtio-net-pci device
Patch916: kvm-virtio-add-ability-to-delete-vq-through-a-pointer.patch
# For bz#1708480 - [Q35] No "DEVICE_DELETED" event in qmp after unplug virtio-net-pci device
Patch917: kvm-virtio-reset-region-cache-when-on-queue-deletion.patch
# For bz#1708480 - [Q35] No "DEVICE_DELETED" event in qmp after unplug virtio-net-pci device
Patch918: kvm-virtio-net-delete-also-control-queue-when-TX-RX-dele.patch
# For bz#1791677 - QEMU: Slirp: disable emulation of tcp programs like ftp IRC etc. [rhel-8]
Patch919: kvm-slirp-disable-tcp_emu.patch
# For bz#1790308 - qemu-kvm core dump when do L1 guest live migration with L2 guest running
Patch920: kvm-target-i386-kvm-initialize-feature-MSRs-very-early.patch

BuildRequires: zlib-devel
BuildRequires: glib2-devel
BuildRequires: which
BuildRequires: gnutls-devel
BuildRequires: cyrus-sasl-devel
BuildRequires: libtool
BuildRequires: libaio-devel
BuildRequires: rsync
BuildRequires: python3-devel
BuildRequires: pciutils-devel
BuildRequires: libiscsi-devel
BuildRequires: ncurses-devel
BuildRequires: libattr-devel
BuildRequires: libusbx-devel >= 1.0.22
%if %{have_usbredir}
BuildRequires: usbredir-devel >= 0.7.1
%endif
BuildRequires: texinfo
%if %{have_spice}
BuildRequires: spice-protocol >= 0.12.12
BuildRequires: spice-server-devel >= 0.12.8
BuildRequires: libcacard-devel
# For smartcard NSS support
BuildRequires: nss-devel
%endif
BuildRequires: libseccomp-devel >= 2.4.0
# For network block driver
BuildRequires: libcurl-devel
BuildRequires: libssh-devel
BuildRequires: librados-devel
BuildRequires: librbd-devel
%if %{have_gluster}
# For gluster block driver
BuildRequires: glusterfs-api-devel >= 3.6.0
BuildRequires: glusterfs-devel
%endif
# We need both because the 'stap' binary is probed for by configure
BuildRequires: systemtap
BuildRequires: systemtap-sdt-devel
# For VNC PNG support
BuildRequires: libpng-devel
# For uuid generation
BuildRequires: libuuid-devel
# For BlueZ device support
BuildRequires: bluez-libs-devel
# For Braille device support
BuildRequires: brlapi-devel
# For test suite
BuildRequires: check-devel
# For virtfs
BuildRequires: libcap-devel
# Hard requirement for version >= 1.3
BuildRequires: pixman-devel
# Documentation requirement
BuildRequires: perl-podlators
BuildRequires: texinfo
# For rdma
%if 0%{?have_librdma}
BuildRequires: rdma-core-devel
%endif
%if %{have_fdt}
BuildRequires: libfdt-devel >= 1.4.3
%endif
# iasl and cpp for acpi generation (not a hard requirement as we can use
# pre-compiled files, but it's better to use this)
%ifarch %{ix86} x86_64
BuildRequires: iasl
BuildRequires: cpp
%endif
# For compressed guest memory dumps
BuildRequires: lzo-devel snappy-devel
# For NUMA memory binding
%ifnarch s390x
BuildRequires: numactl-devel
%endif
BuildRequires: libgcrypt-devel
# qemu-pr-helper multipath support (requires libudev too)
BuildRequires: device-mapper-multipath-devel
BuildRequires: systemd-devel
# used by qemu-bridge-helper and qemu-pr-helper
BuildRequires: libcap-ng-devel

BuildRequires: diffutils
%ifarch x86_64
BuildRequires: libpmem-devel
Requires: libpmem
%endif

# qemu-keymap
BuildRequires: pkgconfig(xkbcommon)

# For s390-pgste flag
%ifarch s390x
BuildRequires: binutils >= 2.27-16
%endif

%if %{have_opengl}
BuildRequires: pkgconfig(epoxy)
BuildRequires: pkgconfig(libdrm)
BuildRequires: pkgconfig(gbm)
Requires:      mesa-libGL
Requires:      mesa-libEGL
Requires:      mesa-dri-drivers
%endif

Requires: qemu-kvm-core = %{epoch}:%{version}-%{release}
%rhev_ma_conflicts qemu-kvm

%{requires_all_modules}

%define qemudocdir %{_docdir}/%{name}

%description
qemu-kvm is an open source virtualizer that provides hardware
emulation for the KVM hypervisor. qemu-kvm acts as a virtual
machine monitor together with the KVM kernel modules, and emulates the
hardware for a full system such as a PC and its associated peripherals.


%package -n qemu-kvm-core
Summary: qemu-kvm core components
Requires: qemu-img = %{epoch}:%{version}-%{release}
%ifarch %{ix86} x86_64
Requires: seabios-bin >= 1.10.2-1
Requires: sgabios-bin
Requires: edk2-ovmf
%endif
%ifarch aarch64
Requires: edk2-aarch64
%endif

%ifnarch aarch64 s390x
Requires: seavgabios-bin >= 1.10.2-1
Requires: ipxe-roms-qemu >= 20170123-1
%endif
%ifarch %{power64}
Requires: SLOF >= %{SLOF_gittagdate}-1.git%{SLOF_gittagcommit}
%endif
Requires: %{name}-common = %{epoch}:%{version}-%{release}
Requires: libseccomp >= 2.4.0
# For compressed guest memory dumps
Requires: lzo snappy
%if %{have_gluster}
Requires: glusterfs-api >= 3.6.0
%endif
%if %{have_kvm_setup}
Requires(post): systemd-units
Requires(preun): systemd-units
    %ifarch %{power64}
Requires: powerpc-utils
    %endif
%endif
Requires: libusbx >= 1.0.19
%if %{have_usbredir}
Requires: usbredir >= 0.7.1
%endif

%rhev_ma_conflicts qemu-kvm

%description -n qemu-kvm-core
qemu-kvm is an open source virtualizer that provides hardware
emulation for the KVM hypervisor. qemu-kvm acts as a virtual
machine monitor together with the KVM kernel modules, and emulates the
hardware for a full system such as a PC and its associated peripherals.


%package -n qemu-img
Summary: QEMU command line tool for manipulating disk images
Group: Development/Tools

%rhev_ma_conflicts qemu-img

%description -n qemu-img
This package provides a command line tool for manipulating disk images.

%package -n qemu-kvm-common
Summary: QEMU common files needed by all QEMU targets
Group: Development/Tools
Requires(post): /usr/bin/getent
Requires(post): /usr/sbin/groupadd
Requires(post): /usr/sbin/useradd
Requires(post): systemd-units
Requires(preun): systemd-units
Requires(postun): systemd-units

%rhev_ma_conflicts qemu-kvm-common

%description -n qemu-kvm-common
qemu-kvm is an open source virtualizer that provides hardware emulation for
the KVM hypervisor.

This package provides documentation and auxiliary programs used with qemu-kvm.


%package -n qemu-guest-agent
Summary: QEMU guest agent
Requires(post): systemd-units
Requires(preun): systemd-units
Requires(postun): systemd-units

%description -n qemu-guest-agent
qemu-kvm is an open source virtualizer that provides hardware emulation for
the KVM hypervisor.

This package provides an agent to run inside guests, which communicates
with the host over a virtio-serial channel named "org.qemu.guest_agent.0"

This package does not need to be installed on the host OS.

%package tests
Summary: tests for the qemu-kvm package
Requires: %{name} = %{epoch}:%{version}-%{release}

%define testsdir %{_libdir}/%{name}/tests-src

%description tests
The qemu-kvm-tests rpm contains tests that can be used to verify
the functionality of the installed qemu-kvm package

Install this package if you want access to the avocado_qemu
tests, or qemu-iotests.

%package  block-curl
Summary: QEMU CURL block driver
Requires: %{name}-common%{?_isa} = %{epoch}:%{version}-%{release}

%description block-curl
This package provides the additional CURL block driver for QEMU.

Install this package if you want to access remote disks over
http, https, ftp and other transports provided by the CURL library.


%if %{have_gluster}
%package  block-gluster
Summary: QEMU Gluster block driver
Requires: %{name}-common%{?_isa} = %{epoch}:%{version}-%{release}
%description block-gluster
This package provides the additional Gluster block driver for QEMU.

Install this package if you want to access remote Gluster storage.
%endif


%package  block-iscsi
Summary: QEMU iSCSI block driver
Requires: %{name}-common%{?_isa} = %{epoch}:%{version}-%{release}

%description block-iscsi
This package provides the additional iSCSI block driver for QEMU.

Install this package if you want to access iSCSI volumes.


%package  block-rbd
Summary: QEMU Ceph/RBD block driver
Requires: %{name}-common%{?_isa} = %{epoch}:%{version}-%{release}

%description block-rbd
This package provides the additional Ceph/RBD block driver for QEMU.

Install this package if you want to access remote Ceph volumes
using the rbd protocol.


%package  block-ssh
Summary: QEMU SSH block driver
Requires: %{name}-common%{?_isa} = %{epoch}:%{version}-%{release}

%description block-ssh
This package provides the additional SSH block driver for QEMU.

Install this package if you want to access remote disks using
the Secure Shell (SSH) protocol.


%prep
%setup -q -n qemu-%{version}
%autopatch -p1

%build
%global buildarch %{kvm_target}-softmmu

# --build-id option is used for giving info to the debug packages.
buildldflags="VL_LDFLAGS=-Wl,--build-id"

%global block_drivers_list qcow2,raw,file,host_device,nbd,iscsi,rbd,blkdebug,luks,null-co,nvme,copy-on-read,throttle

%if 0%{have_gluster}
    %global block_drivers_list %{block_drivers_list},gluster
%endif

./configure  \
 --prefix="%{_prefix}" \
 --libdir="%{_libdir}" \
 --sysconfdir="%{_sysconfdir}" \
 --interp-prefix=%{_prefix}/qemu-%M \
 --localstatedir="%{_localstatedir}" \
 --docdir="%{qemudocdir}" \
 --libexecdir="%{_libexecdir}" \
 --extra-ldflags="-Wl,--build-id -Wl,-z,relro -Wl,-z,now" \
 --extra-cflags="%{optflags}" \
 --with-pkgversion="%{name}-%{version}-%{release}" \
 --with-confsuffix=/"%{name}" \
 --firmwarepath=%{_prefix}/share/qemu-firmware \
%if 0%{have_fdt}
  --enable-fdt \
%else
  --disable-fdt \
 %endif
%if 0%{have_gluster}
  --enable-glusterfs \
%else
  --disable-glusterfs \
%endif
  --enable-guest-agent \
%ifnarch s390x
  --enable-numa \
%else
  --disable-numa \
%endif
  --enable-rbd \
%if 0%{have_librdma}
  --enable-rdma \
%else
  --disable-rdma \
%endif
  --enable-seccomp \
%if 0%{have_spice}
  --enable-spice \
  --enable-smartcard \
%else
  --disable-spice \
  --disable-smartcard \
%endif
%if 0%{have_opengl}
  --enable-opengl \
%else
  --disable-opengl \
%endif
%if 0%{have_usbredir}
  --enable-usb-redir \
%else
  --disable-usb-redir \
%endif
  --disable-tcmalloc \
  --disable-vxhs \
%ifarch x86_64
  --enable-libpmem \
%else
  --disable-libpmem \
%endif
  --enable-vhost-user \
  --python=%{__python3} \
  --target-list="%{buildarch}" \
  --block-drv-rw-whitelist=%{block_drivers_list} \
  --audio-drv-list= \
  --block-drv-ro-whitelist=vmdk,vhdx,vpc,https,ssh \
  --with-coroutine=ucontext \
  --tls-priority=NORMAL \
  --disable-bluez \
  --disable-brlapi \
  --disable-cap-ng \
  --enable-coroutine-pool \
  --enable-curl \
  --disable-curses \
  --disable-debug-tcg \
  --enable-docs \
  --disable-gtk \
  --enable-kvm \
  --enable-libiscsi \
  --disable-libnfs \
  --enable-libssh \
  --enable-libusb \
  --disable-bzip2 \
  --enable-linux-aio \
  --disable-live-block-migration \
  --enable-lzo \
  --enable-pie \
  --disable-qom-cast-debug \
  --disable-sdl \
  --enable-snappy \
  --disable-sparse \
  --disable-strip \
  --enable-tpm \
  --enable-trace-backend=dtrace \
  --disable-vde \
  --disable-vhost-scsi \
  --disable-virtfs \
  --disable-vnc-jpeg \
  --disable-vte \
  --enable-vnc-png \
  --enable-vnc-sasl \
  --enable-werror \
  --disable-xen \
  --disable-xfsctl \
  --enable-gnutls \
  --enable-gcrypt \
  --disable-nettle \
  --enable-attr \
  --disable-bsd-user \
  --disable-cocoa \
  --enable-debug-info \
  --disable-guest-agent-msi \
  --disable-hax \
  --disable-jemalloc \
  --disable-linux-user \
  --enable-modules \
  --disable-netmap \
  --disable-replication \
  --enable-system \
  --enable-tools \
  --disable-user \
  --enable-vhost-net \
  --enable-vhost-vsock \
  --enable-vnc \
  --enable-mpath \
  --disable-virglrenderer \
  --disable-xen-pci-passthrough \
  --enable-tcg \
  --with-git=git \
  --disable-sanitizers \
  --disable-hvf \
  --disable-whpx \
  --enable-malloc-trim \
  --disable-membarrier \
  --disable-vhost-crypto \
  --disable-libxml2 \
  --enable-capstone \
  --disable-git-update \
  --disable-crypto-afalg \
  --disable-bochs \
  --disable-cloop \
  --disable-dmg \
  --disable-qcow1 \
  --disable-vdi \
  --disable-vvfat \
  --disable-qed \
  --disable-parallels \
  --disable-sheepdog


echo "config-host.mak contents:"
echo "==="
cat config-host.mak
echo "==="

make V=1 %{?_smp_mflags} $buildldflags

# Setup back compat qemu-kvm binary
%{__python3} scripts/tracetool.py --backend dtrace --format stap --group=all \
  --binary %{_libexecdir}/qemu-kvm --target-name %{kvm_target} \
  --target-type system --probe-prefix \
  qemu.kvm trace-events-all > qemu-kvm.stp

%{__python3} scripts/tracetool.py --backend dtrace --format simpletrace-stap \
  --group=all --binary %{_libexecdir}/qemu-kvm --target-name %{kvm_target} \
  --target-type system --probe-prefix \
  qemu.kvm trace-events-all > qemu-kvm-simpletrace.stp

cp -a %{kvm_target}-softmmu/qemu-system-%{kvm_target} qemu-kvm

gcc %{SOURCE6} $RPM_OPT_FLAGS $RPM_LD_FLAGS -o ksmctl
gcc %{SOURCE35} $RPM_OPT_FLAGS $RPM_LD_FLAGS -o udev-kvm-check

%install
%define _udevdir %(pkg-config --variable=udevdir udev)
%define _udevrulesdir %{_udevdir}/rules.d

install -D -p -m 0644 %{SOURCE4} $RPM_BUILD_ROOT%{_unitdir}/ksm.service
install -D -p -m 0644 %{SOURCE5} $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/ksm
install -D -p -m 0755 ksmctl $RPM_BUILD_ROOT%{_libexecdir}/ksmctl

install -D -p -m 0644 %{SOURCE7} $RPM_BUILD_ROOT%{_unitdir}/ksmtuned.service
install -D -p -m 0755 %{SOURCE8} $RPM_BUILD_ROOT%{_sbindir}/ksmtuned
install -D -p -m 0644 %{SOURCE9} $RPM_BUILD_ROOT%{_sysconfdir}/ksmtuned.conf
install -D -p -m 0644 %{SOURCE26} $RPM_BUILD_ROOT%{_sysconfdir}/modprobe.d/vhost.conf
%ifarch s390x
    install -D -p -m 0644 %{SOURCE30} $RPM_BUILD_ROOT%{_sysconfdir}/modprobe.d/kvm.conf
%else
%ifarch %{ix86} x86_64
    install -D -p -m 0644 %{SOURCE31} $RPM_BUILD_ROOT%{_sysconfdir}/modprobe.d/kvm.conf
%else
    install -D -p -m 0644 %{SOURCE27} $RPM_BUILD_ROOT%{_sysconfdir}/modprobe.d/kvm.conf
%endif
%endif

mkdir -p $RPM_BUILD_ROOT%{_bindir}/
mkdir -p $RPM_BUILD_ROOT%{_udevrulesdir}/
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}

# Create new directories and put them all under tests-src
mkdir -p $RPM_BUILD_ROOT%{testsdir}/tests/
mkdir -p $RPM_BUILD_ROOT%{testsdir}/tests/acceptance
mkdir -p $RPM_BUILD_ROOT%{testsdir}/tests/qemu-iotests
mkdir -p $RPM_BUILD_ROOT%{testsdir}/scripts
mkdir -p $RPM_BUILD_ROOT%{testsdir}/scripts/qmp

install -p -m 0755 udev-kvm-check $RPM_BUILD_ROOT%{_udevdir}
install -p -m 0644 %{SOURCE34} $RPM_BUILD_ROOT%{_udevrulesdir}

install -m 0644 scripts/dump-guest-memory.py \
                $RPM_BUILD_ROOT%{_datadir}/%{name}

# Install avocado_qemu tests
cp -R tests/acceptance/* $RPM_BUILD_ROOT%{testsdir}/tests/acceptance/

# Install qemu.py and qmp/ scripts required to run avocado_qemu tests
install -p -m 0644 scripts/qemu.py $RPM_BUILD_ROOT%{testsdir}/scripts/
cp -R scripts/qmp/* $RPM_BUILD_ROOT%{testsdir}/scripts/qmp
install -p -m 0755 tests/Makefile.include $RPM_BUILD_ROOT%{testsdir}/tests/

# Install qemu-iotests
cp -R tests/qemu-iotests/* $RPM_BUILD_ROOT%{testsdir}/tests/qemu-iotests/
# Avoid ambiguous 'python' interpreter name
find $RPM_BUILD_ROOT%{testsdir}/tests/qemu-iotests/* -maxdepth 1 -type f -exec sed -i -e '1 s+/usr/bin/env python+%{__python3}+' {} \;
find $RPM_BUILD_ROOT%{testsdir}/scripts/qmp/* -maxdepth 1 -type f -exec sed -i -e '1 s+/usr/bin/env python+%{__python3}+' {} \;
find $RPM_BUILD_ROOT%{testsdir}/scripts/qmp/* -maxdepth 1 -type f -exec sed -i -e '1 s+/usr/bin/python+%{__python3}+' {} \;

install -p -m 0644 %{SOURCE36} $RPM_BUILD_ROOT%{testsdir}/README

make DESTDIR=$RPM_BUILD_ROOT \
    sharedir="%{_datadir}/%{name}" \
    datadir="%{_datadir}/%{name}" \
    install

mkdir -p $RPM_BUILD_ROOT%{_datadir}/systemtap/tapset

# Install qemu-guest-agent service and udev rules
install -m 0644 %{_sourcedir}/qemu-guest-agent.service %{buildroot}%{_unitdir}
install -m 0644 %{_sourcedir}/qemu-ga.sysconfig %{buildroot}%{_sysconfdir}/sysconfig/qemu-ga
install -m 0644 %{_sourcedir}/99-qemu-guest-agent.rules %{buildroot}%{_udevrulesdir}

# - the fsfreeze hook script:
install -D --preserve-timestamps \
            scripts/qemu-guest-agent/fsfreeze-hook \
            $RPM_BUILD_ROOT%{_sysconfdir}/qemu-ga/fsfreeze-hook

# - the directory for user scripts:
mkdir $RPM_BUILD_ROOT%{_sysconfdir}/qemu-ga/fsfreeze-hook.d

# - and the fsfreeze script samples:
mkdir --parents $RPM_BUILD_ROOT%{_datadir}/%{name}/qemu-ga/fsfreeze-hook.d/
install --preserve-timestamps --mode=0644 \
             scripts/qemu-guest-agent/fsfreeze-hook.d/*.sample \
             $RPM_BUILD_ROOT%{_datadir}/%{name}/qemu-ga/fsfreeze-hook.d/

# - Install dedicated log directory:
mkdir -p -v $RPM_BUILD_ROOT%{_localstatedir}/log/qemu-ga/

mkdir -p $RPM_BUILD_ROOT%{_bindir}
install -c -m 0755  qemu-ga ${RPM_BUILD_ROOT}%{_bindir}/qemu-ga

mkdir -p $RPM_BUILD_ROOT%{_mandir}/man8
install -m 0644  qemu-ga.8 ${RPM_BUILD_ROOT}%{_mandir}/man8/


install -m 0755 qemu-kvm $RPM_BUILD_ROOT%{_libexecdir}/
install -m 0644 qemu-kvm.stp $RPM_BUILD_ROOT%{_datadir}/systemtap/tapset/
install -m 0644 qemu-kvm-simpletrace.stp $RPM_BUILD_ROOT%{_datadir}/systemtap/tapset/

rm $RPM_BUILD_ROOT%{_bindir}/qemu-system-%{kvm_target}
rm $RPM_BUILD_ROOT%{_datadir}/systemtap/tapset/qemu-system-%{kvm_target}.stp
rm $RPM_BUILD_ROOT%{_datadir}/systemtap/tapset/qemu-system-%{kvm_target}-simpletrace.stp

# Install simpletrace
install -m 0755 scripts/simpletrace.py $RPM_BUILD_ROOT%{_datadir}/%{name}/simpletrace.py
# Avoid ambiguous 'python' interpreter name
sed -i -e '1 s/python/python3/' $RPM_BUILD_ROOT%{_datadir}/%{name}/simpletrace.py
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}/tracetool
install -m 0644 -t $RPM_BUILD_ROOT%{_datadir}/%{name}/tracetool scripts/tracetool/*.py
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}/tracetool/backend
install -m 0644 -t $RPM_BUILD_ROOT%{_datadir}/%{name}/tracetool/backend scripts/tracetool/backend/*.py
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}/tracetool/format
install -m 0644 -t $RPM_BUILD_ROOT%{_datadir}/%{name}/tracetool/format scripts/tracetool/format/*.py

mkdir -p $RPM_BUILD_ROOT%{qemudocdir}
install -p -m 0644 -t ${RPM_BUILD_ROOT}%{qemudocdir} Changelog README README.systemtap COPYING COPYING.LIB LICENSE docs/interop/qmp-spec.txt
chmod -x ${RPM_BUILD_ROOT}%{_mandir}/man1/*
chmod -x ${RPM_BUILD_ROOT}%{_mandir}/man8/*

install -D -p -m 0644 qemu.sasl $RPM_BUILD_ROOT%{_sysconfdir}/sasl2/%{name}.conf

# Provided by package openbios
rm -rf ${RPM_BUILD_ROOT}%{_datadir}/%{name}/openbios-ppc
rm -rf ${RPM_BUILD_ROOT}%{_datadir}/%{name}/openbios-sparc32
rm -rf ${RPM_BUILD_ROOT}%{_datadir}/%{name}/openbios-sparc64
# Provided by package SLOF
rm -rf ${RPM_BUILD_ROOT}%{_datadir}/%{name}/slof.bin

# Remove unpackaged files.
rm -rf ${RPM_BUILD_ROOT}%{_datadir}/%{name}/palcode-clipper
rm -rf ${RPM_BUILD_ROOT}%{_datadir}/%{name}/petalogix*.dtb
rm -f ${RPM_BUILD_ROOT}%{_datadir}/%{name}/bamboo.dtb
rm -f ${RPM_BUILD_ROOT}%{_datadir}/%{name}/ppc_rom.bin
rm -rf ${RPM_BUILD_ROOT}%{_datadir}/%{name}/s390-zipl.rom
rm -rf ${RPM_BUILD_ROOT}%{_datadir}/%{name}/u-boot.e500
rm -rf ${RPM_BUILD_ROOT}%{_datadir}/%{name}/qemu_vga.ndrv
rm -rf ${RPM_BUILD_ROOT}%{_datadir}/%{name}/skiboot.lid

rm -rf ${RPM_BUILD_ROOT}%{_datadir}/%{name}/s390-ccw.img
rm -rf ${RPM_BUILD_ROOT}%{_datadir}/%{name}/hppa-firmware.img
rm -rf ${RPM_BUILD_ROOT}%{_datadir}/%{name}/canyonlands.dtb
rm -rf ${RPM_BUILD_ROOT}%{_datadir}/%{name}/u-boot-sam460-20100605.bin

%ifarch s390x
    # Use the s390-ccw.img that we've just built, not the pre-built one
    install -m 0644 pc-bios/s390-ccw/s390-ccw.img $RPM_BUILD_ROOT%{_datadir}/%{name}/
%else
    rm -rf ${RPM_BUILD_ROOT}%{_datadir}/%{name}/s390-netboot.img
%endif

%ifnarch %{power64}
    rm -f ${RPM_BUILD_ROOT}%{_datadir}/%{name}/spapr-rtas.bin
%endif

%ifnarch x86_64
    rm -rf ${RPM_BUILD_ROOT}%{_datadir}/%{name}/kvmvapic.bin
    rm -rf ${RPM_BUILD_ROOT}%{_datadir}/%{name}/linuxboot.bin
    rm -rf ${RPM_BUILD_ROOT}%{_datadir}/%{name}/multiboot.bin
%endif

# Remove sparc files
rm -rf ${RPM_BUILD_ROOT}%{_datadir}/%{name}/QEMU,tcx.bin
rm -rf ${RPM_BUILD_ROOT}%{_datadir}/%{name}/QEMU,cgthree.bin

# Remove ivshmem example programs
rm -rf ${RPM_BUILD_ROOT}%{_bindir}/ivshmem-client
rm -rf ${RPM_BUILD_ROOT}%{_bindir}/ivshmem-server

# Remove efi roms
rm -rf ${RPM_BUILD_ROOT}%{_datadir}/%{name}/efi*.rom

# Provided by package ipxe
rm -rf ${RPM_BUILD_ROOT}%{_datadir}/%{name}/pxe*rom
# Provided by package vgabios
rm -rf ${RPM_BUILD_ROOT}%{_datadir}/%{name}/vgabios*bin
# Provided by package seabios
rm -rf ${RPM_BUILD_ROOT}%{_datadir}/%{name}/bios*.bin
# Provided by package sgabios
rm -rf ${RPM_BUILD_ROOT}%{_datadir}/%{name}/sgabios.bin

# the pxe gpxe images will be symlinks to the images on
# /usr/share/ipxe, as QEMU doesn't know how to look
# for other paths, yet.
pxe_link() {
    ln -s ../ipxe.efi/$2.rom %{buildroot}%{_datadir}/%{name}/efi-$1.rom
}

%ifnarch aarch64 s390x
pxe_link e1000 8086100e
pxe_link ne2k_pci 10ec8029
pxe_link pcnet 10222000
pxe_link rtl8139 10ec8139
pxe_link virtio 1af41000
pxe_link e1000e 808610d3
%endif

rom_link() {
    ln -s $1 %{buildroot}%{_datadir}/%{name}/$2
}

%ifnarch aarch64 s390x
  rom_link ../seavgabios/vgabios-isavga.bin vgabios.bin
  rom_link ../seavgabios/vgabios-cirrus.bin vgabios-cirrus.bin
  rom_link ../seavgabios/vgabios-qxl.bin vgabios-qxl.bin
  rom_link ../seavgabios/vgabios-stdvga.bin vgabios-stdvga.bin
  rom_link ../seavgabios/vgabios-vmware.bin vgabios-vmware.bin
  rom_link ../seavgabios/vgabios-virtio.bin vgabios-virtio.bin
%endif
%ifarch x86_64
  rom_link ../seabios/bios.bin bios.bin
  rom_link ../seabios/bios-256k.bin bios-256k.bin
  rom_link ../sgabios/sgabios.bin sgabios.bin
%endif

%if 0%{have_kvm_setup}
    install -D -p -m 755 %{SOURCE21} $RPM_BUILD_ROOT%{_prefix}/lib/systemd/kvm-setup
    install -D -p -m 644 %{SOURCE22} $RPM_BUILD_ROOT%{_unitdir}/kvm-setup.service
    install -D -p -m 644 %{SOURCE23} $RPM_BUILD_ROOT%{_presetdir}/85-kvm.preset
%endif

%if 0%{have_memlock_limits}
    install -D -p -m 644 %{SOURCE28} $RPM_BUILD_ROOT%{_sysconfdir}/security/limits.d/95-kvm-memlock.conf
%endif

# Install rules to use the bridge helper with libvirt's virbr0
install -D -m 0644 %{SOURCE12} $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/bridge.conf

# Install qemu-pr-helper service
install -m 0644 %{_sourcedir}/qemu-pr-helper.service %{buildroot}%{_unitdir}
install -m 0644 %{_sourcedir}/qemu-pr-helper.socket %{buildroot}%{_unitdir}

find $RPM_BUILD_ROOT -name '*.la' -or -name '*.a' | xargs rm -f

# We need to make the block device modules executable else
# RPM won't pick up their dependencies.
chmod +x $RPM_BUILD_ROOT%{_libdir}/qemu-kvm/block-*.so

%check
export DIFF=diff; make check V=1

%post -n qemu-kvm-core
# load kvm modules now, so we can make sure no reboot is needed.
# If there's already a kvm module installed, we don't mess with it
%udev_rules_update
sh %{_sysconfdir}/sysconfig/modules/kvm.modules &> /dev/null || :
    udevadm trigger --subsystem-match=misc --sysname-match=kvm --action=add || :
%if %{have_kvm_setup}
    systemctl daemon-reload # Make sure it sees the new presets and unitfile
    %systemd_post kvm-setup.service
    if systemctl is-enabled kvm-setup.service > /dev/null; then
        systemctl start kvm-setup.service
    fi
%endif

%if %{have_kvm_setup}
%preun -n qemu-kvm-core
%systemd_preun kvm-setup.service
%endif

%post -n qemu-kvm-common
%systemd_post ksm.service
%systemd_post ksmtuned.service

getent group kvm >/dev/null || groupadd -g 36 -r kvm
getent group qemu >/dev/null || groupadd -g 107 -r qemu
getent passwd qemu >/dev/null || \
useradd -r -u 107 -g qemu -G kvm -d / -s /sbin/nologin \
  -c "qemu user" qemu

%preun -n qemu-kvm-common
%systemd_preun ksm.service
%systemd_preun ksmtuned.service

%postun -n qemu-kvm-common
%systemd_postun_with_restart ksm.service
%systemd_postun_with_restart ksmtuned.service

%global qemu_kvm_files \
%{_libexecdir}/qemu-kvm \
%{_datadir}/systemtap/tapset/qemu-kvm.stp \
%{_datadir}/%{name}/trace-events-all \
%{_datadir}/systemtap/tapset/qemu-kvm-simpletrace.stp \
%{_datadir}/%{name}/systemtap/script.d/qemu_kvm.stp \
%{_datadir}/%{name}/systemtap/conf.d/qemu_kvm.conf

%files
# Deliberately empty


%files -n qemu-kvm-common
%defattr(-,root,root)
%dir %{qemudocdir}
%doc %{qemudocdir}/Changelog
%doc %{qemudocdir}/README
%doc %{qemudocdir}/qemu-doc.html
%doc %{qemudocdir}/COPYING
%doc %{qemudocdir}/COPYING.LIB
%doc %{qemudocdir}/LICENSE
%doc %{qemudocdir}/README.systemtap
%doc %{qemudocdir}/qmp-spec.txt
%doc %{qemudocdir}/qemu-doc.txt
%doc %{qemudocdir}/qemu-ga-ref.html
%doc %{qemudocdir}/qemu-ga-ref.txt
%doc %{qemudocdir}/qemu-qmp-ref.html
%doc %{qemudocdir}/qemu-qmp-ref.txt
%{_mandir}/man7/qemu-qmp-ref.7*
%{_bindir}/qemu-keymap
%{_bindir}/qemu-pr-helper
%{_unitdir}/qemu-pr-helper.service
%{_unitdir}/qemu-pr-helper.socket
%{_mandir}/man7/qemu-ga-ref.7*

%dir %{_datadir}/%{name}/
%{_datadir}/%{name}/keymaps/
%{_mandir}/man1/%{name}.1*
%{_mandir}/man7/qemu-block-drivers.7*
%attr(4755, -, -) %{_libexecdir}/qemu-bridge-helper
%config(noreplace) %{_sysconfdir}/sasl2/%{name}.conf
%{_unitdir}/ksm.service
%{_libexecdir}/ksmctl
%config(noreplace) %{_sysconfdir}/sysconfig/ksm
%{_unitdir}/ksmtuned.service
%{_sbindir}/ksmtuned
%{_udevdir}/udev-kvm-check
%{_udevrulesdir}/81-kvm-rhel.rules
%ghost %{_sysconfdir}/kvm
%config(noreplace) %{_sysconfdir}/ksmtuned.conf
%dir %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/bridge.conf
%config(noreplace) %{_sysconfdir}/modprobe.d/vhost.conf
%config(noreplace) %{_sysconfdir}/modprobe.d/kvm.conf
%{_datadir}/%{name}/simpletrace.py*
%{_datadir}/%{name}/tracetool/*.py*
%{_datadir}/%{name}/tracetool/backend/*.py*
%{_datadir}/%{name}/tracetool/format/*.py*

%files -n qemu-kvm-core
%defattr(-,root,root)
%ifarch x86_64
    %{_datadir}/%{name}/bios.bin
    %{_datadir}/%{name}/bios-256k.bin
    %{_datadir}/%{name}/linuxboot.bin
    %{_datadir}/%{name}/multiboot.bin
    %{_datadir}/%{name}/kvmvapic.bin
    %{_datadir}/%{name}/sgabios.bin
%endif
%ifarch s390x
    %{_datadir}/%{name}/s390-ccw.img
    %{_datadir}/%{name}/s390-netboot.img
%endif
%ifnarch aarch64 s390x
    %{_datadir}/%{name}/vgabios.bin
    %{_datadir}/%{name}/vgabios-cirrus.bin
    %{_datadir}/%{name}/vgabios-qxl.bin
    %{_datadir}/%{name}/vgabios-stdvga.bin
    %{_datadir}/%{name}/vgabios-vmware.bin
    %{_datadir}/%{name}/vgabios-virtio.bin
    %{_datadir}/%{name}/efi-e1000.rom
    %{_datadir}/%{name}/efi-e1000e.rom
    %{_datadir}/%{name}/efi-virtio.rom
    %{_datadir}/%{name}/efi-pcnet.rom
    %{_datadir}/%{name}/efi-rtl8139.rom
    %{_datadir}/%{name}/efi-ne2k_pci.rom
%endif
%{_datadir}/%{name}/qemu-icon.bmp
%{_datadir}/%{name}/qemu_logo_no_text.svg
%{_datadir}/%{name}/linuxboot_dma.bin
%{_datadir}/%{name}/dump-guest-memory.py*
%ifarch %{power64}
    %{_datadir}/%{name}/spapr-rtas.bin
%endif
%{?qemu_kvm_files:}
%if 0%{have_kvm_setup}
    %{_prefix}/lib/systemd/kvm-setup
    %{_unitdir}/kvm-setup.service
    %{_presetdir}/85-kvm.preset
%endif
%if 0%{have_memlock_limits}
    %{_sysconfdir}/security/limits.d/95-kvm-memlock.conf
%endif

%files -n qemu-img
%defattr(-,root,root)
%{_bindir}/qemu-img
%{_bindir}/qemu-io
%{_bindir}/qemu-nbd
%{_mandir}/man1/qemu-img.1*
%{_mandir}/man8/qemu-nbd.8*

%files -n qemu-guest-agent
%defattr(-,root,root,-)
%doc COPYING README
%{_bindir}/qemu-ga
%{_mandir}/man8/qemu-ga.8*
%{_unitdir}/qemu-guest-agent.service
%{_udevrulesdir}/99-qemu-guest-agent.rules
%config(noreplace) %{_sysconfdir}/sysconfig/qemu-ga
%{_sysconfdir}/qemu-ga
%{_datadir}/%{name}/qemu-ga
%dir %{_localstatedir}/log/qemu-ga

%files tests
%{testsdir}

%files block-curl
%{_libdir}/qemu-kvm/block-curl.so

%if %{have_gluster}
%files block-gluster
%{_libdir}/qemu-kvm/block-gluster.so
%endif

%files block-iscsi
%{_libdir}/qemu-kvm/block-iscsi.so

%files block-rbd
%{_libdir}/qemu-kvm/block-rbd.so

%files block-ssh
%{_libdir}/qemu-kvm/block-ssh.so


%changelog
* Fri Feb 21 2020 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 2.12.0-99.el8
- kvm-slirp-disable-tcp_emu.patch [bz#1791677]
- kvm-target-i386-kvm-initialize-feature-MSRs-very-early.patch [bz#1790308]
- Resolves: bz#1790308
  (qemu-kvm core dump when do L1 guest live migration with L2 guest running)
- Resolves: bz#1791677
  (QEMU: Slirp: disable emulation of tcp programs like ftp IRC etc. [rhel-8])

* Mon Feb 10 2020 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 2.12.0-98.el8
- kvm-iscsi-Avoid-potential-for-get_status-overflow.patch [bz#1794501]
- kvm-iscsi-Cap-block-count-from-GET-LBA-STATUS-CVE-2020-1.patch [bz#1794501]
- kvm-clean-up-callback-when-del-virtqueue.patch [bz#1708480]
- kvm-virtio-add-ability-to-delete-vq-through-a-pointer.patch [bz#1708480]
- kvm-virtio-reset-region-cache-when-on-queue-deletion.patch [bz#1708480]
- kvm-virtio-net-delete-also-control-queue-when-TX-RX-dele.patch [bz#1708480]
- Resolves: bz#1708480
  ([Q35] No "DEVICE_DELETED" event in qmp after unplug virtio-net-pci device)
- Resolves: bz#1794501
  (CVE-2020-1711 qemu-kvm: QEMU: block: iscsi: OOB heap access via an unexpected response of iSCSI Server [rhel-8.2.0])

* Fri Jan 24 2020 Miroslav Rezanina <mrezanin@redhat.com> - 2.12.0-97.el8
- kvm-exec-Fix-MAP_RAM-for-cached-access.patch [bz#1769613]
- kvm-virtio-Return-true-from-virtio_queue_empty-if-broken.patch [bz#1769613]
- kvm-usbredir-Prevent-recursion-in-usbredir_write.patch [bz#1752320]
- kvm-xhci-recheck-slot-status.patch [bz#1752320]
- kvm-tcp_emu-Fix-oob-access.patch [bz#1791566]
- kvm-slirp-use-correct-size-while-emulating-IRC-commands.patch [bz#1791566]
- kvm-slirp-use-correct-size-while-emulating-commands.patch [bz#1791566]
- Resolves: bz#1752320
  (vm gets stuck when migrate vm back and forth with remote-viewer trying to connect)
- Resolves: bz#1769613
  ([SEV] kexec mays hang at "[sda] Synchronizing SCSI cache " before switching to new kernel)
- Resolves: bz#1791566
  (CVE-2020-7039 virt:rhel/qemu-kvm: QEMU: slirp: OOB buffer access while emulating tcp protocols in tcp_emu() [rhel-8.2.0])

* Tue Jan 07 2020 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 2.12.0-96.el8
- kvm-i386-Remove-cpu64-rhel6-CPU-model.patch [bz#1741346]
- Resolves: bz#1741346
  (Remove the "cpu64-rhel6" CPU from qemu-kvm)

* Thu Jan 02 2020 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 2.12.0-95.el8
- kvm-virtio-gpu-block-both-2d-and-3d-rendering.patch [bz#1674324]
- kvm-x86-Intel-AVX512_BF16-feature-enabling.patch [bz#1642541]
- Resolves: bz#1642541
  ([Intel 8.2 Feature] qemu-kvm Enable BFloat16 data type support)
- Resolves: bz#1674324
  (With <graphics type='spice'><gl enable='on'/>, qemu either refuses to start completely or spice-server crashes afterwards)

* Wed Dec 18 2019 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 2.12.0-94.el8
- kvm-util-mmap-alloc-Add-a-is_pmem-parameter-to-qemu_ram_.patch [bz#1539282]
- kvm-mmap-alloc-unfold-qemu_ram_mmap.patch [bz#1539282]
- kvm-mmap-alloc-fix-hugetlbfs-misaligned-length-in-ppc64.patch [bz#1539282]
- kvm-util-mmap-alloc-support-MAP_SYNC-in-qemu_ram_mmap.patch [bz#1539282]
- kvm-x86-cpu-Enable-MOVDIRI-cpu-feature.patch [bz#1634827]
- kvm-x86-cpu-Enable-MOVDIR64B-cpu-feature.patch [bz#1634827]
- kvm-add-call-to-qemu_add_opts-for-overcommit-option.patch [bz#1634827]
- kvm-support-overcommit-cpu-pm-on-off.patch [bz#1634827]
- kvm-i386-cpu-make-cpu-host-support-monitor-mwait.patch []
- kvm-x86-cpu-Add-support-for-UMONITOR-UMWAIT-TPAUSE.patch [bz#1634827]
- kvm-target-i386-Add-support-for-save-load-IA32_UMWAIT_CO.patch [bz#1634827]
- Resolves: bz#1539282
  ([Intel 8.2 Feature][Crystal Ridge] Support MAP_SYNC  - qemu-kvm)
- Resolves: bz#1634827
  ([Intel 8.2 Feat] KVM Enable SnowRidge Accelerator Interface Architecture (AIA) - qemu)

* Wed Dec 11 2019 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 2.12.0-93.el8
- kvm-target-i386-Export-TAA_NO-bit-to-guests.patch [bz#1771971]
- kvm-target-i386-add-support-for-MSR_IA32_TSX_CTRL.patch [bz#1771971]
- Resolves: bz#1771971
  (CVE-2019-11135 virt:rhel/qemu-kvm: hw: TSX Transaction Asynchronous Abort (TAA) [rhel-8.2.0])

* Mon Dec 02 2019 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 2.12.0-92.el8
- kvm-x86-cpu-use-FeatureWordArray-to-define-filtered_feat.patch [bz#1689270]
- kvm-i386-Add-x-force-features-option-for-testing.patch [bz#1689270]
- kvm-target-i386-define-a-new-MSR-based-feature-word-FEAT.patch [bz#1689270]
- kvm-i386-display-known-CPUID-features-linewrapped-in-alp.patch [bz#1689270]
- kvm-target-i386-kvm-kvm_get_supported_msrs-cleanup.patch [bz#1689270]
- kvm-target-i386-handle-filtered_features-in-a-new-functi.patch [bz#1689270]
- kvm-target-i386-introduce-generic-feature-dependency-mec.patch [bz#1689270]
- kvm-target-i386-expand-feature-words-to-64-bits.patch [bz#1689270]
- kvm-target-i386-add-VMX-definitions.patch [bz#1689270]
- kvm-vmxcap-correct-the-name-of-the-variables.patch [bz#1689270]
- kvm-target-i386-add-VMX-features.patch [bz#1689270]
- kvm-target-i386-work-around-KVM_GET_MSRS-bug-for-seconda.patch [bz#1689270]
- kvm-target-i386-adjust-for-missing-VMX-features.patch [bz#1689270]
- kvm-target-i386-add-VMX-features-to-named-CPU-models.patch [bz#1689270]
- kvm-target-i386-add-VMX-features-to-named-CPU-models-RHE.patch [bz#1689270]
- kvm-vhost-fix-vhost_log-size-overflow-during-migration.patch [bz#1776808]
- Resolves: bz#1689270
  (Nested KVM: limit VMX features according to CPU models - Slow Train)
- Resolves: bz#1776808
  (qemu-kvm crashes when Windows VM is migrated with multiqueue)

* Wed Nov 27 2019 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 2.12.0-91.el8
- kvm-qapi-fill-in-CpuInfoFast.arch-in-query-cpus-fast.patch [bz#1730969]
- kvm-curl-Keep-pointer-to-the-CURLState-in-CURLSocket.patch [bz#1744602]
- kvm-curl-Keep-socket-until-the-end-of-curl_sock_cb.patch [bz#1744602]
- kvm-curl-Check-completion-in-curl_multi_do.patch [bz#1744602]
- kvm-curl-Pass-CURLSocket-to-curl_multi_do.patch [bz#1744602]
- kvm-curl-Report-only-ready-sockets.patch [bz#1744602]
- kvm-curl-Handle-success-in-multi_check_completion.patch [bz#1744602]
- kvm-curl-Check-curl_multi_add_handle-s-return-code.patch [bz#1744602]
- Resolves: bz#1730969
  ([ppc] qmp: The 'arch' value returned by the command 'query-cpus-fast' does not match)
- Resolves: bz#1744602
  (qemu-img gets stuck when stream-converting from http)

* Tue Nov 12 2019 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 2.12.0-90.el8
- kvm-i386-Don-t-print-warning-if-phys-bits-was-set-automa.patch [bz#1719127]
- kvm-Disable-CONFIG_I2C-and-CONFIG_IOH3420.patch [bz#1693140]
- kvm-usb-drop-unnecessary-usb_device_post_load-checks.patch [bz#1757482]
- kvm-pc-bios-s390-ccw-define-loadparm-length.patch [bz#1664376]
- kvm-pc-bios-s390-ccw-net-Use-diag308-to-reset-machine-be.patch [bz#1664376]
- kvm-s390-bios-decouple-cio-setup-from-virtio.patch [bz#1664376]
- kvm-s390-bios-decouple-common-boot-logic-from-virtio.patch [bz#1664376]
- kvm-s390-bios-Clean-up-cio.h.patch [bz#1664376]
- kvm-s390-bios-Decouple-channel-i-o-logic-from-virtio.patch [bz#1664376]
- kvm-s390-bios-Map-low-core-memory.patch [bz#1664376]
- kvm-s390-bios-ptr2u32-and-u32toptr.patch [bz#1664376]
- kvm-s390-bios-Support-for-running-format-0-1-channel-pro.patch [bz#1664376]
- kvm-s390-bios-cio-error-handling.patch [bz#1664376]
- kvm-s390-bios-Extend-find_dev-for-non-virtio-devices.patch [bz#1664376]
- kvm-s390-bios-Factor-finding-boot-device-out-of-virtio-c.patch [bz#1664376]
- kvm-s390-bios-Refactor-virtio-to-run-channel-programs-vi.patch [bz#1664376]
- kvm-s390-bios-Use-control-unit-type-to-determine-boot-me.patch [bz#1664376]
- kvm-s390-bios-Add-channel-command-codes-structs-needed-f.patch [bz#1664376]
- kvm-s390-bios-Support-booting-from-real-dasd-device.patch [bz#1664376]
- kvm-s390-bios-Use-control-unit-type-to-find-bootable-dev.patch [bz#1664376]
- kvm-s390x-vfio-ap-Implement-hot-plug-unplug-of-vfio-ap-d.patch [bz#1660906]
- Resolves: bz#1660906
  ([IBM 8.2 FEAT] KVM s390x: Crypto Passthrough Hotplug - qemu part)
- Resolves: bz#1664376
  ([IBM 8.2 FEAT] CCW IPL Support (kvm) - qemu part)
- Resolves: bz#1693140
  (aarch64: qemu: remove smbus_eeprom and i2c from config)
- Resolves: bz#1719127
  ([Intel 8.2 Bug] warning shown when boot VM with “–cpu host” or “–cpu other mode” on ICX platform (physical))
- Resolves: bz#1757482
  (Fail to migrate a rhel6.10-mt7.6 guest with dimm device)

* Mon Oct 14 2019 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 2.12.0-89.el8
- kvm-accel-use-g_strsplit-for-parsing-accelerator-names.patch [bz#1749022]
- kvm-opts-don-t-silently-truncate-long-parameter-keys.patch [bz#1749022]
- kvm-opts-don-t-silently-truncate-long-option-values.patch [bz#1749022]
- kvm-i386-fix-regression-parsing-multiboot-initrd-modules.patch [bz#1749022]
- kvm-i386-only-parse-the-initrd_filename-once-for-multibo.patch [bz#1749022]
- kvm-opts-remove-redundant-check-for-NULL-parameter.patch [bz#1749022]
- kvm-Using-ip_deq-after-m_free-might-read-pointers-from-a.patch [bz#1749724]
- kvm-virtio-blk-Cancel-the-pending-BH-when-the-dataplane-.patch [bz#1708459]
- kvm-s390x-cpumodel-Rework-CPU-feature-definition.patch [bz#1660909]
- kvm-s390x-cpumodel-Set-up-CPU-model-for-AQIC-interceptio.patch [bz#1660909]
- kvm-ccid-Fix-dwProtocols-advertisement-of-T-0.patch [bz#1746361]
- kvm-s390-PCI-fix-IOMMU-region-init.patch [bz#1754643]
- kvm-fw_cfg-Improve-error-message-when-can-t-load-splash-.patch [bz#1607367]
- kvm-fw_cfg-Fix-boot-bootsplash-error-checking.patch [bz#1607367]
- kvm-fw_cfg-Fix-boot-reboot-timeout-error-checking.patch [bz#1607367]
- kvm-hw-nvram-fw_cfg-Store-reboot-timeout-as-little-endia.patch [bz#1607367]
- kvm-intel_iommu-Correct-caching-mode-error-message.patch [bz#1738440]
- kvm-intel_iommu-Sanity-check-vfio-pci-config-on-machine-.patch [bz#1738440]
- kvm-qdev-machine-Introduce-hotplug_allowed-hook.patch [bz#1738440]
- kvm-pc-q35-Disallow-vfio-pci-hotplug-without-VT-d-cachin.patch [bz#1738440]
- kvm-intel_iommu-Remove-the-caching-mode-check-during-fla.patch [bz#1738440]
- kvm-pseries-do-not-allow-memory-less-cpu-less-NUMA-node.patch [bz#1651474]
- Resolves: bz#1607367
  (After boot failed, guest should not reboot when set reboot-timeout < -1)
- Resolves: bz#1651474
  (RHEL8.0 Beta - [4.18.0-32.el8.ppc64le] Guest VM crashes during vcpu hotplug with specific numa configuration (kvm))
- Resolves: bz#1660909
  ([IBM 8.2 FEAT] KVM s390x: Crypto Passthrough Interrupt Support - qemu part)
- Resolves: bz#1708459
  (qemu-kvm core dumped when repeat "system_reset" multiple times during guest boot)
- Resolves: bz#1738440
  (For intel-iommu, qemu shows conflict behaviors between booting a guest with vfio and hot plugging vfio device)
- Resolves: bz#1746361
  (ccid: Fix incorrect dwProtocol advertisement of T=0)
- Resolves: bz#1749022
  (Please backport 950c4e6c94b1 ("opts: don't silently truncate long option values", 2018-05-09))
- Resolves: bz#1749724
  (CVE-2019-15890 qemu-kvm: QEMU: Slirp: use-after-free during packet reassembly [rhel-8])
- Resolves: bz#1754643
  (RHEL8.1 Snapshot3 - Passthrough PCI card goes into error state if used in domain (kvm))

* Fri Sep 13 2019 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 2.12.0-88.el8
- Revert fix for bz#1749724 - this got delayed to 8.2
  (CVE-2019-15890 qemu-kvm: QEMU: Slirp: use-after-free during packet reassembly [rhel-8])

* Tue Sep 03 2019 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 2.12.0-86.el8
- kvm-Do-not-run-iotests-on-brew-build.patch [bz#1742819]
- kvm-target-ppc-spapr-Add-workaround-option-to-SPAPR_CAP_.patch [bz#1744415]
- kvm-target-ppc-spapr-Add-SPAPR_CAP_CCF_ASSIST.patch [bz#1744415]
- kvm-i386-x86_cpu_list_feature_names-function.patch [bz#1747185]
- kvm-i386-unavailable-features-QOM-property.patch [bz#1747185]
- kvm-file-posix-Handle-undetectable-alignment.patch [bz#1738839]
- kvm-iotests-Tweak-221-sizing-for-different-hole-granular.patch [bz#1738839]
- kvm-iotests-Filter-175-s-allocation-information.patch [bz#1738839]
- kvm-block-posix-Always-allocate-the-first-block.patch [bz#1738839]
- kvm-iotests-Test-allocate_first_block-with-O_DIRECT.patch [bz#1738839]
- Resolves: bz#1738839
  (I/O error when virtio-blk disk is backed by a raw image on 4k disk)
- Resolves: bz#1742819
  (Remove iotests from qemu-kvm builds [RHEL 8.1.0])
- Resolves: bz#1744415
  (Backport support for count cache flush Spectre v2 mitigation [slow train])
- Resolves: bz#1747185
  ("filtered-features" QOM property is not available)

* Mon Aug 19 2019 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 2.12.0-85.el8
- kvm-console-Avoid-segfault-in-screendump.patch [bz#1684383]
- kvm-usb-hub-clear-suspend-on-detach.patch [bz#1619661]
- kvm-qemu-img-fix-regression-copying-secrets-during-conve.patch [bz#1727821]
- Resolves: bz#1619661
  (the attach hub on one hub still exits in device manager after unhotplug)
- Resolves: bz#1684383
  (qemu crashed when take screenshot for 2nd head of virtio video device if the display not opened by virt-viewer)
- Resolves: bz#1727821
  (Failed to convert a source image to the qcow2 image encrypted by luks)

* Fri Aug 16 2019 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 2.12.0-84.el8
- kvm-vnc-detect-and-optimize-pageflips.patch [bz#1727033]
- kvm-block-backend-Make-blk_inc-dec_in_flight-public.patch [bz#1716349]
- kvm-virtio-blk-Increase-in_flight-for-request-restart-BH.patch [bz#1716349]
- kvm-block-Fix-AioContext-switch-for-drained-node.patch [bz#1716349]
- kvm-test-bdrv-drain-AioContext-switch-in-drained-section.patch [bz#1716349]
- kvm-block-Use-normal-drain-for-bdrv_set_aio_context.patch [bz#1716349]
- kvm-block-Fix-AioContext-switch-for-bs-drv-NULL.patch [bz#1716347]
- kvm-iothread-fix-crash-with-invalid-properties.patch [bz#1687541]
- kvm-iothread-replace-init_done_cond-with-a-semaphore.patch [bz#1687541]
- kvm-RHEL-disable-hostmem-memfd.patch [bz#1740797]
- Resolves: bz#1687541
  (qemu aborted when start guest with a big iothreads)
- Resolves: bz#1716347
  (Qemu Core dump when quit vm that's in status "paused(io-error)" with data plane enabled)
- Resolves: bz#1716349
  (qemu with iothreads enabled crashes on resume after enospc pause for disk extension)
- Resolves: bz#1727033
  (vnc server should detect page-flips and avoid sending fullscreen updates then.)
- Resolves: bz#1740797
  (Disable memfd in QEMU)

* Thu Aug 01 2019 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 2.12.0-83.el8
- kvm-hw-block-pflash_cfi01-Add-missing-DeviceReset-handle.patch [bz#1707192]
- kvm-block-file-posix-Unaligned-O_DIRECT-block-status.patch [bz#1678979]
- kvm-iotests-Test-unaligned-raw-images-with-O_DIRECT.patch [bz#1678979]
- kvm-nbd-client-Lower-min_block-for-block-status-unaligne.patch [bz#1678979]
- kvm-nbd-client-Reject-inaccessible-tail-of-inconsistent-.patch [bz#1678979]
- kvm-nbd-client-Support-qemu-img-convert-from-unaligned-s.patch [bz#1678979]
- kvm-block-Add-bdrv_get_request_alignment.patch [bz#1678979]
- kvm-nbd-server-Advertise-actual-minimum-block-size.patch [bz#1678979]
- kvm-slirp-check-sscanf-result-when-emulating-ident.patch [bz#1727642]
- kvm-slirp-fix-big-little-endian-conversion-in-ident-prot.patch [bz#1727642]
- kvm-slirp-ensure-there-is-enough-space-in-mbuf-to-null-t.patch [bz#1727642]
- kvm-slirp-don-t-manipulate-so_rcv-in-tcp_emu.patch [bz#1727642]
- kvm-tap-set-vhostfd-passed-from-qemu-cli-to-non-blocking.patch [bz#1732642]
- kvm-Fix-heap-overflow-in-ip_reass-on-big-packet-input.patch [bz#1734751]
- Resolves: bz#1678979
  (qemu-img convert abort when converting image with unaligned size (qemu-img: block/io.c:2134: bdrv_co_block_status: Assertion `*pnum && (((*pnum) % (align)) == 0) && align > offset - aligned_offset\' failed))
- Resolves: bz#1707192
  (implement missing reset handler for cfi.pflash01 - slow train)
- Resolves: bz#1727642
  (CVE-2019-6778 qemu-kvm: QEMU: slirp: heap buffer overflow in tcp_emu())
- Resolves: bz#1732642
  (enable the virtio-net frontend to work with the vhost-net backend in SEV guests)
- Resolves: bz#1734751
  (CVE-2019-14378 qemu-kvm: QEMU: slirp: heap buffer overflow during packet reassembly [rhel-8.1.0])

* Tue Jul 23 2019 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 2.12.0-82.el8
- kvm-i386-Add-new-model-of-Cascadelake-Server.patch [bz#1629906]
- kvm-i386-Update-stepping-of-Cascadelake-Server.patch [bz#1629906]
- kvm-target-i386-Disable-MPX-support-on-named-CPU-models.patch [bz#1629906]
- kvm-i386-remove-the-INTEL_PT-CPUID-bit-from-named-CPU-NEW.patch [bz#1629906]
- kvm-i386-Disable-OSPKE-on-CPU-model-definitions-NEW.patch [bz#1629906]
- kvm-block-ssh-Convert-from-DPRINTF-macro-to-trace-events.patch [bz#1513367]
- kvm-block-ssh-Do-not-report-read-write-flush-errors-to-t.patch [bz#1513367]
- kvm-qemu-iotests-Fix-paths-for-NFS.patch [bz#1513367]
- kvm-qemu-iotests-Filter-NFS-paths.patch [bz#1513367]
- kvm-iotests-Filter-SSH-paths.patch [bz#1513367]
- kvm-block-ssh-Implement-.bdrv_refresh_filename.patch [bz#1513367]
- kvm-iotests-Use-Python-byte-strings-where-appropriate.patch [bz#1513367]
- kvm-iotests-Unify-log-outputs-between-Python-2-and-3.patch [bz#1513367]
- kvm-ssh-switch-from-libssh2-to-libssh.patch [bz#1513367]
- kvm-redhat-switch-from-libssh2-to-libssh.patch [bz#1513367]
- kvm-block-gluster-limit-the-transfer-size-to-512-MiB.patch [bz#1728657]
- kvm-s390-cpumodel-fix-description-for-the-new-vector-fac.patch [bz#1729975]
- kvm-s390x-cpumodel-remove-esort-from-the-default-model.patch [bz#1729975]
- kvm-s390x-cpumodel-also-change-name-of-vxbeh.patch [bz#1729975]
- kvm-s390x-cpumodel-change-internal-name-of-vxpdeh-to-mat.patch [bz#1729975]
- kvm-target-i386-sev-Do-not-unpin-ram-device-memory-regio.patch [bz#1728958]
- kvm-i386-Save-EFER-for-32-bit-targets.patch [bz#1689269]
- kvm-target-i386-rename-HF_SVMI_MASK-to-HF_GUEST_MASK.patch [bz#1689269]
- kvm-target-i386-kvm-add-VMX-migration-blocker.patch [bz#1689269]
- kvm-target-i386-kvm-just-return-after-migrate_add_blocke.patch [bz#1689269]
- kvm-target-i386-kvm-Delete-VMX-migration-blocker-on-vCPU.patch [bz#1689269]
- kvm-Introduce-kvm_arch_destroy_vcpu.patch [bz#1689269]
- kvm-target-i386-kvm-Use-symbolic-constant-for-DB-BP-exce.patch [bz#1689269]
- kvm-target-i386-kvm-Re-inject-DB-to-guest-with-updated-D.patch [bz#1689269]
- kvm-target-i386-kvm-Block-migration-for-vCPUs-exposed-wi.patch [bz#1689269]
- kvm-target-i386-kvm-do-not-initialize-padding-fields.patch [bz#1689269]
- kvm-linux-headers-synchronize-generic-and-x86-KVM-header.patch [bz#1689269]
- kvm-vmstate-Add-support-for-kernel-integer-types.patch [bz#1689269]
- kvm-target-i386-kvm-Add-support-for-save-and-restore-nes.patch [bz#1689269]
- kvm-target-i386-kvm-Add-support-for-KVM_CAP_EXCEPTION_PA.patch [bz#1689269]
- kvm-target-i386-kvm-Add-nested-migration-blocker-only-wh.patch [bz#1689269]
- kvm-target-i386-kvm-Demand-nested-migration-kernel-capab.patch [bz#1689269]
- kvm-target-i386-skip-KVM_GET-SET_NESTED_STATE-if-VMX-dis.patch [bz#1689269]
- kvm-i386-kvm-Do-not-sync-nested-state-during-runtime.patch [bz#1689269]
- Resolves: bz#1513367
  (qemu with libssh)
- Resolves: bz#1629906
  ([Intel 8.1 Feat] qemu-kvm Introduce Cascade Lake (CLX) cpu model)
- Resolves: bz#1689269
  (Nested KVM: support for migration of nested hypervisors - Slow Train)
- Resolves: bz#1728657
  ('qemu-io write' to a raw image over libgfapi fails)
- Resolves: bz#1728958
  (Hot unplug vfio-pci NIC devices from sev guest will cause qemu-kvm: sev_ram_block_removed: failed to unregister region)
- Resolves: bz#1729975
  (RHEL 8.1 Pre-Beta - Fix for hardware CPU Model)

* Mon Jul 08 2019 Miroslav Rezanina <mrezanin@redhat.com> - 2.12.0-81.el8
- kvm-target-i386-add-MDS-NO-feature.patch [bz#1714792]
- kvm-virtio-gpu-pass-down-VirtIOGPU-pointer-to-a-bunch-of.patch [bz#1531543]
- kvm-virtio-gpu-add-iommu-support.patch [bz#1531543]
- kvm-virtio-gpu-fix-unmap-in-error-path.patch [bz#1531543]
- Resolves: bz#1531543
  ([RFE] add iommu support to virtio-gpu)
- Resolves: bz#1714792
  ([Intel 8.1 FEAT] MDS_NO exposure to guest)

* Tue Jul 02 2019 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 2.12.0-80.el8
- kvm-qxl-check-release-info-object.patch [bz#1712705]
- kvm-iotests-Make-182-do-without-device_add.patch [bz#1707598]
- Resolves: bz#1707598
  (qemu-iotest 182 fails without device hotplugging support)
- Resolves: bz#1712705
  (CVE-2019-12155 qemu-kvm: QEMU: qxl: null pointer dereference while releasing spice resources [rhel-8])

* Fri Jun 28 2019 Danilo de Paula <ddepaula@redhat.com> - 15:2.12.0-79
- Rebuild all virt packages to fix RHEL's upgrade path
- Resolves: rhbz#1695587
  (Ensure modular RPM upgrade path)

* Thu Jun 20 2019 Miroslav Rezanina <mrezanin@redhat.com> - 2.12.0-78.el8
- kvm-gluster-Handle-changed-glfs_ftruncate-signature.patch [bz#1721983]
- kvm-gluster-the-glfs_io_cbk-callback-function-pointer-ad.patch [bz#1721983]
- Resolves: bz#1721983
  (qemu-kvm can't be build with new gluster version (6.0.6))

* Thu Jun 13 2019 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 2.12.0-77.el8
- kvm-i386-Make-arch_capabilities-migratable.patch [bz#1709970]
- kvm-spapr-Fix-ibm-max-associativity-domains-property-num.patch [bz#1710662]
- kvm-linux-headers-Update-for-NVLink2-passthrough-downstr.patch [bz#1710662]
- kvm-pci-Move-NVIDIA-vendor-id-to-the-rest-of-ids.patch [bz#1710662]
- kvm-vfio-quirks-Add-common-quirk-alloc-helper.patch [bz#1710662]
- kvm-vfio-Make-vfio_get_region_info_cap-public.patch [bz#1710662]
- kvm-spapr-Support-NVIDIA-V100-GPU-with-NVLink2.patch [bz#1710662]
- kvm-qemu-kvm.spec-bump-libseccomp-2.4.0.patch [bz#1719578]
- Resolves: bz#1709970
  ([Intel 8.1 Bug] [KVM][CLX] CPUID_7_0_EDX_ARCH_CAPABILITIES is not enabled in VM - qemu-kvm)
- Resolves: bz#1710662
  ([IBM 8.1 FEAT] POWER9 - Virt: qemu: NVLink2 passthru to guest - Nvidia Volta (GPU) (kvm))
- Resolves: bz#1719578
  (VM failed to start with error "failed to install seccomp syscall filter in the kernel")

* Tue Jun 11 2019 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 2.12.0-76.el8
- kvm-Introduce-new-no_guest_reset-parameter-for-usb-host-.patch [bz#1713677]
- kvm-usb-call-reset-handler-before-updating-state.patch [bz#1713677]
- kvm-usb-host-skip-reset-for-untouched-devices.patch [bz#1713677]
- kvm-usb-host-avoid-libusb_set_configuration-calls.patch [bz#1713677]
- kvm-virtio-scsi-Move-BlockBackend-back-to-the-main-AioCo.patch [bz#1673396 bz#1673401]
- kvm-scsi-disk-Acquire-the-AioContext-in-scsi_-_realize.patch [bz#1673396 bz#1673401]
- kvm-virtio-scsi-Forbid-devices-with-different-iothreads-.patch [bz#1673396 bz#1673401]
- kvm-Disable-VXHS-support.patch [bz#1714933]
- Resolves: bz#1673396
  (qemu-kvm core dumped after hotplug the deleted disk with iothread parameter)
- Resolves: bz#1673401
  (Qemu core dump when start guest with two disks using same drive)
- Resolves: bz#1713677
  (Detached device when trying to upgrade USB device firmware when in doing USB Passthrough via QEMU)
- Resolves: bz#1714933
  (Disable VXHS  in qemu-kvm)

* Fri May 24 2019 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 2.12.0-75.el8
- kvm-s390x-cpumodel-enum-type-S390FeatGroup-now-gets-gene.patch [bz#1660912]
- kvm-linux-headers-update-against-Linux-5.2-rc1.patch [bz#1660912]
- kvm-s390x-cpumodel-ignore-csske-for-expansion.patch [bz#1660912]
- kvm-s390x-cpumodel-Miscellaneous-Instruction-Extensions-.patch [bz#1660912]
- kvm-s390x-cpumodel-msa9-facility.patch [bz#1660912]
- kvm-s390x-cpumodel-vector-enhancements.patch [bz#1660912]
- kvm-s390x-cpumodel-enhanced-sort-facility.patch [bz#1660912]
- kvm-s390x-cpumodel-add-Deflate-conversion-facility.patch [bz#1660912]
- kvm-s390x-cpumodel-add-gen15-defintions.patch [bz#1660912]
- kvm-s390x-cpumodel-wire-up-8561-and-8562-as-gen15-machin.patch [bz#1660912]
- kvm-spice-set-device-address-and-device-display-ID-in-QX.patch [bz#1712946]
- kvm-hw-pci-Add-missing-include.patch [bz#1712946]
- Resolves: bz#1660912
  ([IBM 8.1 FEAT] KVM s390x: Add hardware CPU Model - qemu part)
- Resolves: bz#1712946
  (qemu-kvm build is broken due to spice_qxl_set_max_monitors being deprecated)

* Mon May 20 2019 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 2.12.0-74.el8
- kvm-x86-cpu-Enable-CLDEMOTE-Demote-Cache-Line-cpu-featur.patch [bz#1696436]
- kvm-memory-Fix-the-memory-region-type-assignment-order.patch [bz#1667249]
- kvm-target-i386-sev-Do-not-pin-the-ram-device-memory-reg.patch [bz#1667249]
- kvm-block-Fix-invalidate_cache-error-path-for-parent-act.patch [bz#1673010]
- kvm-target-i386-define-md-clear-bit.patch [bz#1703302 bz#1703308]
- Resolves: bz#1667249
  (Fail to launch AMD SEV VM with assigned PCI device)
- Resolves: bz#1673010
  (Local VM and migrated VM on the same host can run with same RAW file as visual disk source while without shareable configured or lock manager enabled)
- Resolves: bz#1696436
  ([Intel 8.0 Feat] KVM Enabling SnowRidge new NIs - qemu-kvm)
- Resolves: bz#1703302
  (CVE-2018-12130 virt:rhel/qemu-kvm: hardware: Microarchitectural Fill Buffer Data Sampling (MFBDS) [rhel-8])
- Resolves: bz#1703308
  (CVE-2018-12127 virt:rhel/qemu-kvm: hardware: Micro-architectural Load Port Data Sampling - Information Leak (MLPDS) [rhel-8])

* Tue May 14 2019 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 2.12.0-73.el8
- kvm-i386-remove-the-INTEL_PT-CPUID-bit-from-named-CPU-mo.patch [bz#1561761]
- kvm-i386-Disable-OSPKE-on-CPU-model-definitions.patch [bz#1561761]
- Resolves: bz#1561761
  ([Intel 8.1 Feat] qemu-kvm Introduce Icelake cpu model)

* Tue May 14 2019 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 2.12.0-72.el8
- kvm-Use-KVM_GET_MSR_INDEX_LIST-for-MSR_IA32_ARCH_CAP.patch [bz#1707706]
- kvm-i386-kvm-Disable-arch_capabilities-if-MSR-can-t-be-s.patch [bz#1707706]
- Resolves: bz#1707706
  (/builddir/build/BUILD/qemu-2.12.0/target/i386/kvm.c:2031: kvm_put_msrs: Assertion `ret == cpu->kvm_msr_buf->nmsrs' failed.)

* Wed May 08 2019 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 2.12.0-71.el8
- kvm-s390-bios-Skip-bootmap-signature-entries.patch [bz#1683275]
- Resolves: bz#1683275
  ([IBM 8.1 FEAT] KVM: Secure Linux Boot Toleration (qemu))

* Tue May 07 2019 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 2.12.0-70.el8
- kvm-i386-Add-new-MSR-indices-for-IA32_PRED_CMD-and-IA32_.patch [bz#1561761]
- kvm-i386-Add-CPUID-bit-and-feature-words-for-IA32_ARCH_C.patch [bz#1561761]
- kvm-i386-Add-CPUID-bit-for-PCONFIG.patch [bz#1561761]
- kvm-i386-Add-CPUID-bit-for-WBNOINVD.patch [bz#1561761]
- kvm-i386-Add-new-CPU-model-Icelake-Server-Client.patch [bz#1561761]
- kvm-Add-support-to-KVM_GET_MSR_FEATURE_INDEX_LIST-an.patch [bz#1561761]
- kvm-x86-Data-structure-changes-to-support-MSR-based-feat.patch [bz#1561761]
- kvm-x86-define-a-new-MSR-based-feature-word-FEATURE_WORD.patch [bz#1561761]
- kvm-i386-remove-the-new-CPUID-PCONFIG-from-Icelake-Serve.patch [bz#1561761]
- kvm-Revert-i386-Add-CPUID-bit-for-PCONFIG.patch [bz#1561761]
- Resolves: bz#1561761
  ([Intel 8.1 Feat] qemu-kvm Introduce Icelake cpu model)

* Fri May 03 2019 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 2.12.0-69.el8
- kvm-tests-crypto-Use-the-IEC-binary-prefix-definitions.patch [bz#1680231]
- kvm-crypto-expand-algorithm-coverage-for-cipher-benchmar.patch [bz#1680231]
- kvm-crypto-remove-code-duplication-in-tweak-encrypt-decr.patch [bz#1680231]
- kvm-crypto-introduce-a-xts_uint128-data-type.patch [bz#1680231]
- kvm-crypto-convert-xts_tweak_encdec-to-use-xts_uint128-t.patch [bz#1680231]
- kvm-crypto-convert-xts_mult_x-to-use-xts_uint128-type.patch [bz#1680231]
- kvm-crypto-annotate-xts_tweak_encdec-as-inlineable.patch [bz#1680231]
- kvm-crypto-refactor-XTS-cipher-mode-test-suite.patch [bz#1680231]
- kvm-crypto-add-testing-for-unaligned-buffers-with-XTS-ci.patch [bz#1680231]
- Resolves: bz#1680231
  (severe performance impact using luks format)

* Mon Apr 29 2019 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 2.12.0-68.el8
- kvm-s390x-ipl-Try-to-detect-Linux-vs-non-Linux-for-initi.patch [bz#1699070]
- kvm-loader-Check-access-size-when-calling-rom_ptr-to-avo.patch [bz#1699070]
- kvm-hw-s390x-Use-the-IEC-binary-prefix-definitions.patch [bz#1699070]
- kvm-s390x-storage-attributes-fix-CMMA_BLOCK_SIZE-usage.patch [bz#1699070]
- kvm-s390x-cpumodel-fix-segmentation-fault-when-baselinin.patch [bz#1699070]
- kvm-hw-s390x-s390-pci-bus-Convert-sysbus-init-function-t.patch [bz#1699070]
- kvm-s390x-pci-properly-fail-if-the-zPCI-device-cannot-be.patch [bz#1699070]
- kvm-s390x-pci-rename-hotplug-handler-callbacks.patch [bz#1699070]
- kvm-s390-avoid-potential-null-dereference-in-s390_pcihos.patch [bz#1699070]
- kvm-s390x-pci-Send-correct-event-on-hotplug.patch [bz#1699070]
- kvm-s390x-pci-Set-the-iommu-region-size-mpcifc-request.patch [bz#1699070]
- kvm-s390x-pci-Always-delete-and-free-the-release_timer.patch [bz#1699070]
- kvm-s390x-pci-Ignore-the-unplug-call-if-we-already-have-.patch [bz#1699070]
- kvm-s390x-pci-Use-hotplug_dev-instead-of-looking-up-the-.patch [bz#1699070]
- kvm-s390x-pci-Move-some-hotplug-checks-to-the-pre_plug-h.patch [bz#1699070]
- kvm-s390x-pci-Introduce-unplug-requests-and-split-unplug.patch [bz#1699070]
- kvm-s390x-pci-Drop-release-timer-and-replace-it-with-a-f.patch [bz#1699070]
- kvm-s390x-pci-mark-zpci-devices-as-unmigratable.patch [bz#1699070]
- kvm-s390x-pci-Fix-primary-bus-number-for-PCI-bridges.patch [bz#1699070]
- kvm-s390x-pci-Fix-hotplugging-of-PCI-bridges.patch [bz#1699070]
- kvm-s390x-pci-Warn-when-adding-PCI-devices-without-the-z.patch [bz#1699070]
- kvm-s390x-pci-Unplug-remaining-requested-devices-on-pcih.patch [bz#1699070]
- kvm-s390x-refactor-reset-reipl-handling.patch [bz#1699070]
- kvm-s390-ipl-fix-ipl-with-no-reboot.patch [bz#1699070]
- Resolves: bz#1699070
  (Backport s390x-related fixes for qemu-kvm)

* Tue Apr 23 2019 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 2.12.0-67.el8
- kvm-device_tree-Fix-integer-overflowing-in-load_device_t.patch [bz#1693116]
- Resolves: bz#1693116
  (CVE-2018-20815 qemu-kvm: QEMU: device_tree: heap buffer overflow while loading device tree blob [rhel-8.0])

* Mon Apr 15 2019 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 2.12.0-66.el8
- kvm-iotests-153-Fix-dead-code.patch [bz#1694148]
- kvm-file-posix-Include-filename-in-locking-error-message.patch [bz#1694148]
- kvm-file-posix-Skip-effectiveless-OFD-lock-operations.patch [bz#1694148]
- kvm-file-posix-Drop-s-lock_fd.patch [bz#1694148]
- kvm-tests-Add-unit-tests-for-image-locking.patch [bz#1694148]
- kvm-file-posix-Fix-shared-locks-on-reopen-commit.patch [bz#1694148]
- kvm-iotests-Test-file-posix-locking-and-reopen.patch [bz#1694148]
- kvm-block-file-posix-do-not-fail-on-unlock-bytes.patch [bz#1694148]
- kvm-hostmem-file-remove-object-id-from-pmem-error-messag.patch [bz#1687596]
- kvm-redhat-setting-target-release-to-rhel-8.1.0.patch []
- kvm-redhat-removing-iotest-182.patch []
- Resolves: bz#1687596
  ([Intel 8.1 BUG][KVM][Crystal Ridge]object_get_canonical_path_component: assertion failed: (obj->parent != NULL))
- Resolves: bz#1694148
  (QEMU image locking needn't double open fd number, and it should not fail when attempting to release locks)

* Tue Apr 09 2019 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 2.12.0-65.el8
- kvm-s390x-cpumodel-mepochptff-warn-when-no-mepoch-and-re.patch [bz#1664371]
- kvm-s390x-cpumodel-add-z14-GA2-model.patch [bz#1664371]
- kvm-redhat-s390x-cpumodel-enable-mepoch-by-default-for-z.patch [bz#1664371]
- kvm-intel_iommu-fix-operator-in-vtd_switch_address_space.patch [bz#1662272]
- kvm-intel_iommu-reset-intr_enabled-when-system-reset.patch [bz#1662272]
- kvm-pci-msi-export-msi_is_masked.patch [bz#1662272]
- kvm-i386-kvm-ignore-masked-irqs-when-update-msi-routes.patch [bz#1662272]
- Resolves: bz#1662272
  (Boot guest with device assignment+vIOMMU, qemu prompts "vtd_interrupt_remap_msi: MSI address low 32 bit invalid: 0x0" when first rebooting guest)
- Resolves: bz#1664371
  ([IBM 8.1 FEAT] Update hardware CPU Model z14 (kvm) - qemu part)

* Mon Apr 08 2019 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 2.12.0-64.el8
- kvm-doc-fix-the-configuration-path.patch [bz#1645411]
- kvm-Increase-number-of-iotests-being-run-as-a-part-of-RH.patch [bz#1664463]
- kvm-Load-kvm-module-during-boot.patch [bz#1676907 bz#1685995]
- kvm-qemu-kvm.spec.template-Update-pyton-path-to-system-i.patch []
- Resolves: bz#1645411
  (the "fsfreeze-hook" script path shown by command "qemu-ga --help" or "man qemu-ga" is wrong)
- Resolves: bz#1664463
  (Modify iotest behavior to include  luks and nbd and fail build if iotests fail)
- Resolves: bz#1676907
  (/dev/kvm device exists but kernel module is not loaded on boot up causing VM start to fail in libvirt)
- Resolves: bz#1685995
  (/dev/kvm device exists but kernel module is not loaded on boot up causing VM start to fail in libvirt)

* Tue Feb 26 2019 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 2.12.0-63.el8
- kvm-scsi-generic-avoid-possible-out-of-bounds-access-to-.patch [bz#1668162]
- Resolves: bz#1668162
  (CVE-2019-6501 qemu-kvm: QEMU: scsi-generic: possible OOB access while handling inquiry request [rhel-8])

* Mon Feb 25 2019 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 2.12.0-62.el8
- kvm-slirp-check-data-length-while-emulating-ident-functi.patch [bz#1669069]
- Resolves: bz#1669069
  (CVE-2019-6778 qemu-kvm: QEMU: slirp: heap buffer overflow in tcp_emu() [rhel-8.0])

* Mon Feb 11 2019 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 2.12.0-61.el8
- kvm-qemu-ga-make-get-fsinfo-work-over-pci-bridges.patch [bz#1666952]
- kvm-qga-fix-driver-leak-in-guest-get-fsinfo.patch [bz#1666952]
- Resolves: bz#1666952
  (qemu-guest-agent does not parse PCI bridge links in "build_guest_fsinfo_for_real_device" (q35))

* Mon Jan 28 2019 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 2.12.0-60.el8
- kvm-ne2000-fix-possible-out-of-bound-access-in-ne2000_re.patch [bz#1636784]
- kvm-rtl8139-fix-possible-out-of-bound-access.patch [bz#1636784]
- kvm-pcnet-fix-possible-buffer-overflow.patch [bz#1636784]
- kvm-net-ignore-packet-size-greater-than-INT_MAX.patch [bz#1636784]
- kvm-net-drop-too-large-packet-early.patch [bz#1636784]
- kvm-net-hub-suppress-warnings-of-no-host-network-for-qte.patch [bz#1636784]
- kvm-virtio-net-test-accept-variable-length-argument-in-p.patch [bz#1636784]
- kvm-virtio-net-test-remove-unused-macro.patch [bz#1636784]
- kvm-virtio-net-test-add-large-tx-buffer-test.patch [bz#1636784]
- kvm-s390x-Return-specification-exception-for-unimplement.patch [bz#1668261]
- kvm-cpus-ignore-ESRCH-in-qemu_cpu_kick_thread.patch [bz#1665844]
- Resolves: bz#1636784
  (CVE-2018-17963 qemu-kvm: Qemu: net: ignore packets with large size [rhel-8])
- Resolves: bz#1665844
  (Guest quit with error when hotunplug cpu)
- Resolves: bz#1668261
  ([RHEL8] Backport diag308 stable exception fix (qemu-kvm))

* Thu Jan 24 2019 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 2.12.0-59.el8
- kvm-hw-scsi-cleanups-before-VPD-BL-emulation.patch [bz#1639957]
- kvm-hw-scsi-centralize-SG_IO-calls-into-single-function.patch [bz#1639957]
- kvm-hw-scsi-add-VPD-Block-Limits-emulation.patch [bz#1639957]
- kvm-scsi-disk-Block-Device-Characteristics-emulation-fix.patch [bz#1639957]
- kvm-scsi-generic-keep-VPD-page-list-sorted.patch [bz#1639957]
- kvm-scsi-generic-avoid-out-of-bounds-access-to-VPD-page-.patch [bz#1639957]
- kvm-scsi-generic-avoid-invalid-access-to-struct-when-emu.patch [bz#1639957]
- kvm-scsi-generic-do-not-do-VPD-emulation-for-sense-other.patch [bz#1639957]
- Resolves: bz#1639957
  ([RHEL.8] scsi host device passthrough limits IO writes - slow train)

* Mon Jan 21 2019 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 2.12.0-58.el8
- kvm-block-Update-flags-in-bdrv_set_read_only.patch [bz#1644996]
- kvm-block-Add-auto-read-only-option.patch [bz#1644996]
- kvm-rbd-Close-image-in-qemu_rbd_open-error-path.patch [bz#1644996]
- kvm-block-Require-auto-read-only-for-existing-fallbacks.patch [bz#1644996]
- kvm-nbd-Support-auto-read-only-option.patch [bz#1644996]
- kvm-file-posix-Support-auto-read-only-option.patch [bz#1644996]
- kvm-curl-Support-auto-read-only-option.patch [bz#1644996]
- kvm-gluster-Support-auto-read-only-option.patch [bz#1644996]
- kvm-iscsi-Support-auto-read-only-option.patch [bz#1644996]
- kvm-block-Make-auto-read-only-on-default-for-drive.patch [bz#1644996]
- kvm-qemu-iotests-Test-auto-read-only-with-drive-and-bloc.patch [bz#1644996]
- kvm-block-Fix-update-of-BDRV_O_AUTO_RDONLY-in-update_fla.patch [bz#1644996]
- kvm-qemu-img-Add-C-option-for-convert-with-copy-offloadi.patch [bz#1623082]
- kvm-iotests-Add-test-for-qemu-img-convert-C-compatibilit.patch [bz#1623082]
- Resolves: bz#1623082
  ([rhel.8.0]Target files for 'qemu-img convert' do not support thin_provisoning with iscsi/nfs backend)
- Resolves: bz#1644996
  (block-commit can't be used with -blockdev)

* Fri Jan 11 2019 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 2.12.0-57.el8
- kvm-qemu-kvm.spec.template-Update-files-for-tests-rpm-to.patch [bz#1601107]

* Fri Jan 11 2019 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 2.12.0-56.el8
- kvm-Run-iotests-as-part-of-the-build-process.patch [bz#1661026]
- kvm-Introduce-the-qemu-kvm-tests-rpm.patch [bz#1601107]
- Resolves: bz#1601107
  (qemu-kvm packaging: make running qemu-iotests more robust)
- Resolves: bz#1661026
  (Run iotests as part of build process)

* Tue Jan 08 2019 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 2.12.0-55.el8
- kvm-block-Don-t-inactivate-children-before-parents.patch [bz#1659395]
- kvm-iotests-Test-migration-with-blockdev.patch [bz#1659395]
- Resolves: bz#1659395
  (src qemu core dump when do migration ( block device node-name changed after change cdrom) - Slow Train)

* Tue Jan 08 2019 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 2.12.0-54.el8
- kvm-s390x-tcg-avoid-overflows-in-time2tod-tod2time.patch [bz#1653569]
- kvm-s390x-kvm-pass-values-instead-of-pointers-to-kvm_s39.patch [bz#1653569]
- kvm-s390x-tod-factor-out-TOD-into-separate-device.patch [bz#1653569]
- kvm-s390x-tcg-drop-tod_basetime.patch [bz#1653569]
- kvm-s390x-tcg-properly-implement-the-TOD.patch [bz#1653569]
- kvm-s390x-tcg-SET-CLOCK-COMPARATOR-can-clear-CKC-interru.patch [bz#1653569]
- kvm-s390x-tcg-implement-SET-CLOCK.patch [bz#1653569]
- kvm-s390x-tcg-rearm-the-CKC-timer-during-migration.patch [bz#1653569]
- kvm-s390x-tcg-fix-locking-problem-with-tcg_s390_tod_upda.patch [bz#1653569]
- kvm-hw-s390x-Include-the-tod-qemu-also-for-builds-with-d.patch [bz#1653569]
- kvm-s390x-tod-Properly-stop-the-KVM-TOD-while-the-guest-.patch [bz#1653569]
- kvm-hw-s390x-Fix-bad-mask-in-time2tod.patch [bz#1653569]
- kvm-migration-discard-non-migratable-RAMBlocks.patch [bz#1539285]
- kvm-vfio-pci-do-not-set-the-PCIDevice-has_rom-attribute.patch [bz#1539285]
- kvm-memory-exec-Expose-all-memory-block-related-flags.patch [bz#1539285]
- kvm-memory-exec-switch-file-ram-allocation-functions-to-.patch [bz#1539285]
- kvm-configure-add-libpmem-support.patch [bz#1539285]
- kvm-hostmem-file-add-the-pmem-option.patch [bz#1539285]
- kvm-mem-nvdimm-ensure-write-persistence-to-PMEM-in-label.patch [bz#1539285]
- kvm-migration-ram-Add-check-and-info-message-to-nvdimm-p.patch [bz#1539285]
- kvm-migration-ram-ensure-write-persistence-on-loading-al.patch [bz#1539285]
- Resolves: bz#1539285
  ([Intel 8.0 Bug] [KVM][Crystal Ridge] Lack of data persistence guarantee of QEMU writes to host PMEM)
- Resolves: bz#1653569
  (Stress guest and stop it, then do live migration, guest hit call trace on destination end)

* Tue Jan 08 2019 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 2.12.0-53.el8
- kvm-ui-add-qapi-parser-for-display.patch [bz#1652871]
- kvm-ui-switch-trivial-displays-to-qapi-parser.patch [bz#1652871]
- kvm-qapi-Add-rendernode-display-option-for-egl-headless.patch [bz#1652871]
- kvm-ui-Allow-specifying-rendernode-display-option-for-eg.patch [bz#1652871]
- kvm-qapi-add-query-display-options-command.patch [bz#1652871]
- Resolves: bz#1652871
  (QEMU doesn't expose rendernode option for egl-headless display type)

* Fri Jan 04 2019 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 2.12.0-52.el8
- kvm-Add-edk2-Requires-to-qemu-kvm.patch [bz#1654276]
- Resolves: bz#1654276
  (qemu-kvm: Should depend on the architecture-appropriate guest firmware)

* Mon Dec 24 2018 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 2.12.0-51.el8
- kvm-x86-host-phys-bits-limit-option.patch [bz#1598284]
- kvm-rhel-Set-host-phys-bits-limit-48-on-rhel-machine-typ.patch [bz#1598284]
- kvm-i386-do-not-migrate-MSR_SMI_COUNT-on-machine-types-2.patch [bz#1659565]
- kvm-pc-x-migrate-smi-count-to-PC_RHEL_COMPAT.patch [bz#1659565]
- kvm-slow-train-kvm-clear-out-KVM_ASYNC_PF_DELIVERY_AS_PF.patch [bz#1656829]
- Resolves: bz#1598284
  ([Intel 8.0 Alpha] physical bits should  < 48  when host with 5level paging &EPT5 and qemu command with "-cpu qemu64" parameters.)
- Resolves: bz#1656829
  (8->7 migration failed: qemu-kvm: error: failed to set MSR 0x4b564d02 to 0x27fc13285)
- Resolves: bz#1659565
  (machine type: required compat flag x-migrate-smi-count=off)

* Tue Dec 18 2018 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 2.12.0-51
- kvm-Add-edk2-Requires-to-qemu-kvm.patch [bz#1654276]
- Resolves: bz#1654276
  (qemu-kvm: Should depend on the architecture-appropriate guest firmware)

* Mon Dec 17 2018 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 
- kvm-redhat-enable-tpmdev-passthrough.patch [bz#1654486]
- Resolves: bz#1654486
  ([RFE] enable TPM passthrough at compile time (qemu-kvm))

* Fri Dec 14 2018 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - qemu-kvm-2.12.0-48 
- kvm-redhat-use-autopatch-instead-of-PATCHAPPLY.patch [bz#1613128]
- kvm-redhat-Removing-some-unused-build-flags-in-the-spec-.patch [bz#1613128]
- kvm-redhat-Fixing-rhev-ma-conflicts.patch [bz#1613126]
- kvm-redhat-Remove-_smp_mflags-cleanup-workaround-for-s39.patch [bz#1613128]
- kvm-redhat-Removing-dead-code-from-the-spec-file.patch [bz#1613128]
- kvm-i386-Add-stibp-flag-name.patch [bz#1639446]
- kvm-Add-functional-acceptance-tests-infrastructure.patch [bz#1655807]
- kvm-scripts-qemu.py-allow-adding-to-the-list-of-extra-ar.patch [bz#1655807]
- kvm-Acceptance-tests-add-quick-VNC-tests.patch [bz#1655807]
- kvm-scripts-qemu.py-introduce-set_console-method.patch [bz#1655807]
- kvm-Acceptance-tests-add-Linux-kernel-boot-and-console-c.patch [bz#1655807]
- kvm-Bootstrap-Python-venv-for-tests.patch [bz#1655807]
- kvm-Acceptance-tests-add-make-rule-for-running-them.patch [bz#1655807]
- Resolves: bz#1613126
  (Check and fix qemu-kvm-rhev and qemu-kvm-ma conflicts in qemu-kvm for rhel-8)
- Resolves: bz#1613128
  (Spec file clean up)
- Resolves: bz#1639446
  (Cross migration from RHEL7.5 to RHEL8 shouldn't fail with cpu flag stibp [qemu-kvm])
- Resolves: bz#1655807
  (Backport avocado-qemu tests for QEMU 2.12)

* Tue Dec 11 2018 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - qemu-kvm-2.12.0-47
- kvm-Disable-CONFIG_IPMI-and-CONFIG_I2C-for-ppc64.patch [bz#1640044]
- kvm-Disable-CONFIG_CAN_BUS-and-CONFIG_CAN_SJA1000.patch [bz#1640042]
- Resolves: bz#1640042
  (Disable CONFIG_CAN_BUS and CONFIG_CAN_SJA1000 config switches)
- Resolves: bz#1640044
  (Disable CONFIG_I2C and CONFIG_IPMI in default-configs/ppc64-softmmu.mak)

* Tue Dec 11 2018 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - qemu-kvm-2.12.0-46
- kvm-qcow2-Give-the-refcount-cache-the-minimum-possible-s.patch [bz#1656507]
- kvm-docs-Document-the-new-default-sizes-of-the-qcow2-cac.patch [bz#1656507]
- kvm-qcow2-Fix-Coverity-warning-when-calculating-the-refc.patch [bz#1656507]
- kvm-include-Add-IEC-binary-prefixes-in-qemu-units.h.patch [bz#1656507]
- kvm-qcow2-Options-documentation-fixes.patch [bz#1656507]
- kvm-include-Add-a-lookup-table-of-sizes.patch [bz#1656507]
- kvm-qcow2-Make-sizes-more-humanly-readable.patch [bz#1656507]
- kvm-qcow2-Avoid-duplication-in-setting-the-refcount-cach.patch [bz#1656507]
- kvm-qcow2-Assign-the-L2-cache-relatively-to-the-image-si.patch [bz#1656507]
- kvm-qcow2-Increase-the-default-upper-limit-on-the-L2-cac.patch [bz#1656507]
- kvm-qcow2-Resize-the-cache-upon-image-resizing.patch [bz#1656507]
- kvm-qcow2-Set-the-default-cache-clean-interval-to-10-min.patch [bz#1656507]
- kvm-qcow2-Explicit-number-replaced-by-a-constant.patch [bz#1656507]
- kvm-block-backend-Set-werror-rerror-defaults-in-blk_new.patch [bz#1657637]
- kvm-qcow2-Fix-cache-clean-interval-documentation.patch [bz#1656507]
- Resolves: bz#1656507
  ([RHEL.8] qcow2 cache is too small)
- Resolves: bz#1657637
  (Wrong werror default for -device drive=<node-name>)

* Thu Dec 06 2018 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - qemu-kvm-2.12.0-45
- kvm-target-ppc-add-basic-support-for-PTCR-on-POWER9.patch [bz#1639069]
- kvm-linux-headers-Update-for-nested-KVM-HV-downstream-on.patch [bz#1639069]
- kvm-target-ppc-Add-one-reg-id-for-ptcr.patch [bz#1639069]
- kvm-ppc-spapr_caps-Add-SPAPR_CAP_NESTED_KVM_HV.patch [bz#1639069]
- kvm-Re-enable-CONFIG_HYPERV_TESTDEV.patch [bz#1651195]
- kvm-qxl-use-guest_monitor_config-for-local-renderer.patch [bz#1610163]
- kvm-Declare-cirrus-vga-as-deprecated.patch [bz#1651994]
- kvm-Do-not-build-bluetooth-support.patch [bz#1654651]
- kvm-vfio-helpers-Fix-qemu_vfio_open_pci-crash.patch [bz#1645840]
- kvm-balloon-Allow-multiple-inhibit-users.patch [bz#1650272]
- kvm-Use-inhibit-to-prevent-ballooning-without-synchr.patch [bz#1650272]
- kvm-vfio-Inhibit-ballooning-based-on-group-attachment-to.patch [bz#1650272]
- kvm-vfio-ccw-pci-Allow-devices-to-opt-in-for-ballooning.patch [bz#1650272]
- kvm-vfio-pci-Handle-subsystem-realpath-returning-NULL.patch [bz#1650272]
- kvm-vfio-pci-Fix-failure-to-close-file-descriptor-on-err.patch [bz#1650272]
- kvm-postcopy-Synchronize-usage-of-the-balloon-inhibitor.patch [bz#1650272]
- Resolves: bz#1610163
  (guest shows border blurred screen with some resolutions when qemu boot with -device qxl-vga ,and guest on rhel7.6 has no  such question)
- Resolves: bz#1639069
  ([IBM 8.0 FEAT] POWER9 - Nested virtualization in RHEL8.0 KVM for ppc64le - qemu-kvm side)
- Resolves: bz#1645840
  (Qemu core dump when hotplug nvme:// drive via -blockdev)
- Resolves: bz#1650272
  (Ballooning is incompatible with vfio assigned devices, but not prevented)
- Resolves: bz#1651195
  (Re-enable hyperv-testdev device)
- Resolves: bz#1651994
  (Declare the "Cirrus VGA" device emulation of QEMU as deprecated in RHEL8)
- Resolves: bz#1654651
  (Qemu: hw: bt: keep bt/* objects from building [rhel-8.0])

* Tue Nov 27 2018 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - qemu-kvm-2.12.0-44
- kvm-block-Make-more-block-drivers-compile-time-configura.patch [bz#1598842 bz#1598842]
- kvm-RHEL8-Add-disable-configure-options-to-qemu-spec-fil.patch [bz#1598842]
- Resolves: bz#1598842
  (Compile out unused block drivers)

* Mon Nov 26 2018 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - qemu-kvm-2.12.0-43
- kvm-configure-add-test-for-libudev.patch [bz#1636185]
- kvm-qga-linux-report-disk-serial-number.patch [bz#1636185]
- kvm-qga-linux-return-disk-device-in-guest-get-fsinfo.patch [bz#1636185]
- kvm-qemu-error-introduce-error-warn-_report_once.patch [bz#1625173]
- kvm-intel-iommu-start-to-use-error_report_once.patch [bz#1625173]
- kvm-intel-iommu-replace-more-vtd_err_-traces.patch [bz#1625173]
- kvm-intel_iommu-introduce-vtd_reset_caches.patch [bz#1625173]
- kvm-intel_iommu-better-handling-of-dmar-state-switch.patch [bz#1625173]
- kvm-intel_iommu-move-ce-fetching-out-when-sync-shadow.patch [bz#1625173 bz#1629616]
- kvm-intel_iommu-handle-invalid-ce-for-shadow-sync.patch [bz#1625173 bz#1629616]
- kvm-block-remove-bdrv_dirty_bitmap_make_anon.patch [bz#1518989]
- kvm-block-simplify-code-around-releasing-bitmaps.patch [bz#1518989]
- kvm-hbitmap-Add-advance-param-to-hbitmap_iter_next.patch [bz#1518989]
- kvm-test-hbitmap-Add-non-advancing-iter_next-tests.patch [bz#1518989]
- kvm-block-dirty-bitmap-Add-bdrv_dirty_iter_next_area.patch [bz#1518989]
- kvm-blockdev-backup-add-bitmap-argument.patch [bz#1518989]
- kvm-dirty-bitmap-switch-assert-fails-to-errors-in-bdrv_m.patch [bz#1518989]
- kvm-dirty-bitmap-rename-bdrv_undo_clear_dirty_bitmap.patch [bz#1518989]
- kvm-dirty-bitmap-make-it-possible-to-restore-bitmap-afte.patch [bz#1518989]
- kvm-blockdev-rename-block-dirty-bitmap-clear-transaction.patch [bz#1518989]
- kvm-qapi-add-transaction-support-for-x-block-dirty-bitma.patch [bz#1518989]
- kvm-block-dirty-bitmaps-add-user_locked-status-checker.patch [bz#1518989]
- kvm-block-dirty-bitmaps-fix-merge-permissions.patch [bz#1518989]
- kvm-block-dirty-bitmaps-allow-clear-on-disabled-bitmaps.patch [bz#1518989]
- kvm-block-dirty-bitmaps-prohibit-enable-disable-on-locke.patch [bz#1518989]
- kvm-block-backup-prohibit-backup-from-using-in-use-bitma.patch [bz#1518989]
- kvm-nbd-forbid-use-of-frozen-bitmaps.patch [bz#1518989]
- kvm-bitmap-Update-count-after-a-merge.patch [bz#1518989]
- kvm-iotests-169-drop-deprecated-autoload-parameter.patch [bz#1518989]
- kvm-block-qcow2-improve-error-message-in-qcow2_inactivat.patch [bz#1518989]
- kvm-bloc-qcow2-drop-dirty_bitmaps_loaded-state-variable.patch [bz#1518989]
- kvm-dirty-bitmaps-clean-up-bitmaps-loading-and-migration.patch [bz#1518989]
- kvm-iotests-improve-169.patch [bz#1518989]
- kvm-iotests-169-add-cases-for-source-vm-resuming.patch [bz#1518989]
- kvm-pc-dimm-turn-alignment-assert-into-check.patch [bz#1630116]
- Resolves: bz#1518989
  (RFE: QEMU Incremental live backup)
- Resolves: bz#1625173
  ([NVMe Device Assignment] Guest could not boot up with q35+iommu)
- Resolves: bz#1629616
  (boot guest with q35+vIOMMU+ device assignment, qemu terminal shows "qemu-kvm: VFIO_UNMAP_DMA: -22" when return assigned network devices from vfio driver to ixgbe in guest)
- Resolves: bz#1630116
  (pc_dimm_get_free_addr: assertion failed: (QEMU_ALIGN_UP(address_space_start, align) == address_space_start))
- Resolves: bz#1636185
  ([RFE] Report disk device name and serial number (qemu-guest-agent on Linux))

* Mon Nov 05 2018 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 2.12.0-42.el8
- kvm-luks-Allow-share-rw-on.patch [bz#1629701]
- kvm-redhat-reenable-gluster-support.patch [bz#1599340]
- kvm-redhat-bump-libusb-requirement.patch [bz#1627970]
- Resolves: bz#1599340
  (Reenable glusterfs in qemu-kvm once BZ#1567292 gets fixed)
- Resolves: bz#1627970
  (symbol lookup error: /usr/libexec/qemu-kvm: undefined symbol: libusb_set_option)
- Resolves: bz#1629701
  ("share-rw=on" does not work for luks format image - Fast Train)

* Tue Oct 16 2018 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 2.12.0-41.el8
- kvm-block-rbd-pull-out-qemu_rbd_convert_options.patch [bz#1635585]
- kvm-block-rbd-Attempt-to-parse-legacy-filenames.patch [bz#1635585]
- kvm-block-rbd-add-deprecation-documentation-for-filename.patch [bz#1635585]
- kvm-block-rbd-add-iotest-for-rbd-legacy-keyvalue-filenam.patch [bz#1635585]
- Resolves: bz#1635585
  (rbd json format of 7.6 is incompatible with 7.5)

* Tue Oct 16 2018 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 2.12.0-40.el8
- kvm-vnc-call-sasl_server_init-only-when-required.patch [bz#1609327]
- kvm-nbd-server-fix-NBD_CMD_CACHE.patch [bz#1636142]
- kvm-nbd-fix-NBD_FLAG_SEND_CACHE-value.patch [bz#1636142]
- kvm-test-bdrv-drain-bdrv_drain-works-with-cross-AioConte.patch [bz#1637976]
- kvm-block-Use-bdrv_do_drain_begin-end-in-bdrv_drain_all.patch [bz#1637976]
- kvm-block-Remove-recursive-parameter-from-bdrv_drain_inv.patch [bz#1637976]
- kvm-block-Don-t-manually-poll-in-bdrv_drain_all.patch [bz#1637976]
- kvm-tests-test-bdrv-drain-bdrv_drain_all-works-in-corout.patch [bz#1637976]
- kvm-block-Avoid-unnecessary-aio_poll-in-AIO_WAIT_WHILE.patch [bz#1637976]
- kvm-block-Really-pause-block-jobs-on-drain.patch [bz#1637976]
- kvm-block-Remove-bdrv_drain_recurse.patch [bz#1637976]
- kvm-test-bdrv-drain-Add-test-for-node-deletion.patch [bz#1637976]
- kvm-block-Drain-recursively-with-a-single-BDRV_POLL_WHIL.patch [bz#1637976]
- kvm-test-bdrv-drain-Test-node-deletion-in-subtree-recurs.patch [bz#1637976]
- kvm-block-Don-t-poll-in-parent-drain-callbacks.patch [bz#1637976]
- kvm-test-bdrv-drain-Graph-change-through-parent-callback.patch [bz#1637976]
- kvm-block-Defer-.bdrv_drain_begin-callback-to-polling-ph.patch [bz#1637976]
- kvm-test-bdrv-drain-Test-that-bdrv_drain_invoke-doesn-t-.patch [bz#1637976]
- kvm-block-Allow-AIO_WAIT_WHILE-with-NULL-ctx.patch [bz#1637976]
- kvm-block-Move-bdrv_drain_all_begin-out-of-coroutine-con.patch [bz#1637976]
- kvm-block-ignore_bds_parents-parameter-for-drain-functio.patch [bz#1637976]
- kvm-block-Allow-graph-changes-in-bdrv_drain_all_begin-en.patch [bz#1637976]
- kvm-test-bdrv-drain-Test-graph-changes-in-drain_all-sect.patch [bz#1637976]
- kvm-block-Poll-after-drain-on-attaching-a-node.patch [bz#1637976]
- kvm-test-bdrv-drain-Test-bdrv_append-to-drained-node.patch [bz#1637976]
- kvm-block-linux-aio-acquire-AioContext-before-qemu_laio_.patch [bz#1637976]
- kvm-util-async-use-qemu_aio_coroutine_enter-in-co_schedu.patch [bz#1637976]
- kvm-job-Fix-nested-aio_poll-hanging-in-job_txn_apply.patch [bz#1637976]
- kvm-job-Fix-missing-locking-due-to-mismerge.patch [bz#1637976]
- kvm-blockjob-Wake-up-BDS-when-job-becomes-idle.patch [bz#1637976]
- kvm-aio-wait-Increase-num_waiters-even-in-home-thread.patch [bz#1637976]
- kvm-test-bdrv-drain-Drain-with-block-jobs-in-an-I-O-thre.patch [bz#1637976]
- kvm-test-blockjob-Acquire-AioContext-around-job_cancel_s.patch [bz#1637976]
- kvm-job-Use-AIO_WAIT_WHILE-in-job_finish_sync.patch [bz#1637976]
- kvm-test-bdrv-drain-Test-AIO_WAIT_WHILE-in-completion-ca.patch [bz#1637976]
- kvm-block-Add-missing-locking-in-bdrv_co_drain_bh_cb.patch [bz#1637976]
- kvm-block-backend-Add-.drained_poll-callback.patch [bz#1637976]
- kvm-block-backend-Fix-potential-double-blk_delete.patch [bz#1637976]
- kvm-block-backend-Decrease-in_flight-only-after-callback.patch [bz#1637976]
- kvm-blockjob-Lie-better-in-child_job_drained_poll.patch [bz#1637976]
- kvm-block-Remove-aio_poll-in-bdrv_drain_poll-variants.patch [bz#1637976]
- kvm-test-bdrv-drain-Test-nested-poll-in-bdrv_drain_poll_.patch [bz#1637976]
- kvm-job-Avoid-deadlocks-in-job_completed_txn_abort.patch [bz#1637976]
- kvm-test-bdrv-drain-AIO_WAIT_WHILE-in-job-.commit-.abort.patch [bz#1637976]
- kvm-test-bdrv-drain-Fix-outdated-comments.patch [bz#1637976]
- kvm-block-Use-a-single-global-AioWait.patch [bz#1637976]
- kvm-test-bdrv-drain-Test-draining-job-source-child-and-p.patch [bz#1637976]
- kvm-qemu-img-Fix-assert-when-mapping-unaligned-raw-file.patch [bz#1639374]
- kvm-iotests-Add-test-221-to-catch-qemu-img-map-regressio.patch [bz#1639374]
- Resolves: bz#1609327
  (qemu-kvm[37046]: Could not find keytab file: /etc/qemu/krb5.tab: Unknown error 49408)
- Resolves: bz#1636142
  (qemu NBD_CMD_CACHE flaws impacting non-qemu NBD clients)
- Resolves: bz#1637976
  (Crashes and hangs with iothreads vs. block jobs)
- Resolves: bz#1639374
  (qemu-img map 'Aborted (core dumped)' when specifying a plain file)

* Tue Oct 16 2018 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 2.12.0-39.el8
- kvm-linux-headers-update.patch [bz#1508142]
- kvm-s390x-cpumodel-Set-up-CPU-model-for-AP-device-suppor.patch [bz#1508142]
- kvm-s390x-kvm-enable-AP-instruction-interpretation-for-g.patch [bz#1508142]
- kvm-s390x-ap-base-Adjunct-Processor-AP-object-model.patch [bz#1508142]
- kvm-s390x-vfio-ap-Introduce-VFIO-AP-device.patch [bz#1508142]
- kvm-s390-doc-detailed-specifications-for-AP-virtualizati.patch [bz#1508142]
- Resolves: bz#1508142
  ([IBM 8.0 FEAT] KVM: Guest-dedicated Crypto Adapters - qemu part)

* Mon Oct 15 2018 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 2.12.0-38.el8
- kvm-Revert-hw-acpi-build-build-SRAT-memory-affinity-stru.patch [bz#1609235]
- kvm-add-udev-kvm-check.patch [bz#1552663]
- kvm-aio-posix-Don-t-count-ctx-notifier-as-progress-when-.patch [bz#1623085]
- kvm-aio-Do-aio_notify_accept-only-during-blocking-aio_po.patch [bz#1623085]
- kvm-aio-posix-fix-concurrent-access-to-poll_disable_cnt.patch [bz#1632622]
- kvm-aio-posix-compute-timeout-before-polling.patch [bz#1632622]
- kvm-aio-posix-do-skip-system-call-if-ctx-notifier-pollin.patch [bz#1632622]
- kvm-intel-iommu-send-PSI-always-even-if-across-PDEs.patch [bz#1450712]
- kvm-intel-iommu-remove-IntelIOMMUNotifierNode.patch [bz#1450712]
- kvm-intel-iommu-add-iommu-lock.patch [bz#1450712]
- kvm-intel-iommu-only-do-page-walk-for-MAP-notifiers.patch [bz#1450712]
- kvm-intel-iommu-introduce-vtd_page_walk_info.patch [bz#1450712]
- kvm-intel-iommu-pass-in-address-space-when-page-walk.patch [bz#1450712]
- kvm-intel-iommu-trace-domain-id-during-page-walk.patch [bz#1450712]
- kvm-util-implement-simple-iova-tree.patch [bz#1450712]
- kvm-intel-iommu-rework-the-page-walk-logic.patch [bz#1450712]
- kvm-i386-define-the-ssbd-CPUID-feature-bit-CVE-2018-3639.patch [bz#1633928]
- Resolves: bz#1450712
  (Booting nested guest with vIOMMU, the assigned network devices can not receive packets (qemu))
- Resolves: bz#1552663
  (81-kvm-rhel.rules is no longer part of initscripts)
- Resolves: bz#1609235
  (Win2016 guest can't recognize pc-dimm hotplugged to node 0)
- Resolves: bz#1623085
  (VM doesn't boot from HD)
- Resolves: bz#1632622
  (~40% virtio_blk disk performance drop for win2012r2 guest when comparing qemu-kvm-rhev-2.12.0-9 with qemu-kvm-rhev-2.12.0-12)
- Resolves: bz#1633928
  (CVE-2018-3639 qemu-kvm: hw: cpu: speculative store bypass [rhel-8.0])

* Fri Oct 12 2018 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 2.12.0-37.el8
- kvm-block-for-jobs-do-not-clear-user_paused-until-after-.patch [bz#1635583]
- kvm-iotests-Add-failure-matching-to-common.qemu.patch [bz#1635583]
- kvm-block-iotest-to-catch-abort-on-forced-blockjob-cance.patch [bz#1635583]
- Resolves: bz#1635583
  (Quitting VM causes qemu core dump once the block mirror job paused for no enough target space)

* Fri Oct 12 2018 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 2.12.0-36.el8
- kvm-check-Only-test-ivshm-when-it-is-compiled-in.patch [bz#1621817]
- kvm-Disable-ivshmem.patch [bz#1621817]
- kvm-mirror-Fail-gracefully-for-source-target.patch [bz#1637963]
- kvm-commit-Add-top-node-base-node-options.patch [bz#1637970]
- kvm-qemu-iotests-Test-commit-with-top-node-base-node.patch [bz#1637970]
- Resolves: bz#1621817
  (Disable IVSHMEM in RHEL 8)
- Resolves: bz#1637963
  (Segfault on 'blockdev-mirror' with same node as source and target)
- Resolves: bz#1637970
  (allow using node-names with block-commit)

* Thu Oct 11 2018 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 2.12.0-35.el8
- kvm-redhat-make-the-plugins-executable.patch [bz#1638304]
- Resolves: bz#1638304
  (the driver packages lack all the library Requires)

* Thu Oct 11 2018 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 2.12.0-34.el8
- kvm-seccomp-allow-sched_setscheduler-with-SCHED_IDLE-pol.patch [bz#1618356]
- kvm-seccomp-use-SIGSYS-signal-instead-of-killing-the-thr.patch [bz#1618356]
- kvm-seccomp-prefer-SCMP_ACT_KILL_PROCESS-if-available.patch [bz#1618356]
- kvm-configure-require-libseccomp-2.2.0.patch [bz#1618356]
- kvm-seccomp-set-the-seccomp-filter-to-all-threads.patch [bz#1618356]
- kvm-memory-cleanup-side-effects-of-memory_region_init_fo.patch [bz#1600365]
- Resolves: bz#1600365
  (QEMU core dumped when hotplug memory exceeding host hugepages and with discard-data=yes)
- Resolves: bz#1618356
  (qemu-kvm: Qemu: seccomp: blacklist is not applied to all threads [rhel-8])

* Fri Oct 05 2018 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 2.12.0-33.el8
- kvm-migration-postcopy-Clear-have_listen_thread.patch [bz#1608765]
- kvm-migration-cleanup-in-error-paths-in-loadvm.patch [bz#1608765]
- kvm-jobs-change-start-callback-to-run-callback.patch [bz#1632939]
- kvm-jobs-canonize-Error-object.patch [bz#1632939]
- kvm-jobs-add-exit-shim.patch [bz#1632939]
- kvm-block-commit-utilize-job_exit-shim.patch [bz#1632939]
- kvm-block-mirror-utilize-job_exit-shim.patch [bz#1632939]
- kvm-jobs-utilize-job_exit-shim.patch [bz#1632939]
- kvm-block-backup-make-function-variables-consistently-na.patch [bz#1632939]
- kvm-jobs-remove-ret-argument-to-job_completed-privatize-.patch [bz#1632939]
- kvm-jobs-remove-job_defer_to_main_loop.patch [bz#1632939]
- kvm-block-commit-add-block-job-creation-flags.patch [bz#1632939]
- kvm-block-mirror-add-block-job-creation-flags.patch [bz#1632939]
- kvm-block-stream-add-block-job-creation-flags.patch [bz#1632939]
- kvm-block-commit-refactor-commit-to-use-job-callbacks.patch [bz#1632939]
- kvm-block-mirror-don-t-install-backing-chain-on-abort.patch [bz#1632939]
- kvm-block-mirror-conservative-mirror_exit-refactor.patch [bz#1632939]
- kvm-block-stream-refactor-stream-to-use-job-callbacks.patch [bz#1632939]
- kvm-tests-blockjob-replace-Blockjob-with-Job.patch [bz#1632939]
- kvm-tests-test-blockjob-remove-exit-callback.patch [bz#1632939]
- kvm-tests-test-blockjob-txn-move-.exit-to-.clean.patch [bz#1632939]
- kvm-jobs-remove-.exit-callback.patch [bz#1632939]
- kvm-qapi-block-commit-expose-new-job-properties.patch [bz#1632939]
- kvm-qapi-block-mirror-expose-new-job-properties.patch [bz#1632939]
- kvm-qapi-block-stream-expose-new-job-properties.patch [bz#1632939]
- kvm-block-backup-qapi-documentation-fixup.patch [bz#1632939]
- kvm-blockdev-document-transactional-shortcomings.patch [bz#1632939]
- Resolves: bz#1608765
  (After postcopy migration,  do savevm and loadvm, guest hang and call trace)
- Resolves: bz#1632939
  (qemu blockjobs other than backup do not support job-finalize or job-dismiss)

* Fri Sep 28 2018 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 2.12.0-32.el8
- kvm-Re-enable-disabled-Hyper-V-enlightenments.patch [bz#1625185]
- kvm-Fix-annocheck-issues.patch [bz#1624164]
- kvm-exec-check-that-alignment-is-a-power-of-two.patch [bz#1630746]
- kvm-curl-Make-sslverify-off-disable-host-as-well-as-peer.patch [bz#1575925]
- Resolves: bz#1575925
  ("SSL: no alternative certificate subject name matches target host name" error even though sslverify = off)
- Resolves: bz#1624164
  (Review annocheck distro flag failures in qemu-kvm)
- Resolves: bz#1625185
  (Re-enable disabled Hyper-V enlightenments)
- Resolves: bz#1630746
  (qemu_ram_mmap: Assertion `is_power_of_2(align)' failed)

* Tue Sep 11 2018 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 2.12.0-31.el8
- kvm-i386-Disable-TOPOEXT-by-default-on-cpu-host.patch [bz#1619804]
- kvm-redhat-enable-opengl-add-build-and-runtime-deps.patch [bz#1618412]
- Resolves: bz#1618412
  (Enable opengl (for intel vgpu display))
- Resolves: bz#1619804
  (kernel panic in init_amd_cacheinfo)

* Wed Sep 05 2018 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 2.12.0-30.el8
- kvm-redhat-Disable-vhost-crypto.patch [bz#1625668]
- Resolves: bz#1625668
  (Decide if we should disable 'vhost-crypto' or not)

* Wed Sep 05 2018 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 2.12.0-29.el8
- kvm-target-i386-sev-fix-memory-leaks.patch [bz#1615717]
- kvm-i386-Fix-arch_query_cpu_model_expansion-leak.patch [bz#1615717]
- kvm-redhat-Update-build-configuration.patch [bz#1573156]
- Resolves: bz#1573156
  (Update build configure for QEMU 2.12.0)
- Resolves: bz#1615717
  (Memory leaks)

* Tue Sep 04 2018 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 2.12.0-28.el8
- kvm-e1000e-Do-not-auto-clear-ICR-bits-which-aren-t-set-i.patch [bz#1596024]
- kvm-e1000e-Prevent-MSI-MSI-X-storms.patch [bz#1596024]
- kvm-Drop-build_configure.sh-and-Makefile.local-files.patch []
- kvm-Fix-subject-line-in-.gitpublish.patch []
- Resolves: bz#1596024
  (The network link can't be detected on guest when the guest uses e1000e model type)

* Wed Aug 29 2018 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 2.12.0-27.el8
- kvm-Fix-libusb-1.0.22-deprecated-libusb_set_debug-with-l.patch [bz#1622656]
- Resolves: bz#1622656
  (qemu-kvm fails to build due to libusb_set_debug being deprecated)

* Fri Aug 17 2018 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 2.12.0-26.el8
- kvm-redhat-remove-extra-in-rhel_rhev_conflicts-macro.patch [bz#1618752]
- Resolves: bz#1618752
  (qemu-kvm can't be installed in RHEL-8 as it Conflicts with itself.)

* Thu Aug 16 2018 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 2.12.0-25.el8
- kvm-Migration-TLS-Fix-crash-due-to-double-cleanup.patch [bz#1594384]
- Resolves: bz#1594384
  (2.12 migration fixes)

* Tue Aug 14 2018 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 2.12.0-24.el8
- kvm-Add-qemu-keymap-to-qemu-kvm-common.patch [bz#1593117]
- Resolves: bz#1593117
  (add qemu-keymap utility)

* Fri Aug 10 2018 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 2.12.0-23.el8
- Fixing an issue with some old command in the spec file

* Fri Aug 10 2018 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 2.12.0-22.el8
- Fix an issue with the build_configure script.
- Resolves: bz#1425820
  (Improve QEMU packaging layout with modularization of the block layer)


* Fri Aug 10 2018 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 2.12.0-20.el8
- kvm-migration-stop-compressing-page-in-migration-thread.patch [bz#1594384]
- kvm-migration-stop-compression-to-allocate-and-free-memo.patch [bz#1594384]
- kvm-migration-stop-decompression-to-allocate-and-free-me.patch [bz#1594384]
- kvm-migration-detect-compression-and-decompression-error.patch [bz#1594384]
- kvm-migration-introduce-control_save_page.patch [bz#1594384]
- kvm-migration-move-some-code-to-ram_save_host_page.patch [bz#1594384]
- kvm-migration-move-calling-control_save_page-to-the-comm.patch [bz#1594384]
- kvm-migration-move-calling-save_zero_page-to-the-common-.patch [bz#1594384]
- kvm-migration-introduce-save_normal_page.patch [bz#1594384]
- kvm-migration-remove-ram_save_compressed_page.patch [bz#1594384]
- kvm-migration-block-dirty-bitmap-fix-memory-leak-in-dirt.patch [bz#1594384]
- kvm-migration-fix-saving-normal-page-even-if-it-s-been-c.patch [bz#1594384]
- kvm-migration-update-index-field-when-delete-or-qsort-RD.patch [bz#1594384]
- kvm-migration-introduce-decompress-error-check.patch [bz#1594384]
- kvm-migration-Don-t-activate-block-devices-if-using-S.patch [bz#1594384]
- kvm-migration-not-wait-RDMA_CM_EVENT_DISCONNECTED-event-.patch [bz#1594384]
- kvm-migration-block-dirty-bitmap-fix-dirty_bitmap_load.patch [bz#1594384]
- kvm-s390x-add-RHEL-7.6-machine-type-for-ccw.patch [bz#1595718]
- kvm-s390x-cpumodel-default-enable-bpb-and-ppa15-for-z196.patch [bz#1595718]
- kvm-linux-headers-asm-s390-kvm.h-header-sync.patch [bz#1612938]
- kvm-s390x-kvm-add-etoken-facility.patch [bz#1612938]
- Resolves: bz#1594384
  (2.12 migration fixes)
- Resolves: bz#1595718
  (Add ppa15/bpb to the default cpu model for z196 and higher in the 7.6 s390-ccw-virtio machine)
- Resolves: bz#1612938
  (Add etoken support to qemu-kvm for s390x KVM guests)

* Fri Aug 10 2018 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 2.12.0-18.el8
  Mass import from RHEL 7.6 qemu-kvm-rhev, including fixes to the following BZs:

- kvm-AArch64-Add-virt-rhel7.6-machine-type.patch [bz#1558723]
- kvm-cpus-Fix-event-order-on-resume-of-stopped-guest.patch [bz#1566153]
- kvm-qemu-img-Check-post-truncation-size.patch [bz#1523065]
- kvm-vga-catch-depth-0.patch [bz#1575541]
- kvm-Fix-x-hv-max-vps-compat-value-for-7.4-machine-type.patch [bz#1583959]
- kvm-ccid-card-passthru-fix-regression-in-realize.patch [bz#1584984]
- kvm-Use-4-MB-vram-for-cirrus.patch [bz#1542080]
- kvm-spapr_pci-Remove-unhelpful-pagesize-warning.patch [bz#1505664]
- kvm-rpm-Add-nvme-VFIO-driver-to-rw-whitelist.patch [bz#1416180]
- kvm-qobject-Use-qobject_to-instead-of-type-cast.patch [bz#1557995]
- kvm-qobject-Ensure-base-is-at-offset-0.patch [bz#1557995]
- kvm-qobject-use-a-QObjectBase_-struct.patch [bz#1557995]
- kvm-qobject-Replace-qobject_incref-QINCREF-qobject_decre.patch [bz#1557995]
- kvm-qobject-Modify-qobject_ref-to-return-obj.patch [bz#1557995]
- kvm-rbd-Drop-deprecated-drive-parameter-filename.patch [bz#1557995]
- kvm-iscsi-Drop-deprecated-drive-parameter-filename.patch [bz#1557995]
- kvm-block-Add-block-specific-QDict-header.patch [bz#1557995]
- kvm-qobject-Move-block-specific-qdict-code-to-block-qdic.patch [bz#1557995]
- kvm-block-Fix-blockdev-for-certain-non-string-scalars.patch [bz#1557995]
- kvm-block-Fix-drive-for-certain-non-string-scalars.patch [bz#1557995]
- kvm-block-Clean-up-a-misuse-of-qobject_to-in-.bdrv_co_cr.patch [bz#1557995]
- kvm-block-Factor-out-qobject_input_visitor_new_flat_conf.patch [bz#1557995]
- kvm-block-Make-remaining-uses-of-qobject-input-visitor-m.patch [bz#1557995]
- kvm-block-qdict-Simplify-qdict_flatten_qdict.patch [bz#1557995]
- kvm-block-qdict-Tweak-qdict_flatten_qdict-qdict_flatten_.patch [bz#1557995]
- kvm-block-qdict-Clean-up-qdict_crumple-a-bit.patch [bz#1557995]
- kvm-block-qdict-Simplify-qdict_is_list-some.patch [bz#1557995]
- kvm-check-block-qdict-Rename-qdict_flatten-s-variables-f.patch [bz#1557995]
- kvm-check-block-qdict-Cover-flattening-of-empty-lists-an.patch [bz#1557995]
- kvm-block-Fix-blockdev-blockdev-add-for-empty-objects-an.patch [bz#1557995]
- kvm-rbd-New-parameter-auth-client-required.patch [bz#1557995]
- kvm-rbd-New-parameter-key-secret.patch [bz#1557995]
- kvm-block-mirror-honor-ratelimit-again.patch [bz#1572856]
- kvm-block-mirror-Make-cancel-always-cancel-pre-READY.patch [bz#1572856]
- kvm-iotests-Add-test-for-cancelling-a-mirror-job.patch [bz#1572856]
- kvm-iotests-Split-214-off-of-122.patch [bz#1518738]
- kvm-block-Add-COR-filter-driver.patch [bz#1518738]
- kvm-block-BLK_PERM_WRITE-includes-._UNCHANGED.patch [bz#1518738]
- kvm-block-Add-BDRV_REQ_WRITE_UNCHANGED-flag.patch [bz#1518738]
- kvm-block-Set-BDRV_REQ_WRITE_UNCHANGED-for-COR-writes.patch [bz#1518738]
- kvm-block-quorum-Support-BDRV_REQ_WRITE_UNCHANGED.patch [bz#1518738]
- kvm-block-Support-BDRV_REQ_WRITE_UNCHANGED-in-filters.patch [bz#1518738]
- kvm-iotests-Clean-up-wrap-image-in-197.patch [bz#1518738]
- kvm-iotests-Copy-197-for-COR-filter-driver.patch [bz#1518738]
- kvm-iotests-Add-test-for-COR-across-nodes.patch [bz#1518738]
- kvm-qemu-io-Use-purely-string-blockdev-options.patch [bz#1576598]
- kvm-qemu-img-Use-only-string-options-in-img_open_opts.patch [bz#1576598]
- kvm-iotests-Add-test-for-U-force-share-conflicts.patch [bz#1576598]
- kvm-qemu-io-Drop-command-functions-return-values.patch [bz#1519617]
- kvm-qemu-io-Let-command-functions-return-error-code.patch [bz#1519617]
- kvm-qemu-io-Exit-with-error-when-a-command-failed.patch [bz#1519617]
- kvm-iotests.py-Add-qemu_io_silent.patch [bz#1519617]
- kvm-iotests-Let-216-make-use-of-qemu-io-s-exit-code.patch [bz#1519617]
- kvm-qcow2-Repair-OFLAG_COPIED-when-fixing-leaks.patch [bz#1527085]
- kvm-iotests-Repairing-error-during-snapshot-deletion.patch [bz#1527085]
- kvm-block-Make-bdrv_is_writable-public.patch [bz#1588039]
- kvm-qcow2-Do-not-mark-inactive-images-corrupt.patch [bz#1588039]
- kvm-iotests-Add-case-for-a-corrupted-inactive-image.patch [bz#1588039]
- kvm-main-loop-drop-spin_counter.patch [bz#1168213]
- kvm-target-ppc-Factor-out-the-parsing-in-kvmppc_get_cpu_.patch [bz#1560847]
- kvm-target-ppc-Don-t-require-private-l1d-cache-on-POWER8.patch [bz#1560847]
- kvm-ppc-spapr_caps-Don-t-disable-cap_cfpc-on-POWER8-by-d.patch [bz#1560847]
- kvm-qxl-fix-local-renderer-crash.patch [bz#1567733]
- kvm-qemu-img-Amendment-support-implies-create_opts.patch [bz#1537956]
- kvm-block-Add-Error-parameter-to-bdrv_amend_options.patch [bz#1537956]
- kvm-qemu-option-Pull-out-Supported-options-print.patch [bz#1537956]
- kvm-qemu-img-Add-print_amend_option_help.patch [bz#1537956]
- kvm-qemu-img-Recognize-no-creation-support-in-o-help.patch [bz#1537956]
- kvm-iotests-Test-help-option-for-unsupporting-formats.patch [bz#1537956]
- kvm-iotests-Rework-113.patch [bz#1537956]
- kvm-qemu-img-Resolve-relative-backing-paths-in-rebase.patch [bz#1569835]
- kvm-iotests-Add-test-for-rebasing-with-relative-paths.patch [bz#1569835]
- kvm-qemu-img-Special-post-backing-convert-handling.patch [bz#1527898]
- kvm-iotests-Test-post-backing-convert-target-behavior.patch [bz#1527898]
- kvm-migration-calculate-expected_downtime-with-ram_bytes.patch [bz#1564576]
- kvm-sheepdog-Fix-sd_co_create_opts-memory-leaks.patch [bz#1513543]
- kvm-qemu-iotests-reduce-chance-of-races-in-185.patch [bz#1513543]
- kvm-blockjob-do-not-cancel-timer-in-resume.patch [bz#1513543]
- kvm-nfs-Fix-error-path-in-nfs_options_qdict_to_qapi.patch [bz#1513543]
- kvm-nfs-Remove-processed-options-from-QDict.patch [bz#1513543]
- kvm-blockjob-drop-block_job_pause-resume_all.patch [bz#1513543]
- kvm-blockjob-expose-error-string-via-query.patch [bz#1513543]
- kvm-blockjob-Fix-assertion-in-block_job_finalize.patch [bz#1513543]
- kvm-blockjob-Wrappers-for-progress-counter-access.patch [bz#1513543]
- kvm-blockjob-Move-RateLimit-to-BlockJob.patch [bz#1513543]
- kvm-blockjob-Implement-block_job_set_speed-centrally.patch [bz#1513543]
- kvm-blockjob-Introduce-block_job_ratelimit_get_delay.patch [bz#1513543]
- kvm-blockjob-Add-block_job_driver.patch [bz#1513543]
- kvm-blockjob-Update-block-job-pause-resume-documentation.patch [bz#1513543]
- kvm-blockjob-Improve-BlockJobInfo.offset-len-documentati.patch [bz#1513543]
- kvm-job-Create-Job-JobDriver-and-job_create.patch [bz#1513543]
- kvm-job-Rename-BlockJobType-into-JobType.patch [bz#1513543]
- kvm-job-Add-JobDriver.job_type.patch [bz#1513543]
- kvm-job-Add-job_delete.patch [bz#1513543]
- kvm-job-Maintain-a-list-of-all-jobs.patch [bz#1513543]
- kvm-job-Move-state-transitions-to-Job.patch [bz#1513543]
- kvm-job-Add-reference-counting.patch [bz#1513543]
- kvm-job-Move-cancelled-to-Job.patch [bz#1513543]
- kvm-job-Add-Job.aio_context.patch [bz#1513543]
- kvm-job-Move-defer_to_main_loop-to-Job.patch [bz#1513543]
- kvm-job-Move-coroutine-and-related-code-to-Job.patch [bz#1513543]
- kvm-job-Add-job_sleep_ns.patch [bz#1513543]
- kvm-job-Move-pause-resume-functions-to-Job.patch [bz#1513543]
- kvm-job-Replace-BlockJob.completed-with-job_is_completed.patch [bz#1513543]
- kvm-job-Move-BlockJobCreateFlags-to-Job.patch [bz#1513543]
- kvm-blockjob-Split-block_job_event_pending.patch [bz#1513543]
- kvm-job-Add-job_event_.patch [bz#1513543]
- kvm-job-Move-single-job-finalisation-to-Job.patch [bz#1513543]
- kvm-job-Convert-block_job_cancel_async-to-Job.patch [bz#1513543]
- kvm-job-Add-job_drain.patch [bz#1513543]
- kvm-job-Move-.complete-callback-to-Job.patch [bz#1513543]
- kvm-job-Move-job_finish_sync-to-Job.patch [bz#1513543]
- kvm-job-Switch-transactions-to-JobTxn.patch [bz#1513543]
- kvm-job-Move-transactions-to-Job.patch [bz#1513543]
- kvm-job-Move-completion-and-cancellation-to-Job.patch [bz#1513543]
- kvm-block-Cancel-job-in-bdrv_close_all-callers.patch [bz#1513543]
- kvm-job-Add-job_yield.patch [bz#1513543]
- kvm-job-Add-job_dismiss.patch [bz#1513543]
- kvm-job-Add-job_is_ready.patch [bz#1513543]
- kvm-job-Add-job_transition_to_ready.patch [bz#1513543]
- kvm-job-Move-progress-fields-to-Job.patch [bz#1513543]
- kvm-job-Introduce-qapi-job.json.patch [bz#1513543]
- kvm-job-Add-JOB_STATUS_CHANGE-QMP-event.patch [bz#1513543]
- kvm-job-Add-lifecycle-QMP-commands.patch [bz#1513543]
- kvm-job-Add-query-jobs-QMP-command.patch [bz#1513543]
- kvm-blockjob-Remove-BlockJob.driver.patch [bz#1513543]
- kvm-iotests-Move-qmp_to_opts-to-VM.patch [bz#1513543]
- kvm-qemu-iotests-Test-job-with-block-jobs.patch [bz#1513543]
- kvm-vdi-Fix-vdi_co_do_create-return-value.patch [bz#1513543]
- kvm-vhdx-Fix-vhdx_co_create-return-value.patch [bz#1513543]
- kvm-job-Add-error-message-for-failing-jobs.patch [bz#1513543]
- kvm-block-create-Make-x-blockdev-create-a-job.patch [bz#1513543]
- kvm-qemu-iotests-Add-VM.get_qmp_events_filtered.patch [bz#1513543]
- kvm-qemu-iotests-Add-VM.qmp_log.patch [bz#1513543]
- kvm-qemu-iotests-Add-iotests.img_info_log.patch [bz#1513543]
- kvm-qemu-iotests-Add-VM.run_job.patch [bz#1513543]
- kvm-qemu-iotests-iotests.py-helper-for-non-file-protocol.patch [bz#1513543]
- kvm-qemu-iotests-Rewrite-206-for-blockdev-create-job.patch [bz#1513543]
- kvm-qemu-iotests-Rewrite-207-for-blockdev-create-job.patch [bz#1513543]
- kvm-qemu-iotests-Rewrite-210-for-blockdev-create-job.patch [bz#1513543]
- kvm-qemu-iotests-Rewrite-211-for-blockdev-create-job.patch [bz#1513543]
- kvm-qemu-iotests-Rewrite-212-for-blockdev-create-job.patch [bz#1513543]
- kvm-qemu-iotests-Rewrite-213-for-blockdev-create-job.patch [bz#1513543]
- kvm-block-create-Mark-blockdev-create-stable.patch [bz#1513543]
- kvm-jobs-fix-stale-wording.patch [bz#1513543]
- kvm-jobs-fix-verb-references-in-docs.patch [bz#1513543]
- kvm-iotests-Fix-219-s-timing.patch [bz#1513543]
- kvm-iotests-improve-pause_job.patch [bz#1513543]
- kvm-rpm-Whitelist-copy-on-read-block-driver.patch [bz#1518738]
- kvm-rpm-add-throttle-driver-to-rw-whitelist.patch [bz#1591076]
- kvm-usb-host-skip-open-on-pending-postload-bh.patch [bz#1572851]
- kvm-i386-Define-the-Virt-SSBD-MSR-and-handling-of-it-CVE.patch [bz#1574216]
- kvm-i386-define-the-AMD-virt-ssbd-CPUID-feature-bit-CVE-.patch [bz#1574216]
- kvm-block-file-posix-Pass-FD-to-locking-helpers.patch [bz#1519144]
- kvm-block-file-posix-File-locking-during-creation.patch [bz#1519144]
- kvm-iotests-Add-creation-test-to-153.patch [bz#1519144]
- kvm-vhost-user-add-Net-prefix-to-internal-state-structur.patch [bz#1526645]
- kvm-virtio-support-setting-memory-region-based-host-noti.patch [bz#1526645]
- kvm-vhost-user-support-receiving-file-descriptors-in-sla.patch [bz#1526645]
- kvm-osdep-add-wait.h-compat-macros.patch [bz#1526645]
- kvm-vhost-user-bridge-support-host-notifier.patch [bz#1526645]
- kvm-vhost-allow-backends-to-filter-memory-sections.patch [bz#1526645]
- kvm-vhost-user-allow-slave-to-send-fds-via-slave-channel.patch [bz#1526645]
- kvm-vhost-user-introduce-shared-vhost-user-state.patch [bz#1526645]
- kvm-vhost-user-support-registering-external-host-notifie.patch [bz#1526645]
- kvm-libvhost-user-support-host-notifier.patch [bz#1526645]
- kvm-block-Introduce-API-for-copy-offloading.patch [bz#1482537]
- kvm-raw-Check-byte-range-uniformly.patch [bz#1482537]
- kvm-raw-Implement-copy-offloading.patch [bz#1482537]
- kvm-qcow2-Implement-copy-offloading.patch [bz#1482537]
- kvm-file-posix-Implement-bdrv_co_copy_range.patch [bz#1482537]
- kvm-iscsi-Query-and-save-device-designator-when-opening.patch [bz#1482537]
- kvm-iscsi-Create-and-use-iscsi_co_wait_for_task.patch [bz#1482537]
- kvm-iscsi-Implement-copy-offloading.patch [bz#1482537]
- kvm-block-backend-Add-blk_co_copy_range.patch [bz#1482537]
- kvm-qemu-img-Convert-with-copy-offloading.patch [bz#1482537]
- kvm-qcow2-Fix-src_offset-in-copy-offloading.patch [bz#1482537]
- kvm-iscsi-Don-t-blindly-use-designator-length-in-respons.patch [bz#1482537]
- kvm-file-posix-Fix-EINTR-handling.patch [bz#1482537]
- kvm-usb-storage-Add-rerror-werror-properties.patch [bz#1595180]
- kvm-numa-clarify-error-message-when-node-index-is-out-of.patch [bz#1578381]
- kvm-qemu-iotests-Update-026.out.nocache-reference-output.patch [bz#1528541]
- kvm-qcow2-Free-allocated-clusters-on-write-error.patch [bz#1528541]
- kvm-qemu-iotests-Test-qcow2-not-leaking-clusters-on-writ.patch [bz#1528541]
- kvm-qemu-options-Add-missing-newline-to-accel-help-text.patch [bz#1586313]
- kvm-xhci-fix-guest-triggerable-assert.patch [bz#1594135]
- kvm-virtio-gpu-tweak-scanout-disable.patch [bz#1589634]
- kvm-virtio-gpu-update-old-resource-too.patch [bz#1589634]
- kvm-virtio-gpu-disable-scanout-when-backing-resource-is-.patch [bz#1589634]
- kvm-block-Don-t-silently-truncate-node-names.patch [bz#1549654]
- kvm-pr-helper-fix-socket-path-default-in-help.patch [bz#1533158]
- kvm-pr-helper-fix-assertion-failure-on-failed-multipath-.patch [bz#1533158]
- kvm-pr-manager-helper-avoid-SIGSEGV-when-writing-to-the-.patch [bz#1533158]
- kvm-pr-manager-put-stubs-in-.c-file.patch [bz#1533158]
- kvm-pr-manager-add-query-pr-managers-QMP-command.patch [bz#1533158]
- kvm-pr-manager-helper-report-event-on-connection-disconn.patch [bz#1533158]
- kvm-pr-helper-avoid-error-on-PR-IN-command-with-zero-req.patch [bz#1533158]
- kvm-pr-helper-Rework-socket-path-handling.patch [bz#1533158]
- kvm-pr-manager-helper-fix-memory-leak-on-event.patch [bz#1533158]
- kvm-object-fix-OBJ_PROP_LINK_UNREF_ON_RELEASE-ambivalenc.patch [bz#1556678]
- kvm-usb-hcd-xhci-test-add-a-test-for-ccid-hotplug.patch [bz#1556678]
- kvm-Revert-usb-release-the-created-buses.patch [bz#1556678]
- kvm-file-posix-Fix-creation-locking.patch [bz#1599335]
- kvm-file-posix-Unlock-FD-after-creation.patch [bz#1599335]
- kvm-ahci-trim-signatures-on-raise-lower.patch [bz#1584914]
- kvm-ahci-fix-PxCI-register-race.patch [bz#1584914]
- kvm-ahci-don-t-schedule-unnecessary-BH.patch [bz#1584914]
- kvm-qcow2-Fix-qcow2_truncate-error-return-value.patch [bz#1595173]
- kvm-block-Convert-.bdrv_truncate-callback-to-coroutine_f.patch [bz#1595173]
- kvm-qcow2-Remove-coroutine-trampoline-for-preallocate_co.patch [bz#1595173]
- kvm-block-Move-bdrv_truncate-implementation-to-io.c.patch [bz#1595173]
- kvm-block-Use-tracked-request-for-truncate.patch [bz#1595173]
- kvm-file-posix-Make-.bdrv_co_truncate-asynchronous.patch [bz#1595173]
- kvm-block-Fix-copy-on-read-crash-with-partial-final-clus.patch [bz#1590640]
- kvm-block-fix-QEMU-crash-with-scsi-hd-and-drive_del.patch [bz#1599515]
- kvm-virtio-rng-process-pending-requests-on-DRIVER_OK.patch [bz#1576743]
- kvm-file-posix-specify-expected-filetypes.patch [bz#1525829]
- kvm-iotests-add-test-226-for-file-driver-types.patch [bz#1525829]
- kvm-block-dirty-bitmap-add-lock-to-bdrv_enable-disable_d.patch [bz#1207657]
- kvm-qapi-add-x-block-dirty-bitmap-enable-disable.patch [bz#1207657]
- kvm-qmp-transaction-support-for-x-block-dirty-bitmap-ena.patch [bz#1207657]
- kvm-qapi-add-x-block-dirty-bitmap-merge.patch [bz#1207657]
- kvm-qapi-add-disabled-parameter-to-block-dirty-bitmap-ad.patch [bz#1207657]
- kvm-block-dirty-bitmap-add-bdrv_enable_dirty_bitmap_lock.patch [bz#1207657]
- kvm-dirty-bitmap-fix-double-lock-on-bitmap-enabling.patch [bz#1207657]
- kvm-block-qcow2-bitmap-fix-free_bitmap_clusters.patch [bz#1207657]
- kvm-qcow2-add-overlap-check-for-bitmap-directory.patch [bz#1207657]
- kvm-blockdev-enable-non-root-nodes-for-backup-source.patch [bz#1207657]
- kvm-iotests-add-222-to-test-basic-fleecing.patch [bz#1207657]
- kvm-qcow2-Remove-dead-check-on-ret.patch [bz#1207657]
- kvm-block-Move-request-tracking-to-children-in-copy-offl.patch [bz#1207657]
- kvm-block-Fix-parameter-checking-in-bdrv_co_copy_range_i.patch [bz#1207657]
- kvm-block-Honour-BDRV_REQ_NO_SERIALISING-in-copy-range.patch [bz#1207657]
- kvm-backup-Use-copy-offloading.patch [bz#1207657]
- kvm-block-backup-disable-copy-offloading-for-backup.patch [bz#1207657]
- kvm-iotests-222-Don-t-run-with-luks.patch [bz#1207657]
- kvm-block-io-fix-copy_range.patch [bz#1207657]
- kvm-block-split-flags-in-copy_range.patch [bz#1207657]
- kvm-block-add-BDRV_REQ_SERIALISING-flag.patch [bz#1207657]
- kvm-block-backup-fix-fleecing-scheme-use-serialized-writ.patch [bz#1207657]
- kvm-nbd-server-Reject-0-length-block-status-request.patch [bz#1207657]
- kvm-nbd-server-fix-trace.patch [bz#1207657]
- kvm-nbd-server-refactor-NBDExportMetaContexts.patch [bz#1207657]
- kvm-nbd-server-add-nbd_meta_empty_or_pattern-helper.patch [bz#1207657]
- kvm-nbd-server-implement-dirty-bitmap-export.patch [bz#1207657]
- kvm-qapi-new-qmp-command-nbd-server-add-bitmap.patch [bz#1207657]
- kvm-docs-interop-add-nbd.txt.patch [bz#1207657]
- kvm-nbd-server-introduce-NBD_CMD_CACHE.patch [bz#1207657]
- kvm-nbd-server-Silence-gcc-false-positive.patch [bz#1207657]
- kvm-nbd-server-Fix-dirty-bitmap-logic-regression.patch [bz#1207657]
- kvm-nbd-server-fix-nbd_co_send_block_status.patch [bz#1207657]
- kvm-nbd-client-Add-x-dirty-bitmap-to-query-bitmap-from-s.patch [bz#1207657]
- kvm-iotests-New-test-223-for-exporting-dirty-bitmap-over.patch [bz#1207657]
- kvm-hw-char-serial-Only-retry-if-qemu_chr_fe_write-retur.patch [bz#1592817]
- kvm-hw-char-serial-retry-write-if-EAGAIN.patch [bz#1592817]
- kvm-throttle-groups-fix-hang-when-group-member-leaves.patch [bz#1535914]
- kvm-Disable-aarch64-devices-reappeared-after-2.12-rebase.patch [bz#1586357]
- kvm-Disable-split-irq-device.patch [bz#1586357]
- kvm-Disable-AT24Cx-i2c-eeprom.patch [bz#1586357]
- kvm-Disable-CAN-bus-devices.patch [bz#1586357]
- kvm-Disable-new-superio-devices.patch [bz#1586357]
- kvm-Disable-new-pvrdma-device.patch [bz#1586357]
- kvm-qdev-add-HotplugHandler-post_plug-callback.patch [bz#1607891]
- kvm-virtio-scsi-fix-hotplug-reset-vs-event-race.patch [bz#1607891]
- kvm-e1000-Fix-tso_props-compat-for-82540em.patch [bz#1608778]
- kvm-slirp-correct-size-computation-while-concatenating-m.patch [bz#1586255]
- kvm-s390x-sclp-fix-maxram-calculation.patch [bz#1595740]
- kvm-redhat-Make-gitpublish-profile-the-default-one.patch [bz#1425820]
- Resolves: bz#1168213
  (main-loop: WARNING: I/O thread spun for 1000 iterations while doing stream block device.)
- Resolves: bz#1207657
  (RFE: QEMU Incremental live backup - push and pull modes)
- Resolves: bz#1416180
  (QEMU VFIO based block driver for NVMe devices)
- Resolves: bz#1425820
  (Improve QEMU packaging layout with modularization of the block layer)
- Resolves: bz#1482537
  ([RFE] qemu-img copy-offloading (convert command))
- Resolves: bz#1505664
  ("qemu-kvm: System page size 0x1000000 is not enabled in page_size_mask (0x11000). Performance may be slow" show up while using hugepage as guest's memory)
- Resolves: bz#1513543
  ([RFE] Add block job to create format on a storage device)
- Resolves: bz#1518738
  (Add 'copy-on-read' filter driver for use with blockdev-add)
- Resolves: bz#1519144
  (qemu-img: image locking doesn't cover image creation)
- Resolves: bz#1519617
  (The exit code should be non-zero when qemu-io reports an error)
- Resolves: bz#1523065
  ("qemu-img resize" should fail to decrease the size of logical partition/lvm/iSCSI image with raw format)
- Resolves: bz#1525829
  (can not boot up a scsi-block passthrough disk via -blockdev with error "cannot get SG_IO version number: Operation not supported.  Is this a SCSI device?")
- Resolves: bz#1526645
  ([Intel 7.6 FEAT] vHost Data Plane Acceleration (vDPA) - vhost user client - qemu-kvm-rhev)
- Resolves: bz#1527085
  (The copied flag should be updated during  '-r leaks')
- Resolves: bz#1527898
  ([RFE] qemu-img should leave cluster unallocated if it's read as zero throughout the backing chain)
- Resolves: bz#1528541
  (qemu-img check reports tons of leaked clusters after re-start nfs service to resume writing data in guest)
- Resolves: bz#1533158
  (QEMU support for libvirtd restarting qemu-pr-helper)
- Resolves: bz#1535914
  (Disable io throttling for one member disk of a group during io will induce the other one hang with io)
- Resolves: bz#1537956
  (RFE: qemu-img amend should list the true supported options)
- Resolves: bz#1542080
  (Qemu core dump at cirrus_invalidate_region)
- Resolves: bz#1549654
  (Reject node-names which would be truncated by the block layer commands)
- Resolves: bz#1556678
  (Hot plug usb-ccid for the 2nd time with the same ID as the 1st time failed)
- Resolves: bz#1557995
  (QAPI schema for RBD storage misses the 'password-secret' option)
- Resolves: bz#1558723
  (Create RHEL-7.6 QEMU machine type for AArch64)
- Resolves: bz#1560847
  ([Power8][FW b0320a_1812.861][rhel7.5rc2 3.10.0-861.el7.ppc64le][qemu-kvm-{ma,rhev}-2.10.0-21.el7_5.1.ppc64le] KVM guest does not default to ori type flush even with pseries-rhel7.5.0-sxxm)
- Resolves: bz#1564576
  (Pegas 1.1 - Require to backport qemu-kvm patch that fixes expected_downtime calculation during migration)
- Resolves: bz#1566153
  (IOERROR pause code lost after resuming a VM while I/O error is still present)
- Resolves: bz#1567733
  (qemu abort when migrate during guest reboot)
- Resolves: bz#1569835
  (qemu-img get wrong backing file path after rebasing image with relative path)
- Resolves: bz#1572851
  (Core dumped after migration when with usb-host)
- Resolves: bz#1572856
  ('block-job-cancel' can not cancel a "drive-mirror" job)
- Resolves: bz#1574216
  (CVE-2018-3639 qemu-kvm-rhev: hw: cpu: speculative store bypass [rhel-7.6])
- Resolves: bz#1575541
  (qemu core dump while installing win10 guest)
- Resolves: bz#1576598
  (Segfault in qemu-io and qemu-img with -U --image-opts force-share=off)
- Resolves: bz#1576743
  (virtio-rng hangs when running on recent (2.x) QEMU versions)
- Resolves: bz#1578381
  (Error message need update when specify numa distance with node index >=128)
- Resolves: bz#1583959
  (Incorrect vcpu count limit for 7.4 machine types for windows guests)
- Resolves: bz#1584914
  (SATA emulator lags and hangs)
- Resolves: bz#1584984
  (Vm starts failed with 'passthrough' smartcard)
- Resolves: bz#1586255
  (CVE-2018-11806 qemu-kvm-rhev: QEMU: slirp: heap buffer overflow while reassembling fragmented datagrams [rhel-7.6])
- Resolves: bz#1586313
  (-smp option is not easily found in the output of qemu help)
- Resolves: bz#1586357
  (Disable new devices in 2.12)
- Resolves: bz#1588039
  (Possible assertion failure in qemu when a corrupted image is used during an incoming migration)
- Resolves: bz#1589634
  (Migration failed when rebooting guest with multiple virtio videos)
- Resolves: bz#1590640
  (qemu-kvm: block/io.c:1098: bdrv_co_do_copy_on_readv: Assertion `skip_bytes < pnum' failed.)
- Resolves: bz#1591076
  (The driver of 'throttle' is not whitelisted)
- Resolves: bz#1592817
  (Retrying on serial_xmit if the pipe is broken may compromise the Guest)
- Resolves: bz#1594135
  (system_reset many times linux guests cause qemu process Aborted)
- Resolves: bz#1595173
  (blockdev-create is blocking)
- Resolves: bz#1595180
  (Can't set rerror/werror with usb-storage)
- Resolves: bz#1595740
  (RHEL-Alt-7.6 - qemu has error during migration of larger guests)
- Resolves: bz#1599335
  (Image creation locking is too tight and is not properly released)
- Resolves: bz#1599515
  (qemu core-dump with aio_read via hmp (util/qemu-thread-posix.c:64: qemu_mutex_lock_impl: Assertion `mutex->initialized' failed))
- Resolves: bz#1607891
  (Hotplug events are sometimes lost with virtio-scsi + iothread)
- Resolves: bz#1608778
  (qemu/migration: migrate failed from RHEL.7.6 to RHEL.7.5 with e1000-82540em)

* Mon Aug 06 2018 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 2.12.0-17.el8
- kvm-linux-headers-Update-to-include-KVM_CAP_S390_HPAGE_1.patch [bz#1610906]
- kvm-s390x-Enable-KVM-huge-page-backing-support.patch [bz#1610906]
- kvm-redhat-s390x-add-hpage-1-to-kvm.conf.patch [bz#1610906]
- Resolves: bz#1610906
  ([IBM 8.0 FEAT] KVM: Huge Pages - libhugetlbfs Enablement - qemu-kvm part)

* Tue Jul 31 2018 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 2.12.0-16.el8
- kvm-spapr-Correct-inverted-test-in-spapr_pc_dimm_node.patch [bz#1601671]
- kvm-osdep-powerpc64-align-memory-to-allow-2MB-radix-THP-.patch [bz#1601317]
- kvm-RHEL-8.0-Add-pseries-rhel7.6.0-sxxm-machine-type.patch [bz#1595501]
- kvm-i386-Helpers-to-encode-cache-information-consistentl.patch [bz#1597739]
- kvm-i386-Add-cache-information-in-X86CPUDefinition.patch [bz#1597739]
- kvm-i386-Initialize-cache-information-for-EPYC-family-pr.patch [bz#1597739]
- kvm-i386-Add-new-property-to-control-cache-info.patch [bz#1597739]
- kvm-i386-Clean-up-cache-CPUID-code.patch [bz#1597739]
- kvm-i386-Populate-AMD-Processor-Cache-Information-for-cp.patch [bz#1597739]
- kvm-i386-Add-support-for-CPUID_8000_001E-for-AMD.patch [bz#1597739]
- kvm-i386-Fix-up-the-Node-id-for-CPUID_8000_001E.patch [bz#1597739]
- kvm-i386-Enable-TOPOEXT-feature-on-AMD-EPYC-CPU.patch [bz#1597739]
- kvm-i386-Remove-generic-SMT-thread-check.patch [bz#1597739]
- kvm-i386-Allow-TOPOEXT-to-be-enabled-on-older-kernels.patch [bz#1597739]
- Resolves: bz#1595501
  (Create pseries-rhel7.6.0-sxxm machine type)
- Resolves: bz#1597739
  (AMD EPYC/Zen SMT support for KVM / QEMU guest (qemu-kvm))
- Resolves: bz#1601317
  (RHEL8.0 - qemu patch to align memory to allow 2MB THP)
- Resolves: bz#1601671
  (After rebooting guest,all the hot plug memory will be assigned to the 1st numa node.)

* Tue Jul 24 2018 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 2.12.0-15.el8
- kvm-spapr-Add-ibm-max-associativity-domains-property.patch [bz#1599593]
- kvm-Revert-spapr-Don-t-allow-memory-hotplug-to-memory-le.patch [bz#1599593]
- kvm-simpletrace-Convert-name-from-mapping-record-to-str.patch [bz#1594969]
- kvm-tests-fix-TLS-handshake-failure-with-TLS-1.3.patch [bz#1602403]
- Resolves: bz#1594969
  (simpletrace.py fails when running with Python 3)
- Resolves: bz#1599593
  (User can't hotplug memory to less memory numa node on rhel8)
- Resolves: bz#1602403
  (test-crypto-tlssession unit test fails with assertions)

* Mon Jul 09 2018 Danilo Cesar Lemes de Paula <ddepaula@redhat.com> - 2.12.0-14.el8
- kvm-vfio-pci-Default-display-option-to-off.patch [bz#1590511]
- kvm-python-futurize-f-libfuturize.fixes.fix_print_with_i.patch [bz#1571533]
- kvm-python-futurize-f-lib2to3.fixes.fix_except.patch [bz#1571533]
- kvm-Revert-Defining-a-shebang-for-python-scripts.patch [bz#1571533]
- kvm-spec-Fix-ambiguous-python-interpreter-name.patch [bz#1571533]
- kvm-qemu-ga-blacklisting-guest-exec-and-guest-exec-statu.patch [bz#1518132]
- kvm-redhat-rewrap-build_configure.sh-cmdline-for-the-rh-.patch
- kvm-redhat-remove-the-VTD-LIVE_BLOCK_OPS-and-RHV-options.patch
- kvm-redhat-fix-the-rh-env-prep-target-s-dependency-on-th.patch
- kvm-redhat-remove-dead-code-related-to-s390-not-s390x.patch
- kvm-redhat-sync-compiler-flags-from-the-spec-file-to-rh-.patch
- kvm-redhat-sync-guest-agent-enablement-and-tcmalloc-usag.patch
- kvm-redhat-fix-up-Python-3-dependency-for-building-QEMU.patch
- kvm-redhat-fix-up-Python-dependency-for-SRPM-generation.patch
- kvm-redhat-disable-glusterfs-dependency-support-temporar.patch
- Resolves: bz#1518132
  (Ensure file access RPCs are disabled by default)
- Resolves: bz#1571533
  (Convert qemu-kvm python scripts to python3)
- Resolves: bz#1590511
  (Fails to start guest with Intel vGPU device)

* Thu Jun 21 2018 Danilo C. L. de Paula <ddepaula@redhat.com> - 2.12.0-13.el8
- Resolves: bz#1508137
  ([IBM 8.0 FEAT] KVM: Interactive Bootloader (qemu))
- Resolves: bz#1513558
  (Remove RHEL6 machine types)
- Resolves: bz#1568600
  (pc-i440fx-rhel7.6.0 and pc-q35-rhel7.6.0 machine types (x86))
- Resolves: bz#1570029
  ([IBM 8.0 FEAT] KVM: 3270 Connectivity - qemu part)
- Resolves: bz#1578855
  (Enable Native Ceph support on non x86_64 CPUs)
- Resolves: bz#1585651
  (RHEL 7.6 new pseries machine type (ppc64le))
- Resolves: bz#1592337
  ([IBM 8.0 FEAT] KVM: CPU Model z14 ZR1 (qemu-kvm))

* Tue May 15 2018 Danilo C. L. de Paula <ddepaula@redhat.com> - 2.12.0-11.el8.1
- Resolves: bz#1576468
  (Enable vhost_user in qemu-kvm 2.12)

* Wed May 09 2018 Danilo de Paula <ddepaula@redhat.com> - 2.12.0-11.el8
- Resolves: bz#1574406
  ([RHEL 8][qemu-kvm] Failed to find romfile "efi-virtio.rom")
- Resolves: bz#1569675
  (Backwards compatibility of pc-*-rhel7.5.0 and older machine-types)
- Resolves: bz#1576045
  (Fix build issue by using python3)
- Resolves: bz#1571145
  (qemu-kvm segfaults on RHEL 8 when run guestfsd under TCG)

* Fri Apr 20 2018 Danilo de Paula <ddepaula@redhat.com> - 2.12.0-10.el
- Fixing some issues with packaging.
- Rebasing to 2.12.0-rc4

* Fri Apr 13 2018 Danilo de Paula <ddepaula@redhat.com> - 2.11.0-7.el8
- Bumping epoch for RHEL8 and dropping self-obsoleting

* Thu Apr 12 2018 Danilo de Paula <ddepaula@redhat.com> - 2.11.0-6.el8
- Rebuilding

* Mon Mar 05 2018 Danilo de Paula <ddepaula@redhat.com> - 2.11.0-5.el8
- Prepare building on RHEL-8.0
